2015-08-14  Doug Simons <doug.simons@testplant.com>

	* Source/NSSplitView.m: Treat an empty autosaveName as nil
	(some nibs have empty name).

2015-07-16  Doug Simons <doug.simons@testplant.com>

	* Source/NSSplitView.m: Add userInfo dictionary containing the
	divider number in resize notifications, as added in OSX 10.5.

2015-07-02  Doug Simons <doug.simons@testplant.com>

	* Source/NSTableView.m: Changed click and double-click behavior
	to match Cocoa: A single-click on an already-selected editable
	cell will now begin editing. A double-click will send the
	doubleAction if there is one, and only begin editing if there is
	no doubleAction assigned.

2015-07-01  Doug Simons <doug.simons@testplant.com>

	* Source/NSTextStorage.m: Fixed a bug with setting _editedRange for
	multiple edits when the first one is a delete (which results in
	_editedRange having a length of 0) so it gets replaced instead of
	expanded to include all edits.
	
2015-06-17  Paul Landers <paul.landers@testplant.com>

	* Source/NSView.m: Add checks to cut out parts of _invalidRect
	a whole slice of it is being drawn, but the whole rect is not.
 
2015-06-10  Doug Simons <doug.simons@testplant.com>

	* Source/NSSplitView.m: Be sure to adjust subviews before setting
	divider position. Otherwise, adjustSubviews will wipe out the setting.
	
2015-04-20  Doug Simons <doug.simons@testplant.com>

	* Source/NSPopUpButtonCell.m: Ignore altersStateOfSelectedItem for
	pullDown buttons as in Cocoa.
	
2015-04-17  Doug Simons <doug.simons@testplant.com>

	* Source/NSView.m: Fix broken invalidRect mechanism so, for
	example, NSOutlineView will redraw correctly when expanding
	an item.
	* Source/NSTableView.m: Correct an apparently incorrect use of
	origin.x rather than origin.y when comparing heights, although
	I'm not sure if this code does anything useful anyway.

2015-03-26  Doug Simons <doug.simons@testplant.com>

	* Source/NSSavePanel.m: Fix problem with the title shown in
	the save panel's title bar not matching the set title when
	the panel is reused for a different purpose.

2015-01-08  Doug Simons <doug.simons@testplant.com>

	* Source/NSTextView.m: Fix bizarre behavior with undo/redo
	actions carrying across between different fields with the
	fieldEditor.

2014-07-14  Doug Simons <doug.simons@testplant.com>

	* Headers/NSMenu.h
    * Source/NSMenu.m: Implemented removeAllItems method.

2013-02-18  Frank Le Grand <frank.legrand@testplant.com>

	* Source\NSToolbarItem.m: Fixed a bug where calling setImage:
	  on a toolbar item would draw the image even if the toolbar
	  display mode would be set to NSToolbarDisplayModeLabelOnly

2013-02-18  Frank Le Grand <frank.legrand@testplant.com>

	* Source\NSCollectionView.m: Fixed a potential "index out
	of bounds" exception.

2013-10-21  Frank Le Grand <frank.legrand@testplant.com>

	* Source\NSCursor.m: Added class method "resetStack" 
	that is used by the backend to determine when we hit a 
	non-client area of the window.

2013-04-03  Frank Le Grand <frank.legrand@testplant.com>

    * Source\NSImage.m: Added a small hack to work around and Ibeam 
	cursor image inserted in XIB files by Xcode, which would not be
	found in the project and therefore was substituted with the
	default arrow cursor.
	* Source\NSCursor.m: Added class method "stack" that is used
	by the backend to determine whether or not the cursor is in
	at least one cursor rectangle.

2013-09-11  Frank Le Grand <frank.legrand@testplant.com>

    * Source\NSToolbar.m,
	* Source\NSToolbarFrameworkPrivate.h,
	* Source\NSWindow.h: Applied a fix/workaround to an issue where
	a toolbar would cease from validating itself after its window
	was closed and re-opened. The culprit is the logic in 
	GSValidationCenter which seems to assume that when a window has
	closed it will be dealloc'd soon after, and does not consider
	the possibility of the window getting brought back up.

2013-09-04  Frank Le Grand <frank.legrand@testplant.com>

    * Source\NSBrowser.m: Fixed a bug where setting the path to "/" would
	not deselect the cells.

2013-08-27  Frank Le Grand <frank.legrand@testplant.com>

    * Source\NSAttributedString.m: In the absence of a NSFontAttributeName attribute,
	use a default font to prevent the substitution from stopping. This fixes a bug where
	unicode characters would not get the proper font substitution.

2013-08-26  Doug Simons <doug.simons@testplant.com>

       * GSLayoutManager.m: Changed _didInvalidateLayout to call [self
	   _invalidateLayoutFromContainer:0] to properly reset things. Otherwise
	   things were left in an inconsistent state internally (including layout_glyph
	   being beyond the new text length, which caused nasty exceptions).
	   
2013-08-08  Frank Le Grand <frank.legrand@testplant.com>

    Merged changes from Trunk (since rev 35219) to TestPlant branch.

2013-04-24  Frank Le Grand <frank.legrand@testplant.com>

	* Source\NSCollectionView.m: Fixed an NSRangeException that would get raised in drawRect:
	when we have an empty content array by explicitly casting values to int in the MIN macro.

2013-04-22  Doug Simons <doug.simons@testplant.com>

    * Source/NSTextFieldCell.m: Add support for NSLineBreakByTruncatingHead/Tail/Middle
	line break modes.

2013-03-13  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source\NSWorkspace.m: Log instead of raise fatal exceptions when unable to obtain a 
	Distributed lock during application launch notification.	

2013-03-08  Frank Le Grand <frank.legrand@testplant.com>

	* Source\NSCollectionView.m: Implemented drag & drop.
	* Source\NSTabView.m: Fixed a bug where the nextKeyView was being set a dealloc'd view in some cases.
	
2013-02-28  Frank Le Grand <frank.legrand@testplant.com>

    Continued work on Collection View: Applied more GNUstep coding standards (including
	the use of macros), implemented selection.
	This is a work in progress.
    * Source\NSCollectionView.m
	* Source\NSCollectionViewItem.m
	* Headers\NSCollectionView.h
	* Headers\NSCollectionViewItem.h

2013-01-31  Doug Simons <doug.simons@testplant.com>

    * Source/NSindow.m: Don't unregister delegate notifications if same delegate is set twice.

2013-02-21  Frank Le Grand <frank.legrand@testplant.com>
    Prelimirary/basic implementation of NSCollectionView and NSCollectionViewItem.
	This is a work in progress.
    * Source\NSCollectionView.m
	* Source\NSCollectionViewItem.m
	* Headers\NSCollectionView.h
	* Headers\NSCollectionViewItem.h: Added files to project
	* Source\NSViewController.m: Added a retain on view in SetView:
	* Source\GNUmakefile: Added NSCollectionView and NSCollectionViewItem
	to AppKit.

2013-02-13  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source\GSXibLoader.m: Fix a problem where owner, firstResponder and application 
	were put in the list of top-level objects, creating a retain-cycle.
	* Source\NSViewController.m: Fix a problem where view controllers did not release
	their top-level objects as expected.
	* Source\NSWindowController.m: Fix a problem where WindowControllers did not release
	their top-level objects as expected.

	Changes made in occordance with 
	https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/LoadingResources/CocoaNibs/CocoaNibs.html

2013-01-31  Doug Simons <doug.simons@testplant.com>

    * Source/NSTableView.m: Allow a non-selected row to be dragged.

2012-11-13  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

    * Source/NSWindow.m: Add back showsResizeIndicator that got dropped during a merge.

2012-10-24  Doug Simons <doug.simons@testplant.com>

    * Source/GSDragView.m: Revert my previous change, which failed to set the
	mouseWindowRef for non-GNUstep windows. So we have to move the check for the
	ignoresMouseEvents flag into the findWindowAt:windowRef:excluding: method
	in back instead.

2012-10-14  Doug Simons <doug.simons@testplant.com>

    * Source/GSDragView.m: Ignore any window that ignoresMouseEvents when dragging.

2012-10-08  Doug Simons <doug.simons@testplant.com>

    * Source/NSWindow.m: Center on the main screen if window is off screen.

2012-09-04  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSWorkspace.m: Log if we have a distributed lock error instead of raise fatally.

2012-08-31 16:34-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Merge from trunk

2012-08-31 12:57-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m
	* Source/GSXibLoading.m: Merge from trunk of new XIB fixes.

2012-08-08  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* Source/NSFont.m
	  Temp fix for missing font causing all widgets to have incorrect
    and mis-selected font. Cairo/win32 issue - needs to be
    resolved.

2012-06-28  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* ColorPickers/GSNamedColorPicker.m
	  GSNamedColorPicker needs to conform to NSTtextFieldDelegate
	* ColorPickers/GSStandardColorPicker.h
	  GSStandardCSColorPicker needs to conform to NSTextFieldDelegate

2012-06-27  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	* Source/NSWindow.m - Fix [NSWindow screen] method according
	  to documented behavior (return screen that window show up
	  the most or nil).  Fix [NSWindow setFrameFromString] to account for
	  possible nil screen on input frame and throw window on main screen
	  in this case.  This is to fix an issue with windows not properly
	  showing up when moved to another monitor during multi-monitor 
	  usage and then the extra monitor(s) are removed.
	* Source/NSScreen.m - Added -description method for more information.
	  
2012-06-27  Marcian Lytwyn <marcian.lytwyn@advcsi.com>

	*** NSOpenSavePanelDelegate ***
	* Headers/AppKit/NSSavePanel.h - Added NSOpenSavePanelDelegate
	  protocol definition
	* Source/NSSavePanel.m - Qualify delegate method(s) with
	  id<NSOpenSavePanelDelegate>
	
	*** NSControlTextEditingDelegate ***
	* Headers/AppKit/NSControl.h - Added NSControlTextEditingDelegate
	  protocol definition
	* Headers/AppKit/NSTextField.h - Added NSTextFieldDelegate
	  protocol definition
	* Source/NSTextField.m - Qualify delegate method(s) with
	  id<NSTextFieldDelegate>
	* Headers/AppKit/NSFontPanel.h - NSFontPanel assigns itself as a
	  delegate to a NSTextField object and must declare that it
	  conforms to NSTextFieldDelegate protocol. Added a forward
	  declaration for NSTextFieldDelegate and added NSTextFieldDelegate
	  on class interface definition.

2012-06-15  German A. Arias  <german@xelalug.org>

	* Source/GSWindowDecorationView.m (-changeWindowHeight:): Revert
	last change while found the real problem.

2012-06-13  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSplitView.m (adjustSubviews): Use centerScanRect to
	give subviews pixel-aligned frames.

2012-06-07  German A. Arias  <german@xelalug.org>

	* Source/GSToolTips.m (_timedOut:): Use the font size specified
	in user defaults.

2012-06-07  German A. Arias  <german@xelalug.org>

	* Source/GSWindowDecorationView.m (-changeWindowHeight:): Use an
	intermediate frame before call -layout. This fix bugs #36419 and
	#36586.

2012-06-05  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tests/gui/TextSystem/deallocation.m: Add new test to verify
	proper deallocation of text network elements.

2012-06-05  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSLayoutManager.m (-dealloc): Set layout manager of every
	text container to nil to avoid dangling pointer in case the text
	container is retained elsewhere.

	* Source/NSTextStorage.m (-dealloc): Set text storage of every
	layout manager to nil to avoid dangling pointer in case the layout
	manager is retained elsewhere.

2012-06-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-performUndo): Update text storage directly
	when undoing text changes.

2012-06-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tools/GSspell.m (-spellerForLanguage:): Force aspell to return
	suggested words with UTF-8 encoding.

2012-05-21 Marcian Lytwyn <Marcian.Lytwyn@Advcsi.com>

	* Source/GSXibLoader.m:
	Added NSMenu (XibCompatibility) category with method: _isMainMenu
	Added NSMenu (XibCompatibility) category implementation.
        Modified setting main menu in awake:inContainer:withContext:
	Fixes bug #36427
	Committed by: gcasa

2012-05-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSInterfaceStyle.h: Remove
	GSNativeInterfaceStyle.
	* Source/NSComboBoxCell.m (-encodeWithCoder:, -initWithCoder:):
	Add a few more keyed coding values. Fixes bug #36426.

2012-05-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Add some (currently unused) helper code
	for class substitution in flattenedProperties.

2012-04-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (NSURL-writeToPasteboard:): Revert the
	last change.
	* Source/NSWorkspace.m (-openURL:): Declare the URL pasteboard
	type here.
	Change suggested by Wolfgang Lux  <wolfgang.lux@gmail.com>.

2012-04-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (NSURL-writeToPasteboard:): Declare the type.
	Patch by Andreas Schik <andreas.schik@web.de>.

2012-04-19 Riccardo Mottola <rm@gnu.org>

	* configure
	* configure.ac
	libpng-config: get I_opts and not the whole cflags, which break debug builds

2012-04-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (+initialize): Increase version number.
	* Source/NSTabView.m (-encodeWithCoder:, -decodeWithCoder:): Clean
	up last patch.

2012-04-10 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Source/NSTabView.m
	* Headers/AppKit/NSTabView.h
	  some int/NSInteger to NSUInteger changes to better
	  match return values of methods

2012-04-06 12:26  theraven

	* libs/gui/trunk/Headers/AppKit/NSColorWell.h,
	  libs/gui/trunk/Headers/AppKit/NSPrinter.h,
	  libs/gui/trunk/Headers/AppKit/PSOperators.h: Add explicit return
	  types to a couple of methods and __attribute__((unused)) to
	  some functions with empty bodies so people don't get compiler
	  warnings from
	  importing AppKit.h

2012-04-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuItem.m (GSMenuSeparator -classForCoder): Add
	missing method to get separator coding correct.

2012-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m,
	* Tests/gui/NSView/NSView_autoresize_and_rounding.m,
	* Tests/gui/NSView/NSView_bounds_scale.m,
	* Tests/gui/NSView/NSView_visibleRect.m: Mark all failing tests as
	dashed hopes to prepare for Jenkins.

2012-03-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCell.m (_updateFieldEditor:): Fix what I presume is
	a typo. The "if (nil == _contents) { contents = @""; }" blocks were
	dead code because the contents variable would later
	be set to nil if _contents was nil. This was causing an exception
	when starting editing an empty text field loaded from a xib.

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSplitView.h:
	* Source/NSSplitView.m: Add support for
	splitView:shouldAdjustSizeOfSubview: delegate method.

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Add NSAddTemplate.tiff
	* Images/GNUmakefile: Update

2012-03-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSToolTips.m (-mouseEntered:): When calling the owner's
	view:stringForToolTip:point:userData: method, make the point
	relative to the view's coordinate system (tested on OS X) instead
	of relative to the tracking rect (as before.)
	* Source/GSToolTips.m (-_timedOut:): Fix a crash caused by
	invalidating the timer and then using its userInfo object.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAttributedString.m
	(-initWithData:options:documentAttributes:error:): Set
	NSCharacterEncodingDocumentAttribute in the documentAttributes dict
	when reading plain text.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* TextConverters/RTF/RTFConsumer.m: Set NSDocumentTypeDocumentAttribute

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAttributedString.m
	(-initWithData:options:documentAttributes:error:): Fixes for TextEdit.
	If no type is provided, assume plain text. If no encoding is provided,
	assume UTF-8 unless a UTF-16 BOM is detected.

2012-03-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-toolbarBorderColor): Change default to
	[NSColor darkGrayColor]
	* Source/NSToolbar.m (-initWithIdentifier:): Call
	[self setShowsBaselineSeparator: YES] by default so the toolbar has
	a bottom border.

2012-03-12 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h,
	* Source/externs.m: Additional binding names.
	* Source/GSBindingHelpers.h,
	* Source/NSKeyValueBinding.m: Additional helper methods.
	* Source/NSObjectController.m: Use helper methods.
	* Source/NSArrayController.m: Signal when the arranged objects change.
	* Source/NSTableColumn.m,
	* Source/NSTableView.m: First attempt at support for content binding.

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableView.m:
	* Source/GSNibLoading.m: Move -[coder setClassName: @"_NSCornerView"
	forClass: [GSTableCornerView class]] call from
	-[NSTableView initWithCoder:] to GSNibLoading, because corner views
	can be encountered before hitting -[NSTableView initWithCoder:]

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m: Re-enable copy-on-scroll

2012-03-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSWindow.m: Only invoke -prepareForDragOperation: if the
	most recent -draggingEntered: or -draggingUpdated: call returned
	something other than NSDragOperationNone.
	* Source/NSOutlineView.m (-draggingUpdated:): Save the drag operation
	value returned from the data source in a static variable.
	Previously it was fetched once and then discarded, so all drags were
	being mistakenly permitted.

2012-03-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSObjectController.m: Complete encoding/decoding methods.
	* Headers/AppKit/NSArrayController.h,
	* Source/NSArrayController.m: Add some implementation to this
	class.

2012-03-05  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m (-titleRectForBounds:): Attempted fix
	for bug 35702.
	Don't use [_menuView imageAndTitleWidth] or
	_titleWidth in calculating the size to put the title in. In other
	words, -titleRectForBounds: will now return the available space
	for the title, rather than the rect that the title text is
	predicted to use up.

2012-02-29 10:31-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/AppKit/NSTreeController.h
	* Headers/AppKit/NSTreeNode.h
	* Source/NSTreeController.m: Add tree controller skeleton.

2012-02-29 10:25-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GNUmakefile: Add GSXibLoading.m file to GNUmakefile.
	* Source/GSXibLoading.m: Add some classes which I found
	are relevant to Xib loading: IBAccessibilityAttribute,
	IBUserDefinedRuntimeAttributesPlaceholder.

2012-02-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m: Add file type chooser (PDF, PostScript)
	to save panel

2012-02-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m (-titleRectForBounds:): Keep title rect
	inside cell bounds, to prevent drawing text outside of a
	NSPopUpButtonCell which has a label that is too long to fit.

2012-02-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindowController.m (-initWithWindow:): Set the owner to
	self and only call setDocument: if we have an actual window.

2012-02-24  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageRep.h: Add comment clarifying that -draw
	is a primitive method which subclasses should override.

2012-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setFrameFromString:): Correct bug in
	handling of in-window menus.

2012-02-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOpenPanel.m (-beginSheetForDirectory:...,
	-beginForDirectory:...): Replace calls to -_setupForTypes: by
	-setAllowedFileTypes:, as the former was removed from the super
	class NSSavePanel.

2012-02-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenu.m (-performActionForItemAtIndex:): Revert change
	from r34642. The action of a pop up menu item once again is chosen
	in preference to the action of the pop up button itself. This is
	how it has always worked on OS X.

	* Source/NSPopUpButtonCell.m (_popUpItemAction): Fix sender of the
	pop up button's action. It is now the pop up button itself and not
	the pop up button cell.

2012-02-18 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSGraphicsContext.h: Extend the enumerator
	NSCompositingOperation with the GNUstep specifc value
	GSCompositeHighlight.
	* Source/Functions.m (NSHighlightRect): Use GSCompositeHighlight
	instead of NSCompositeHighlight.

2012-02-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSGraphics.h: Add missing declaration for
	NSFrameRectWithWidthUsingOperation

2012-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m
	(-_convertToFormatBitsPerSample:...bitsPerPixel:): Correct
	handling of black data.

2012-02-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: Use an NSMapTable to store pasteboards so we
	don't have to do the nasty retain count hack to deallocate them.
	Fix encoding so that filter meta-pasteboards are sent to gpbs by
	reference rather than bycopy.  Add special proxy to avoid data objects
	being copied to/from pasteboard server when created by filters.
	* Tools/make_services.m: Fix buggy initialisation of 'verbose' setting.
	Add check/warning if filter service has non-filename send types.

2012-02-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (+pasteboardByFilteringFile:): Correct
	typo in Richard's change.
	* Source/NSPasteboard.m (-pasteboard:provideDataForType:): Use the
	file name directly instead of reading the file contents.
	* Source/NSImageRep.m (+imageRepsWithContentsOfFile:, +imageFileTypes):
	Start working on filter service support for images.

2012-02-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: ([+pasteboardByFilteringFile:]) fixed to
	specify source as file names, not file contents.

2012-02-03  Adam Fedor  <fedor@gnu.org>

	* Bump version

2012-02-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSOutlineView.h:
	* Source/NSOutlineView.m: Add support for
	outlineView:dataCellForTableColumn:item: delegate method
	* Headers/AppKit/NSTableView.h:
	* Source/NSTableView.m: Add support for
	tableView:dataCellForTableColumn:row: delegate method

2012-02-03  Adam Fedor  <fedor@gnu.org>

	* Version 0.22.0
	* Update release notes

2012-02-01 Riccardo Mottola <rm@gnu.org>

	* Source/GSThemePanel:
	centerScanRect button to avoid blurring

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeInspector.m: Add missing include.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (-initWithFocusedViewRect:): Return
	nil if the image data is empty. This could lead to an exception
	alter on.
	* Source/NSImage.m (-TIFFRepresentationUsingCompression:factor:,
	-TIFFRepresentation): Deal with -initWithFocusedViewRect: returning nil.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-setMain:): Rearrange code to avoid duplicate
	menu for in-window menu themes.

2012-02-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeInspector.m (-update:): Don't get the frame from a
	non-existing view.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Only
	draw at 50% opacity if no bezel is set for cocoa compatibility.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_ToolbarClippedItemsMark.tiff: Revert to older
	version because 48x48 scaled version looks too big. Also add
	high-DPI version.

2012-01-30 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GNUmakefile: Remove GSGhostscriptImageRep from the build
	* Source/NSImageRep.m: Remove GSGhostscriptImageRep
	* configure.ac: Disable ImageMagic by default
	* configure: Regenerate

2012-01-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-setMain:): Remove the in-window menu when
	switching to a theme without that.

2012-01-27 Fred Kiefer <FredKiefer@gmx.de>

	* Images/common_ToolbarClippedItemsMark.tiff: Revert to an older
	version, scaled up to 48x48.

2012-01-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-performActionForItemAtIndex:): Check for the
	popup button cell and its action, before checking for the item
	action. This caused a problem due to NIB decoding changes.

2012-01-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-updateRuler): Replace last change with one
	that checks whether the text view is the client view of the ruler
	and only sets the markers in that case.

2012-01-25 Doug Simons  <doug.simons@testplant.com>

	* Source/NSTextView.m (-updateRuler): Call setClientView: before
	calling setMarkers: to fix a problem when a textView's text is
	set or changed when the textView is not the first responder,
	such as at windowControllerDidLoadNib: time.

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (+imageNamed:): Don't try to look up path
	if called with nil (just return nil).

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m: Disable copy-on-scroll until after release

2012-01-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m (-constrainScrollPoint:): Revert last change
	until after the release.

2012-01-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSecureTextField.m: Add GSSimpleSecureGlyphGenerator and
	use this to generate the bullet glyphs.

2012-01-23 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSClipView.m (-constrainScrollPoint:): Restore old code
	which correctly rounded the scroll point to an integer point in
	device-space. It seems the correct code was commented out in 2002,
	perhaps as a performance optimisation?

2012-01-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSToolbarFrameworkPrivate.h,
	* Headers/AppKit/NSMatrix.h: Remove duplicated method declarations.
	* TextConverters/RTF/RTFProducer.h: Change docDict to NSDictionary.
	* Source/GSTheme.m,
	* Source/GSWindowDecorationView.m: Add missing type cast.
	* Headers/AppKit/NSCell.h,
	* Source/NSCell.m,
	* Source/NSButtonCell.m: Change _contents to id.
	* Source/GSNibLoading.m: Add missing import.
	* Source/NSPasteboard.m: Declare release as oneway.
	* Source/GSNibLoader.m: Change class to NSKeyedUnarchiver.
	* Source/GSXibLoader.m: Use correct printf type specifier.
	* Headers/AppKit/NSBitmapImageRep.h,
	* Source/NSBitmapImageRep.m: Change _imageData to NSData.
	Fix clang compiler warnings as reported by Sebastian Reitenbach
	<sebastia@l00-bugdead-prods.de>.

2012-01-21 Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-setBounds:, -setBoundsOrigin:, -setBoundsSize:):
	Revert a portion of r32955 which I committed last april but I now
	see was a mistake, and I just discovered is breaking the  copy-on-scroll
	behaviour of NSClipView - we end up always redrawing the entire visible
	portion of the document view right now.

	In r32955 I added [self setNeedsDisplay: YES] calls to these methods
	even though these are documented explicitly as not marking the view for
	needing display. Approved by Fred for commit during the code freeze.

2012-01-20 German Arias <german@xelalug.org>

	* Source/GSInfoPanel.m (-initWithDictionary:): Fix bug #35335.

2012-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setStringValue:, setObjectValue:): Always use
	ASSIGNCOPY for the contents. This fixes memory leak of last
	commit.

2012-01-19 Riccardo Mottola <rm@gnu.org>

	*Source/NSCell.m:
	Add missing autoreleases.

2012-01-19 Riccardo Mottola <rm@gnu.org>

	*Source/NSCell.m:
	Copy contents before setting it [setObjectValue]

2012-01-18 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSImageView.h,
	* Source/NSImageView.m: Protect image drag with new ivar that gets
	set via a new GNUstep extension method.

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:):
	Draw image with 50% opacity if the cell is disabled

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableColumn.m (-initWithIdentifier:): Make data
	cell editable by default.

2011-01-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/NSImage.m:
	Attempt to get image support working as documented again ... restore
	code in GSTheme to set up new named images on activation and restore
	originals on deactivation (rather than doing everything in a
	notification handler at the wrong point).
	Honor +imageClass as the class to load new images again.
	Hopefully this will get the windows and gnome
	themes working again (though I dn't use either).

2011-01-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: Clean up and simplify theme switching based on
	defaults system values.

2012-01-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSStandardWindowDecorationView.m (-mouseDown:): Pass the
	event on to the super implementation if we don't handle it.

2012-01-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (+_clearFileTypeCaches): Use DESTROY instead
	of RELEASE.
	Patch by Philippe Roussel <p.o.roussel@free.fr>.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Remove duplicate #import
	* Source/NSImage.m: Correct _clearFileTypeCaches notification
	method to take a NSNotification* parameter.
	* Soure/NSImage.m (themeDidActivate:): Move to a class method,
	and move the GSThemeDidActivateNotification subscription
	to +[NSImage initialize]. Now the +_themeDidActivate: updates
	all images by looking at all the values in nameDict. This should
	function exactly the same as before, but seems to be quite a bit
	faster due to fewer notifications being sent (?)
	* Source/NSImage.m (+imageNamed:): Remove redundant fetch from
	nameDict pointed out by Fred

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (+pathForImageNamed:): Add underscore and
	move to private category. Also remove use of lock as it is
	unnecessary
	* Source/NSImage.m: (-themeDidActivate:): Extract method
	_resetAndUseFromFile:. Don't reset _size if
	flags.sizeWasExplicitlySet was true.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOpenPanel.m: Rewrite/simplify selection handling,
	fix bug reported by Riccardo where OK button is disabled when
	selecting directories after selecting a file.

2012-01-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Add missing ASSIGN

2012-01-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTheme.m: Remove code which sets and unsets images
	on theme activation/deactivation.
	* Source/NSImage.m (+imageNamed:): Factor out code for finding
	the path for a name to a separate method, +pathForImageNamed.
	The code is unchanged otherwise, except for fixing the retrieval
	of images from the theme bundle, which was broken.
	* Source/NSImage.m (-setName:): Remove code for creating theme
	proxy. Subscribe/unscribe to theme change notification when
	the receiver is added/removed from the name dictionary.
	* Source/NSImage.m (-themeDidActivate:): Method called in
	response to a GSThemeDidActivateNotification on images with
	a name set. It does a path lookup in the same way that
	+imageNamed: would, and checks if the path has changed due
	to the theme change. If it has, all reps are discarded and
	the image at the new path is loaded. This avoids the need for
	the theme proxy objects.

2012-01-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (+imageUnfilteredFileTypes, +imageFileTypes,
	+imageUnfilteredPasteboardTypes, +imagePasteboardTypes,
	+initialize, +_clearFileTypeCaches): Cache the file type results
	for the image reps and clear the cache when these change.

2012-01-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrinter.m (-loadPPDAtPath:...inclusionSet:): Raise an
	exception if PPD file cannot be read.

2012-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-characterIndexMoving:...): Fix two
	incorrect comparisons which were causing range exceptions when
	moving the cursor up in the first line and down in the last line
	of a NSTextView, respectively.

2011-12-31  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintOperation.m (_print): Fix read of uninitialized
	variable, which was breaking printing of wrap-to-page mode in
	TextEdit. TODO: Run the printing code through valgrind, there is
	a lot of suspicious code.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m(-initWithFrame:textContainer:,
	-setFieldEditor:): Change the default text container inset to
	(0,0) to reduce blank space around text.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-_insertionPointRectFor...,
	-insertionPintRect...): Get the insertion point rectangle right
	for character index 0.

2011-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-resizeSubviewsWithOldSize:): Adjust
	minimum and maximum sizes to ensure that the minimum size is not
	greater than the current size and the maximum size is not smaller
	than the current size.

2011-12-27 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Update.

2011-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-setFieldEditor:): Use different values for
	both cases.

2011-12-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m (-browser:createRowsForColumn:inMatrix:):
	Set icon size based on cell's cellSize

2011-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintOperation.m (-_print): Remove unused variable.
	* Source/GSLayoutManager.m (-_generateRunsToCharacter:): Remove
	unused variable.
	* Source/NSToolbar.m (-initWithCoder:): Don't call non-exisiting
	super method.
	* Source/GSNibLoading.m (-nibInstantiate): Add type cast for toolbar.
	* TextConverters/RTF/RTFProducer.m (-_addAttributesString:): Use
	destString instead of dest when writing the NSLinkAttributeName.

2011-12-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:):
	Restore code to draw the background when the cell is highligted

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m (-browser:createRowsForColumn:inMatrix:):
	Set file icons on browser cells in the open/save panels.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:):
	When highlighted, use -image if -alternateImage is nil.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableView.m (-_isCellEditableColumn:row:): Tweak
	criteria for determining cell editability::
	- the delegate (if present) must say YES
	- and the cell itself must return YES for isEditable
	- and the table column must return YES for isEditable
	Previously you could edit cells that returned NO for
	isEditable if the column they were in was editable.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableHeaderView.m (-initWithCoder:): Remove unneeded
	"_tableView = nil" which was causing a problem with my xib file.

2011-12-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBrowserCell.m (-image, -setImage:): Override NSCell
	implementation so these methods work without requiring the
	cell to be an image cell.
	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:): Don't
	draw background. Remove -(void) isOpaque { return YES; }. Also
	pixel-align images and use modern -drawInRect: method.

2011-12-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-_openItem:): Changed i fron NSUInteger
	to NSInteger.

2011-12-17 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSliderCell.h
	* Headers/AppKit/NSLevelIndicator.h
	* Headers/AppKit/NSButtonCell.h
	* Headers/AppKit/NSButton.h
	* Headers/AppKit/NSMenuItem.h
	* Headers/AppKit/NSLevelIndicatorCell.h
	* Headers/AppKit/NSSlider.h
	* Headers/AppKit/NSTabView.h
	* Headers/AppKit/NSCell.h
	* Headers/AppKit/NSDrawer.h
	* Source/NSSliderCell.m
	* Source/NSLevelIndicator.m
	* Source/NSButtonCell.m
	* Source/NSButton.m
	* Source/NSMenu.m
	* Source/NSMenuItem.m
	* Source/NSLevelIndicatorCell.m
	* Source/NSComboBoxCell.m
	* Source/NSToolbarItem.m
	* Source/NSSlider.m
	* Source/NSTabView.m
	* Source/NSCell.m
	* Source/NSWindow.m
	* Source/NSDocumentController.m
	* Source/NSTableView.m
	* Source/NSOutlineView.m
	* Source/NSParagraphStyle.m
	* Source/NSPopUpButtonCell.m
	* Source/NSView.m
	* Source/NSDrawer.m
	* Source/GSNibLoading.m
	* Source/GSXibLoader.m
	* Source/GSToolbarView.m
	* Source/GSTheme.m
	* Source/GSThemeDrawing.m
	* ColorPickers/GSNamedColorPicker.m:
	Replace some occurences of int with NSInteger
	and unsigned with NSUInteger. This allows to recompile gui on 64
	bit systems after the change to NSNotFound in base.

2011-12-16 Riccardo Mottola <rm@gnu.org>

	* Panels/English.lproj/GSPrintPanel.gorm
	Tweaked positions and removed fractionary ones.

2011-12-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSTextView.h: Change _dragTargetLocation to NSUInteger
	because NSNotFound no longer fits in unsigned int on 64-bit

2011-12-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	Move _finalWritePrintInfo: call to the end of _pickedButton:. This
	fixes the save and preview buttons for me.

2011-12-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrinter.m:
	* Source/NSPrintOperation.m:
	* Source/NSPageLayout.m:
	* Source/NSPrintInfo.m:
	* Headers/AppKit/NSPrintInfo.h: Migrate printing code to CGFloat
	or double.
	* Source/NSTextView.m: Rewrite -adjustPageHeightNew:top:bottom:limit:

2011-12-14  Eric Wasylishen  <ewasylishen@gmail.com>

       * Source/NSImageCell.m: if drawing on a view use -centerScanRect:
	to pixel align the drawing rect.

2011-12-02 German Arias <german@xelalug.org>

	* Source/NSAlert.m (-_setupPanel): Verify if there is error
	information to be displayed.

2011-12-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-buildUpTextNetwork:):
	* Source/NSTextContainer.m (-initWithContainerSize):
	* Source/NSStringDrawing.m (init_string_drawing):
	Reinstate Fred's change with the additional correction to the
	string drawing code he proposed on the mailing list.

2011-12-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m
	(-_scheduleTextCheckingInVisibleRectIfNeeded): Check for
	nil before sending -rectValue to avoid crash

2011-11-28 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTextView.m (-buildUpTextNetwork:):
	* Source/NSTextContainer.m (-initWithContainerSize:):
	revert previous change by Fred since it was causing labels
	and textfields to also be shifted which is not correct.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-initWithCoder:): If no selection
	index is given select the first item. This should fix bug #34923.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-buildUpTextNetwork:): Move setting the
	default line framgent padding from here ...
	* Source/NSTextContainer.m (-initWithContainerSize:): ... to here.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOpenGLView.m (-_frameChanged:): Don't send -reshape
	before -prepareOpenGL.
	Patch by Julian Mayer <julian@corecode.at>.

2011-11-28 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKit.h: Add NSColorSpace.h. This fixes bug #34913.

2011-11-28 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTextView.m: Add code to set the default
	of 5.0 in the -buildUpTextNetwork method.
	* Source/NSTextContainer.m: In -lineFragmentForProposedRect:...
	add _lineFragmentPadding to min and subtract from max to
	shift the line fragment rectangle.
	* Source/NSLayoutManager.m: In -insertionPointRectForCharacterIndex:..
	add the padding to the initial position of the insertion point
	so that before there is anything in the text container, the cursor
	is sitting at the correct position.

2011-11-25 20:27  theraven

	* libs/gui/trunk/Headers/AppKit/NSApplication.h: NSAutoreleasePool*
	  -> id in NSApplication.h, so the header can be used in ARC code
	  (which prohibits explicit references to NSAutoreleasePool).

2011-11-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/nsmapping.strings: Add a few more mappings, including
	toolbar images

2011-11-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSNibLoading.m:
	* Source/NSToolbar.m:
	* Source/GSToolbarCustomizationPalette.m:
	* Source/GSToolbarView.m:
	* Source/NSToolbarItem.m:
	* Source/NSToolbarFrameworkPrivate.h:
	* Headers/AppKit/NSToolbar.h: Implement -initWithCoder: for
	NSToolbar. This required a bit more work that usual because
	toolbars created with -initWithCoder can operate without a delegate.

2011-11-17 Riccardo Mottola <rm@gnu.org>

	* Source/NSButtonCell.m:
	Minor compiler compatibility.

2011-11-16  Quentin Mathe <quentin.mathe@gmail.com>

	Improved the menu theming to support some common menu look variations.
	Fixed bug #34792 too.
	* Headers/Additions/GNUstepGUI/GSTheme.h
	* Source/GSThemeDrawing.m 
	(-menuBackgroundColor, -menuItemBackgroundColor, -menuBorderColor
	-menuBorderColorForEdge:isHorizontal:, 
	-drawsBorderForMenuItemCell:state:isHorizontal:, 
	-drawTitleForMenuItemCell:withFrame:inView:state:isHorizontal:, 
	-menuSeparatorInset): Added.
	(-menuBarBackgroundColor, -menuBarBorderColor): Added but not yet used.
	(-menuSeparatorColor): Renamed -menuSeparatorItemColor.
	* Source/NSMenuItemCell.m 
	(-backgroundColor:): Changed to get the background color from 
	-menuItemBackgroundColor.
	(-themeControlState): Added.
	(-drawTitleWithFrame:inView:): Moved drawing code to GSTheme.
	Made separator menu item themable, by moving the drawing code from
	NSMenuItemCell to a new method in GSThemeDrawing.

2011-11-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-bestRepresentationForDevice:): Fix last
	change for the case where there are no representations for the image.

2011-11-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSUserDefaultsController.m
	([GSUserDefaultsHelper-valueForKey:]) Use a marker for values
	being nil. This should fix bug #34790.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-bestRepresentationForDevice:): When
	all other matching criteria fail, use the first image instead
	of the last (arbitrary, but seems to match cocoa.)

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSAlert.m: Use NSImageScaleProportionallyUpOrDown on
	app icon button cell.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-setScalesWhenResized:): Disable this method
	as it is currently broken on the cairo backend.
	* Source/NSApplication.m (-setApplicationIconImage:): Don't
	use call -setScalesWhenResized:, because if it worked as it is
	supposed to, it would scale all icon reps down to 48x48,
	making large icon sizes useless.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSInfoPanel.m: Fix app icon button size at 48x48 and use
	NSImageScaleProportionallyUpOrDown.
	This prevents icons with large sizes (e.g. 512x512 pixel) from
	making the info panel really big.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageCell.h:
	* Headers/AppKit/NSCell.h: Move NSImageScaling constants to NSCell
	* Source/NSImageCell.m:
	* Source/NSCell.m: Refactor the image scaling logic to a private
	method in NSCell, -_scaleImageWithSize:toFitInSize:scalingType:
	which can be share by NSImageCell, NSButtonCell, and any other
	cell classes that need it.
	* Source/NSButtonCell.m:
	* Headers/AppKit/NSButtonCell.h: Implement -imageScaling and
	-setImageScaling methods. 
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Remove the
	-drawImage:inButtonCell:withFrame:position: API intended
	to let themes substitute images right before drawing,
	as IMHO it's the wrong place to hook in new images (by
	the time this method was caleld, sizing/positionging
	was already done).

2011-11-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Better handling for flattened properties
	to set the tool tips of an object.

2011-11-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSKeyValueBinding.m
	([GSKeyValueBinding-transformValue:withOptions:]): Don't use @""
	when no null placeholder is defined.

2011-11-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColorWell.m (-objectValue, -setObjectValue:,
	-takeObjectValueFrom:): Add these missing methods.

2011-11-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep+PNG.m:
	HACK: PNG can not represent 72DPI exactly. If the pixels-per-meter value is
	near 72DPI, assume it is exactly 72 DPI. Note that the same problem occurrs
	at 144DPI, or 288DPI... so don't use PNG for resolution independent graphics.

2011-11-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-insertItemWithTitle:atIndex:): Set
	the action on the menu item to -_popUpItemAction:.

2011-11-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m: Add decoding of class IBInitialTabViewItemAttribute.

2011-11-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSInfoPanel.m: Tolerate 'Authors' being a string containing
	a single author as well as an array.

2011-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m: Add some bindings for NSTabView.

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Always send action and colorChanged: when
	the color changes. NSColorPanel is always "continuous" for now...
	to support -isContinuous == NO, we need to augment the API between
	the color panel and the pickers so they can send a message when
	the mouse is released.
	* Source/NSTextView.m: Change typing attributes in response to
	colorChanged:

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m: centerScanRect patch from Sebastian Reitenbach.
	Note that this makes the NSView autoresizing and rounding test pass,
	but the new centerScanRect test I just added fail.

2011-11-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Add
	centerScanRect test

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m: Switch the save panel to
	not show hidden files and remove ".svn" from the expected
	results. This file was never present in an exported directory and
	will no longer exist with SVN 1.7.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-_popUpItemAction:): Inform bindings
	of the control view that the value has changed.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m ([NSNibConnector-nibInstantiate]): Add
	this method.
	* Source/GSXibLoader.m ([IBBindingConnection-nibInstantiate):
	Instantiate the connector.

2011-10-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButton.m,
	* Source/NSMatrix.m,
	* Source/NSControl.m: Remove useless KVB code.

2011-10-31 Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSTableColumn.m: (+initialize, -initWithCoder:,
	-encodeWithCoder:): Updated version to 3.  Added encoding for
	sort descriptor in encodeWithCoder:, added decoding for version 3
	to initWithCoder:

2011-10-28  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m (-menuSeparatorItemColor,
	-drawSeparatorItemForMenuItemCell:withFrame:inView:isHorizontal:):
	* Source/NSMenuItemCell.m (-drawSeparatorItemWithFrame:inView:):
	Made separator menu item themable, by moving the drawing code from
	NSMenuItemCell to a new method in GSThemeDrawing.

2011-10-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep.m (+imageRepWithData:): Add missing AUTORELEASE.

2011-10-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCell.m: Read/write NSLineBreakMode from the bits masked off
	by 0xE00 in NSCellFlags2. The previous location they were being
	read/written from was giving bogus values such as 7.

2011-10-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Draw a question mark centered in the bezel
	for NSHelpButtonBezelStyle

2011-10-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep.m:
	* Source/NSColor.m:
	* Source/GSThemeTools.m:
	* Source/NSGraphicsContext.m:
	* Headers/AppKit/NSColor.h:
	* Headers/AppKit/NSGraphicsContext.h:
	* ColorPickers/GSGrayColorPicker.m:
	* ColorPickers/GSCMYKColorPicker.m:
	* ColorPickers/GSWheelColorPicker.m:
	* ColorPickers/GSRGBColorPicker.m:
	* ColorPickers/GSHSBColorPicker.m: Migrate float to CGFloat in
	NSColor

2011-10-25 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSXibLoading.h,
	* Source/GSXibLoader.m: Integrate method used in Gorm.

2011-10-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBox.m (-initWithCoder:): Rearrange order of keyed
	decoding.
	* Source/GSNibLoading.m: Warn about missing custom resources.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h: Add class IBToolTipAttribute.
	* Source/GSXibLoader.m: Add decoding of type "boolean". Fix
	decoding of "real", "integer" and "dictionary". Add handling of
	flattenedProperties to determine which windows should be visible.
	Store all top level obejcts in array.

2011-10-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m (-objectForXib:): Add type "real" and
	handle empty strings.

2011-10-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScrollView.m (-encodeWithCoder:, -initWithCoder:):
	Correct keyed encoding and decoding of flags. NIB files created
	from GNUstep will need to be recreated.
	Should fix bug #34498.

2011-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: Add alpha handling to keyed-coding/decoding.
	Should fix bug #34501.

2011-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m(currentVersion, -encodeWithCoder:,
	-initWithCoder:): Archive missing attributes in non-keyed
	mode. This required updating the NSTextView version to 4.
	Should fix bug #33884.

2011-10-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-lockFocusOnRepresentation:): Draw the
	representation into the new cache. Use NSRectFillUsingOperation
	instead of PScompositerect.
	* Source/NSImage.m (-drawRepresentation:inRect:): Use DPS
	operations instead of PS operations.

2011-10-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSProgressIndicator.m (-encodeWithCoder:, initWithCoder:)
	The flag isDisplayedWhenStopped is stored negated.

2011-10-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBezierPath.h,
	* Source/NSBezierPath.m: Rewrote NSBezierPath to allow subclasses.

2011-10-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSApplication.h,
	* Headers/AppKit/NSPasteboard.h,
	* Headers/AppKit/NSInterfaceStyle.h,
	* Headers/AppKit/NSGraphics.h: Bracket in 'extern "C"' for C++.
	Patch by Julian Mayer <julian@corecode.at>.

2011-10-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSPanel.h: Bracket in 'extern "C"' for C++

2011-10-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-initWithCoder:): Don't decode super view.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h: Add class IBBindingConnection.
	* Source/GSXibLoader.m: Implement IBBindingConnection.
	* Source/GSXibLoader.m (-objectForXib:): Return a previously
	decoded object instead of a new one if available.

2011-10-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-_trackWithEvent:startingMenuView:,
	-trackWithEvent:): Started rewrite that simplifies menu tracking code.

2011-10-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m,
	* Source/GSThemeMenu.m,
	* Source/GSWindowDecorationView.m: Rewrite of the in-window menu handling.

2011-09-12 German Arias <german@xelalug.org>

	* Source/GSThemeMenu.m (-setMenu:forWindow:): Improvements to
	menu in window.

2011-09-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSControl.m (+initialize, -valueForKey:,
	-setValue:forKey:): Add support for the bindings NSFontNameBinding
	and NSFontSizeBinding.

2011-09-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (_cacheForRep:): Don't assume rep is non-nil. This should fix
	locking focus on an image with no representations.

2011-09-08  Gregory Casamento <greg.casamento@gmail.com>

	* Source/NSImage.m: Correction for call to function NSEqualSizes.
	It was mistyped as "NSSizesEqual" which was producing a link-time
	error.

2011-09-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Throw an exception if you attempt to lock focus on an image with
	size (0, 0)
	* Source/NSCachedImageRep.m: Throw an exception if you attempt to create a cached
	image rep with a size of (0, 0).

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSFontPanel.m: Add a tooltip on the character panel button

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSpellChecker.m: Use NSLog rather than a popup alert when the spell
	server can't be contacted; otherwise the user may be spammed with a series
	of popups if automatic spellchecking (underlining) is turned on, but
	the current language isn't set.

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m: Implement -[NSApplication orderFrontCharacterPalette:]
	* Source/NSFontPanel.m: Use NSApplication method to order front character palette

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Simplify a bit
	bit by using
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]
	* Source/NSCell.m (-drawInteriorWithFrame:inView:): Switch from
	-[NSImage compositeToPoint...] to
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]

2011-09-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOpenPanel.m: Use the NSSavePanel _allowedFileTypes ivar
	in place of the _fileTypes ivar. Replace calls to _setupForTypes: with
	-setAllowedFileTypes:.
	* Headers/AppKit/NSOpenPanel.h: Remove now unused _fileTypes ivar
	* Source/NSSavePanel.m: Treat directories whose names have extensions
	in the _allowedFileTypes array as file packages.
	Previously, we only relied on -[NSWorkspace isFilePackageAtPath:],
	to determine if a director is a file package, which only considers the
	info.plists of installed applications.

2011-09-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (_setNeedsDisplayInRect_real:): Enlarge
	(if necessary) _invalidRect so it lies on integral device pixels.

2011-08-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-setApplicationIconImage): Ignore this
	call when the image is nil.

2011-08-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSCachedImageRep.m: Restore the implementation of -draw
	because libart/xlib need it.

2011-08-28 Christopher Armstrong <carmstrong@fastmail.com.au>
	* Source/GSHorizontalTypesetter.m: Split declaration of struct
	GSHorizontalTypesetter_glyph_cache_s and struct
	GSHorizontalTypesetter_line_frag_s from their typedefs to compile
	under clang.

2011-08-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m ( _loadFromFile): Correct last commit.
	* Source/NSImage.m ( _loadFromData): Use similar check here.

2011-08-25 Riccardo Mottola <rm@gnu.org>

	* Source/NSImage.m ( _loadFromFile):
	Check that the array of reps is populated, not just non-nil.

2011-08-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-setSize:): Don't invalidate the cache anymore,
	because we now cache the entire representation and not the rep scaled
	to the image's size.

2011-08-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Reinstate use of the cached image rep, but only
	on backends supporting GSdraw: (cairo).  This means we don't have to
	create a window for every call to draw an image, and gives me a 5-10x
	speedup for image drawing.
	* Source/NSCachedImageRep.m: Implement private method
	-nativeDrawInRect:.. which is called by NSImageRep's
	-drawInRect:fromRect:..., and efficiently draw the cached rep
	using GSdraw:. Also make some changes so cached image reps can have a
	DPI != 72.
	* Headers/AppKit/NSCachedImageRep.h: New private init method that lets
	you specify diferent pixel size and point size.

2011-08-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageRep.h: Add
	-drawInRect:fromRect:operation:fraction:respectFlipped:hints: method
	* Source/NSImage.m:
	* Source/NSImageRep.m: Refactor drawing code from NSImage to NSImageRep.
	This should cause no functionlity change, but it lets NSImageRep
	subclasses implement more efficient versions of -drawInRect:fromRect:...
	method that don't involve the wasteful drawing the image in a temporary
	offscreen window and then drawing from there on to the destination surface.

2011-08-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Pixel-align drawing rect using
	-[NSView centerScanRect]

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Bugfix when drawing with
	not enough space

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m (NSDrawNinePartImage): Bugfix in flipped drawing code

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m:
	* Headers/AppKit/NSGraphics.h: NSDrawNinePartImage implementation

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: New GSThemeMargins struct.
	Rename buttonBorderForCell:style:state: to buttonMarginsForCell:style:state:
	and return the top/bottom/left/right margins instead of just two values.
	(This is a theme API break.)
	* Source/GSThemeDrawing.m: Implement buttonMarginsForCell:style:state:.
	Also reduce the top and left margin of the default button by 1 pt, to
	better reflect the button's appearance.
	* Source/GSGuiPrivate.h: Add a GSRoundTowardsNegativeInfinity function
	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Round the image
	position down and to the right, as this seems to look the best.
	* Source/NSButtonCell.m (-cellSize): Call new buttonMarginsForCell: method
	* Source/NSButtonCell.m (-drawingRectForBounds:): Call new
	buttonMarginsForCell: method

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (GSResolutionOfImageRep): Specify behaviour when the
	rep has a size of zero, or is a vector rep. Prevent division by 0.

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Deal with a zero rep size
	* Source/NSCustomImageRep.m:
	- Don't retain the delegate (matching OS X)
	- Remove unnecessary flip checks from -drawAtPoint: and -drawInRect:
	  to match the code in NSImageRep
	- Fix a mistake when setting the ctm scale factor

2011-08-11 10:57  theraven

	* libs/gui/trunk/Tools/speech/GSSpeechEngine.h: Move the
	  +defaultSpeechServer method into a category interface, to silence
	  a clang warning.

2011-08-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-setBoundsSize:): Adjust the origin as well.

2011-08-04 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (+initialize): Don't create the default menu
	zone as we never use it and a change in base made this an
	expensive operation.

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_RadioOn.tiff:
	* Images/common_RadioOff.tiff: Add high-dpi versions

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSLayoutManager.m:
	* Source/GSHorizontalTypesetter.m:
	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h:
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h: Store
	glyph advances in the runs in GSLayoutManager. Extend the
	NSGlyphStorage protocol to support a case where the glyph
	generator provides the glyph advances.

	I'm hoping to use this in the future to implement (optional)
	glyph generators which are wrappers around HarfBuzz or the ICU
	OpenType layout engine.

2011-08-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_SwitchOff.tiff:
	* Images/common_SwitchOn.tiff:
	* Images/common_2DCheckMark.tiff: Add a few more high-res images

2011-08-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Documentation/news.texi:
	* Documentation/ReleaseNotes.gsdoc: Add some documentation on
	new features in gui

2011-07-30 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSScreen.m (-userSpaceScaleFactor): Use the DPI
	from the display server instead of ignoring it and assuming 72.

	The X11 server was changed to always return 72 for now, so there
	is no change in behaviour on X.

	On Windows we do use the system DPI/scale factor now.

2011-07-25 Riccardo Mottola <rm@gnu.org>

	* configure.ac:
	* configure:
	Check for png with CHECK and not SEARCH lib to avoid position problems
	in the linker flags (windows is sesnitive)

2011-07-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAnimation.m (NSViewAnimation -dealloc): Use DESTROY
	instead of RELEASE as _viewAnimationDesc to prevent segmentation
	fault in super call.
	* Source/NSWindow.m (-setFrame:display:animate:): Use
	NSViewAnimation instead of local blocking code.
	* Source/NSWindow.m (-animationResizeTime:): Use abs() in all directions.

2011-07-23 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSView/NSView_visibleRect.m: New test.
	* Tests/gui/NSView/scrollRectToVisible.m: Use an NSWindow.

2011-07-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (autoresize): Handle negative flexible space.
	Patch by Tim Schmielau <gnustep@chmielau.orangehome.co.uk>
	* Tests/gui/NSView/NSView_bounds_scale.m: More detailed testing.
	* Source/NSMenuItem.m,
	* Source/NSPageLayout.m,
	* Source/NSTextField.m,
	* Source/NSViewController.m: Add missing #import.
	* Source/NSSegmentedCell.m: Declare missing methods.

2011-07-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSToolTips.m (-_timedOut:): Guard against nil tooltip string

2011-07-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSButtonCell.m (-title): Return @"" instead of nil
	* Source/NSButtonCell.m (-alternateTitle): Return @"" instead of nil
	* Source/NSButtonCell.m (-attributedAlternateTitle): Use
	[self alternateTitle] instead of accessing _altContents directly to guard
	against _altContents being nil
	* Source/NSButtonCell.m (-attributedTitle): Don't return nil. Use
	[self title] instead of accessing _contents directly to guard against
	_contents being nil
	* Source/NSButtonCell.m (-keyEquivalent): Return @"" instead of nil
	* Source/NSButtonCell.m (-encodeWithCoder):
	For keyEquivelant and alternateTitle, now that the methods never return
	nil, instead of checking if they return nil to decide whether to encode them,
	check if the string length is > 0.
	* Source/NSToolbarItem.m (-label): Return @"" instead of nil.
	* Source/NSCell.m (-stringValue): Return @"" instead of nil
	* Source/NSCell.m (-attributedStringValue): Don't return nil. Use
	[self stringValue] instead of accessing _contents directly to guard against
	_contents being nil.

2011-07-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-view:stringForToolTip:point:userData:):
	Ensure this returns an NSString, even if NSToolTipAttributeName
	is set to something else (it calls -description on the value).

2011-07-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Search for gs by enumerating directories
	in PATH rather than calling 'which'. Also search for gswin32c.exe for
	Windows.

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Implement
	-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix two bugs
	demonstrated in GSTest:
	- drawing an image in a flipped view with -drawInRect:... wasn't
	  working, and
	- drawing a vector rep in a dest rect larger than the point
	  size of the rep was resulting in blurry output.

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure.ac:
	* configure: Fix the ICU test so the library search path and
	flags are added to GRAPHIC_LFLAGS; this fixes the build on
	Windows

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Remove code for generating a dynamic
	magnifying glass cursor; it flickers on X11.

2011-07-15  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSGuiPrivate.h: remove reference to obsolete preface.h

2011-07-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Allow collapsing or expanding multiple
	rows at a time using the arrow keys

2011-07-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSound.m
	* Source/GSWindowDecorationView.m
	* Source/NSMatrix.m
	* Source/NSBitmapImageRep.m
	* Source/NSForm.m
	* Source/GSHorizontalTypesetter.m
	* Source/NSMovie.m
	* Source/NSFontDescriptor.m
	* Source/NSImage.m
	* Source/NSScrollView.m
	* Source/NSCell.m
	* Source/NSBrowserCell.m
	* Source/GSDragView.m
	* Source/NSDocument.m: Replace direct use of the isa pointer with
	a call to object_getClass().

2011-07-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m: Make a magnifying glass cursor when using
	the magnifying glass color picker. back/x11 isn't displaying
	the cursor at the moment.

2011-07-13 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: More strings.
	* Source/GSCharacterPanel.m: Added missign internationalization.

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSImageMagickImageRep.m: Don't call DestroyImage on a
	NULL image

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSImageMagickImageRep.m: Log warnings from ImageMagick
	instead of giving up.

2011-07-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGuiPrivate.h: New rounding rounding function
	GSRoundTowardsInfinity which is simply floor(x+0.5)
	* Source/NSBrowser.m:
	* Source/NSSliderCell.m:
	* Source/NSButtonCell.m:
	* Source/NSClipView.m:
	* Source/NSOutlineView.m:
	* Source/NSRulerView.m:
	Switch rint[f] to GSRoundTowardsInfinity

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Only invoke 'which' once.

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Change to NSLog, only log
	a warning the first time invoking ghostscript throws an exception,
	and log a message if it returns a nonzero exit status.

2011-07-11  Eric Wasylishen  <ericw@new-host-2.home>

	* Source/GSGhostscriptImageRep.m: Add NSWarnLog to execption
	handlers to print a message when finding or invoking Ghostscript
	fails.

2011-07-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-nativeDrawInRect:...): Compute the rep size
	after the nil test.

2011-07-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentController.m (-dealloc),
	* Source/NSWindow.m (-dealloc),
	* Source/NSLayoutManager.m (-dealloc): Unbind key bindings.

2011-07-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSColorPanel.m (-_magnify:): Preliminary implementation

2011-07-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-_trackWithEvent:): Fix for the bug where
	the highlighted menu item can be offset from the mouse pointer
	location when menu windows are moved by the window manager. See
	detailed comment in the code for more info.

2011-07-10  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m: Remove hardcoded path to gs
	executable. First try GSGhostscriptExecutablePath default, then
	try running "$SHELL -c which gs" to get the path.

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-resizeWithOldSuperviewSize:): Factor out
	autoresizing logic into a function. Add an extra code path to handle
	when the flexible space is 0, which behaves like the old version
	of the code (it divides the available space evenly).

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Tweak the test
	so it doesn't try to set the window size to {0,0}

2011-07-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m: Add some more
	test cases for when the view's width is 0

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSView.h:
	* Source/NSView.m (-resizeWithOldSuperviewSize): Pixel-align
	view frame when autoresizing.

2011-07-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-resizeWithOldSuperviewSize): Reimplement to
	resize proportionally as Cocoa does.

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m: Double click inserts character into
	main window

2011-07-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSCharacterPanel.m (-characterForRow:): Fix off-by-1 error

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m:
	More autoresizing test cases

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_autoresize_and_rounding.m:
	Add a test for NSView autoresizing and rounding

2011-07-06  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure:
	* Source/NSFontPanel.m:
	* Source/GNUmakefile:
	* Source/GSCharacterPanel.m:
	* configure.ac:
	* Headers/Additions/GNUstepGUI/GSCharacterPanel.h:
	* Headers/Additions/GNUstepGUI/config.h.in:
	* ChangeLog:
	* config:
	* config/icu.m4:
	Add a new character picker panel. It's accessible
	via a button in the font panel.

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSDisplayServer.m:
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h: Add a new API for taking
	screenshots: -contentsOfScreen:inRect:

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use respectFraction: YES when deciding whether
	to do a word selection upon a right click

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* TextConverters/RTF/RTFProducer.m: Writing of NSLinkAttributeName; reading
	is still to be implemented.

2011-07-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m: Allow any mouse up (left/right/other)
	to choose a menu item.

2011-07-02  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-_updateState:): Invalidate cursor rects
	so the cursor rects over links, for example, are updated when
	text is edited.

2011-07-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m (-drawGlyphsForGlyphRange:atPoint:,
	-drawUnderlineForGlyphRange:...:): Add support for for link attributes.

2011-07-03 Riccardo Mottola <rm@gnu.org>

	* Source/NSSliderCell.m:
	Circular sliders never return the maximum value, tested on Apple.

2011-07-02 15:33-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSTableView.m: Modifications to initWithCoder: and
	encodeWithCoder: to handle _sortDescriptors in .gorm files.

2011-07-02 Riccardo Mottola <rm@gnu.org>

	* Source/NSSliderCell.m:
	Fix tick marks with circular sliders.

2011-06-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Implement left arrow key moving selection
	to parent node when the current item is collapsed.

2011-06-29 15:41 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/GSTextStorage.m,
	  libs/gui/trunk/Source/NSBitmapImageRep.m: Small GC fixups. Make
	  sure that we're actually using GC-tracked memory when we think
	  that we are.

2011-06-29 15:39 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Headers/AppKit/NSEvent.h,
	  libs/gui/trunk/Headers/AppKit/NSMatrix.h: Fix AppKit headers to
	  allow inclusion in ARC mode. Since ARC requires the non-fragile
	  ABI, a better solution would be to simply not expose any of these
	  ivars with the non-fragile ABI.

2011-06-28  Eric Wasylishen  <ewasylishen@gmail.com>
	
	* Headers/Additions/GNUstepGUI/GSImageMagickImageRep.h:
	* Source/GNUmakefile:
	* Source/NSImageRep.m:
	* Source/GSImageMagickImageRep.m:
	* configure.ac: New ImageMagick-based NSBitmapImageRep subclass

2011-06-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m (-init): Set the window background colour to clear.
	* Headers/AppKit/NSAffineTransform.h,
	* Headers/AppKit/NSView.h,
	* Source/NSAffineTransform.m,
	* Source/NSPrintOperation.m,
	* Source/NSView.m: Use CGFlaot instead of float.
	* Tests/gui/NSView/NSView_bounds_scale.m: New test file that
	currently fails.

2011-06-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSGhostscriptImageRep.m:
	* Headers/Additions/GNUstepGUI/GSGhostscriptImageRep.h:
	* Source/GNUmakefile:
	* Source/NSImageRep.m: New image rep which attempts to
	invoke Ghostscript to rasterize PS/EPS/PDF images. It needs
	some polishing but basically works.

2011-06-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteToEndOfParagraph:):
	Implement method, which was introduced in OS X 10.3.

2011-06-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteToEndOfLine:): Fix
	implementation to work in the same way as under Emacs and OS X.
	In particular, the action now deletes the newline character when
	the insertion point is at the end of a line.

2011-06-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintPanel.h: Add missing APPKIT_EXPORT for new
	strings.
	Bug point out by Bluna Ratimonkey <object@gmail.com>.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSOpenPanel.h
	* Headers/AppKit/NSSavePanel.h
	* Source/NSSavePanel.m
	* Source/NSOpenPanel.m: Change all the runModal:... methods to
	return an NSInteger.

2011-06-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-scrollRangeToVisible:): Fix to support scrolling
	to the empty range at the end of a document (i.e. {[string length], 0}).
	This fixes the scrolling when you repeatedly hit RETURN in TextEdit to
	create new pages (in wrap to page mode).

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-setTitle:, -setAttributedTitle:,
	-setAlternateImage:, -setImagePosition:): Update the control to
	reflect the changes.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentController.m (-_openRecentDocument:): Use most
	current method to display document.

2011-06-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-setBounds:, -setBoundsSize:): Rewrite of this
	methods plus a few helpers. We pass now all the frame/bounds test cases.
	* Source/NSView.m (-_viewWillMoveToWindow:): Move the invalidation of the
	coordinate transformations and the cursor rects before the window
	test. Remove calls to coordinate invalidation from other places.

2011-06-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* common_ArrowDown.tiff:
	* common_ArrowRight.tiff:
	* common_ArrowUp.tiff:
	* common_3DArrowDown.tiff:
	* common_ArrowDownH.tiff:
	* common_ArrowLeft.tiff:
	* common_ArrowLeftH.tiff:
	* common_3DArrowLeft.tiff:
	* common_ArrowUpH.tiff:
	* common_3DArrowUp.tiff:
	* common_ArrowRightH.tiff:
	* common_3DArrowRight.tiff: Ensure both sub-images have the same
	colorspace

2011-06-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images/common_3DArrowRightH.tiff: Add high-res version

2011-06-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSImageCell.h:
	* Source/NSImageCell.m: Add support for NSImageScaleProportionallyUpOrDown

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Use -bestRepresentationForRect:context:hints: in
	-guiDrawInRect:... as well.

2011-06-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSegmentedCell.m (-initWithCoder:): Protect against
	selected segment being -1.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Implement -bestRepresentationForRect:context:hints:,
	which chooses the smallest rep larger than or equal to the provided size.

	Modify -nativeDrawInRect:... to use the above method for choosing a rep.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-guiDrawInRect:...): Handle dstRect with a zero size

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Remove unnecessary DPSgsave/DPSgrestore I added
	earlier in -nativeDrawInRect:... and replace them with saving/restoring
	the transformation matrix. The DPSgsave/DPSgrestore were causing problems
	when drawing images with a non-rectangular clipping area.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Tidy the -composite*/-dissolve* methods

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-scrollRangeToVisible:): Work with ranges
	outside the receiver (in a situation with multiple NSTextView's
	connected to a layout manager)

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-scrollRectToVisible:): Work when the receiver
	isn't partially visible in the clip view.

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m: Completely overhaul the best rep selection.
	It should now be very close to the algorithm described in the cocoa
	drawing guide, and fixes numerous bugs with the old code.

2011-06-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSFileWrapper.m: Add keyed coding.

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep.m: Reduce floating-point error in the
	expression which computes image point size using DPI and pixel size
	(for TIFF images.)

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImageRep.m (-description): Implement -description to
	aid debugging.

2011-06-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintInfo.m: Add keyed coding.

2011-06-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m: Add methods -_becomeRulerClient and
	-_resignRulerClient to set self as the ruler client and to resign
	from that. These get called when self becomes first responder or
	resigns from first responder.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintInfo.h,
	* Source/externs.m: Add new MacOSX strings for NSPrintInfo.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSWorkspace.h,
	* Source/NSWorkspace.m: Add a few MacOSX methods with dummy implementations.
	* Source/externs.m: Add new notification strings for NSWorkspace.

2011-06-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h
	* Source/NSPopUpButton.m
	* Source/NSMatrix.m
	* Source/NSLayoutManager.m
	* Source/NSTextView.m
	* Source/NSDocumentController.m
	* Source/externs.m: Add a few key value bindings.

2011-06-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+ICNS.m: Remove comment about libicns
	being GPL, it is now LGPL 2.1.

2011-06-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView_actions.m (-moveLeftAndModifySelection:,
	-moveRightAndModifySelection:, -moveWordLeft:,
	-moveWordLeftAndModifySelection:, -moveWordRight:,
	-moveWordRightAndModifySelection:, -setBaseWritingDirection:range:):
	Add basic implementation for these methods.

2011-06-09 13:49-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: Move notifications handling code to
	setTheme: instead and add code which deactivates the notifications
	and then starts listening again after activate is called.

2011-06-09 13:43-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: Move call to listen to default changes to
	activate instead of +initialize.

2011-06-07 07:40-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuItem.m: Remove temporary fix.

2011-06-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/externs.m: Correct the strings for NSPrintPanel.
	* Source/NSAttributedString.m (-setBaseWritingDirection:range:):
	Add proper implementation for this method.
	* Source/NSTextView_actions.m (-insertContainerBreak:)
	(-insertLineBreak): Add this methods.

2011-06-05 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPrintPanel.h,
	* Source/NSPrintPanel.m: Add newer methods and ivars for these.
	* Source/NSPrintOperation.m: User newer NSPrintPanel interfaces.
	* Source/externs.m: Define a few strings for NSPrintPanel.

2011-06-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_init, -finishLaunching): Create the
	app icon in NSApplication -_init as suggested by Fred.

2011-06-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/Functions.m (NSApplicationMain):
	* Source/NSApplication.m (-finishLaunching): Revert to creating
	the app icon in finishLaunching, since existing applications that
	do not use NSApplicationMain otherwise won't get an app icon.

2011-06-03 00:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Revert last change, since it will,
	per discussion with Fred, cause issues.
	* Source/NSMenuItem.m: Temporary fix for crash.

2011-06-02 16:17-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Use NSArchiver to copy menu instead of
	copy.  Add comment to explain why this is done.  The
	copy method causes all of the NSMenu instances to share
	NSMenuItems.  This appears to be causing a crash when the
	menu updates.

2011-06-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Move creation of the
	app icon from here ...
	* Source/NSApplication.m (-_appIconInit):
	* Source/Functions.m (NSApplicationMain): ... to here so that
	applications get a proper app icon under WindowMaker even when
	their main nib contains visible at launch time windows.

2011-05-31 Riccardo Mottola <rm@gnu.org>

	* Images/common_Miniaturize.tiff
	Revert image but with correct dpi of 72.

2011-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-orderWindow:relativeTo:): Take care of hide
	on deactivate windows.
	* Source/NSWindow.m (-setHidesOnDeactivate:): Hide/unhide receiver
	when the flag is changed and the application is not active.

	* Source/NSWindow.m (-_isWindowInactive:, _setWindow:inactivate:):
	New private NSApplication category to support management of hide
	on deactivate windows.

	* Source/NSApplication.m (-deactivate): Fix order of actions when
	hiding inactive windows.

2011-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSImage.m (-bestRepresentationForDevice): Prefer
	returning an image representation whose size matches the image
	size exactly.

	* Source/NSImage.m (-_bestRep:withBpsMatch:): Fix test confusing
	bits per sample and bits per pixel.

2011-05-29 20:34-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GNUmakefile: Remove NSManagedObjectContext.[hm] from compile
	* Source/NSManagedObjectContext.h
	* Source/NSManagedObjectContext.m: Delete
	* Source/NSObjectController.m: Remove #import and add @class
	declaration.

2011-05-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Use rint
	instead of round.

2011-05-27 14:08  David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSMenu.m:
	Don't create a zone in GC mode (detected at run time). This avoids a
	warning when starting GUI apps in GC mode, but should have no real effect
	on functionality.

2011-05-27 12:42  David Chisnall <theraven@gna.org>

	* Source/Functions.m,
	* Source/NSAnimation.m,
	* Source/NSApplication.m,
	* Source/NSAttributedString.m,
	* Source/NSBitmapImageRep.m,
	* Source/NSComboBoxCell.m,
	* Source/NSFileWrapper.m,
	* Source/NSInputManager.m,
	* Source/NSPrinter.m,
	* Source/NSProgressIndicator.m,
	* Source/NSWindow.m,
	* TextConverters/RTF/RTFProducer.m,
	* Tools/GSspell.m,
	* Tools/make_services.m,
	* Tools/set_show_service.m:
	Turn release messages sent to autorelease pools into drain messages. No
	functionality change in non-GC mode, in GC mode it invokes a quick GC pass
	to try to delete the short-lived objects.

	Also deleted some [pool release] lines just before exit() or
	return-from-main statements. These cause objects to be swapped in and
	destructors to be run to no benefit (the OS will reclaim this memory
	without requiring stuff to be swapped in when the process exits).

2011-05-27 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSplitView.h
	* Source/NSSplitView.m: Declare a few MacOSX 10.5 methods and make
	the background transparent by default.

2011-05-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix drawing images
	with a source rect smaller than the entire image. This was a mistake
	left by my last commit to this method.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Source/NSGraphicsContext.m:
	* Headers/AppKit/DPSOperators.h:
	* Headers/AppKit/NSGraphicsContext.h:
	* Headers/Additions/GNUstepGUI/GSMethodTable.h:
	New GSShowGlyphsWithAdvances, which replaces
	GSShowGlyphs as the primitive text drawing method.
	(used by -[NSLayoutManager drawGlyphsForGlyphRange:atPoint:])

	Requires r33121 in -back.

	Note that the advances aren't actually used by -back yet so
	text output should be unchanged.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSComboBoxCell.m: Correct positioning of popup window when
	a scale factor is in use.

2011-05-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Add a FIXME note

2011-05-25 11:19 David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSBezierPath.m,
	  libs/gui/trunk/Source/NSFont.m,
	  libs/gui/trunk/Source/NSParagraphStyle.m:
	 Change direct references to the isa pointer to calls to
	 object_getClass(). In discussion with Steve Naroff (before he left Apple)
	 it was decided that the isa pointer should be regarded as an
	 implementation detail and not part of the language, so direct references
	 to it are deprecated (on OS X).  This gives the runtime a bit more
	 freedom to do secret isa-swizzling tricks.

2011-05-23 Fred Kiefer <FredKiefer@gmx.de>

	* Tools/say/GNUmakefile
	* Tools/say/say.m: Clean these up a bit to correctly compile wiht
	gcc 4.6.

2011-05-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSControl.h:
	* Source/NSControl.m (-takeIntegerValueFrom:, -setIntegerValue:)
	(-integerValue): Add OSX 10.5 methods.

2011-05-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSView.h,
	* Source/NSView.m (-setSubviews:): New method.
	Code by Banlu Kemiyatorn <object@gmail.com>.

2011-05-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+ICNS.h
	* Source/NSBitmapImageRep+ICNS.m: New method to load all the
	images from file. Plus a few additional changes.
	* Source/NSBitmapImageRep.m (+imageRepsWithData:): Use new ICNS
	method to get all images from file.
	* Source/NSBitmapImageRep.m (+imageRepWithData:): Use
	-initWithData: instead of +imageRepsWithData:.

2011-05-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-removeFromSuperview): Use
	removeFromSuperviewWithoutNeedingDisplay.
	* Source/GSWindowDecorationView.m: Add method [NSWindow
	-_clearContentView] to avoid recursion when removing the content view.
	* Source/GSWindowDecorationView.m: Replace the method
	-removeSubview: with -willRemoveSubview:.
	* Source/NSScrollView.m: Dito.
	* Source/NSClipView.m (-initWithCoder:): Use -removeFromSuperview
	instead of -removeSubview:.
	* Source/NSMenu.m (-setMenuRepresentation:): Dito.
	* Source/NSColorPanel.m (-setAccessoryView:): Dito.

2011-05-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use pointing hand cursor for links

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTableHeaderView.m: Use resize cursors

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Use IBeam cursor if selectable

2011-05-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSplitView.m: Use resize cursors

2011-05-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintOperation.m: Add an extra context save and restore
	at the sheet level. This is a partial fix for bug #32845.

2011-05-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Add support for the "array" and
	"dictionary" elements found in newer XIB files (Version >= 8).

2011-05-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/Functions.m: For functions which set the fill or stroke
	color as part of their implementation, save/restore the graphics
	state so that the user's fill/stroke color isn't overwritten.
	See the PixelExactDrawing test in GSTest for an example.

2011-05-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSButtonCell.m (-drawImage:withFrame:inView:): Align
	the point at which the image is drawn to the nearest pixel.

	r32895 which reimplemented -[NSImage composite..] methods
	on top of -[NSImage draw...] methods means that drawing
	images with -compositeToPoint: no longer pixel-aligns
	the image automatically. The new behaviour matches
	Cocoa, however.

011-05-07  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-convertPoint:toView:): Correct this
	method; it was applying the transforms backwards :-(

2011-05-05  Eric Wasylishen  <ewasylishen@gmail.com>

	* Tests/gui/NSView/NSView_frame_bounds.m: Add some more tests
	of setBoundsSize:. They are currently failing (but pass on
	OS X).

2011-05-04  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Add a few more high-res images (arrows)

2011-05-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m: Use -userSpaceScaleFactor to calculate
	NSDeviceResolution
	* Source/NSImage.m: Implement -_bestRep:withResolutionMatch:
	* Images/common_Dimple.tiff:
	* Images/common_3DArrowRight.tiff: Add to these images
	a second 'page' at 4x the original resolution which I drew.

	If you use GSScaleFactor > 1 then the high resolution version
	of these images should be used.

2011-05-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Images: Ensure all images have their DPI metadata set to 72.

2011-05-01  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m
	(-characterIndexMoving:fromCharacterIndex:originalCharacterIndex:distance:):
	Rework this method to suport moving the insertion point between text
	containers, for both left/right and up/down movements. However, it will
	only have this behaviour when distance == 0.

	This is part of what is needed to support moving the insertion point
	between text views in, e.g., TextEdit when using the multi-page view.

2011-04-30  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-updateBoundsMatrix):
	Fix a bug where updateBoundsMatrix would refuse to restore a
	view's scale to its original value, after a modified bounds rect
	had been set.
	* Source/NSView.m (-setBounds:, -setBoundsOrigin:, -setBoundsSize:):
	Call [self setNeedsDisplay: YES]; at the ends of these methods.
	While the Cocoa docs explicitly say that calling these methods
	won't mark the view as needing redisplay, this doesn't seem to
	be true in practice.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSOutlineView.m: Implement -keyDown: to expand/contract
	items.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-mouseDown:):
	Add support for making selections with the mouse which span multiple
	text views
	* Source/NSTextView.m (-setSelectedRange:affinity:stillSelecting:):
	Replace the complex display invalidation code with two calls to
	-[NSLayoutManager invalidateDisplayForCharacterRange:], which will
	take care to invalidate all necessary text views.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-setTypingAttributes:) Guard against
	nil layout manager

2011-04-28  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPopUpButtonCell.m: Override -representedObject and
	-setRepresentedObject: with implementations that delegate the
	call to [self selectedItem] (the NSMenuItem).

2011-04-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-selectionRangeForProposedRange:granularity:):
	Remove a special case which caused this method to refuse to
	expand a range {[string length], 0}.
	This was why the align left/center/right menu items didn't work
	in Ink when the insertion point was at the end of a document.
	The behaviour should match OS X now.

2011-04-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSavePanel.h:
	* Source/NSSavePanel.m: Implement -setNameFieldStringValue:,
	-nameFieldStringValue, -setNameFieldLabel:, -nameFieldLabel.

2011-04-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m (-setRulersVisible:): Create a horizontal ruler on
	the scroll view if needed - this seems to be the OS X behaviour.

2011-04-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Fix a bug in my recent change
	here which mis-positioned images.

2011-04-21  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/tiff.m:
	* Source/nsimage-tiff.h:
	* Source/NSBitmapImageRep.m: Read DPI metadata in TIFF files and use this
	to set the point size of the image rep

2011-04-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-nativeDrawInRect:...): Make the cache window
	large enough so that detail is preserved when drawing using a scale factor
	larger than 1. This change should only improve output quality but not
	affect image drawing otherwise.

2011-04-20  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep+PNG.m: Read DPI metadata in PNG files
	and use this to set the point size of the image rep

2011-04-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* ColorPickers/GSWheelColorPicker.m: Choose the color wheel bitmap size
	by converting the bounds rect to window base coordinates

2011-04-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m: Read -userSpaceScaleFactor from the GSScaleFactor
	user default.
	* Source/GSWindowDecorationView.m: Apply -[NSScreen userSpaceScaleFactor]
	in +frameRectForContentRect and +contentRectForFrameRect, as well as
	setting a scaled bounds size in -layout.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSWindow.m: Remove unnecessary FIXMEs related to
	user space scale factor
	* Source/NSAppliation.m: Correct app icon sizing which was
	mixing up window frame coordinates and user space coordinates
	* Source/NSCachedImageRep.m: Add NSUnscaledWindowMask to the
	window used internally

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSScreen.m (-userSpaceScaleFactor):
	Temporarily fix the scale factor at 1.0 until the remaining parts
	of the high DPI patch are committed.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSImage.m (-compositeToPoint:fromRect:operation:fraction:):
	New simple implementation which calls
	-drawAtPoint:fromRect:operation:fraction:.
	Also respects the user space scale factor.
	* Source/NSImage.m (-guiDrawInRect:fromRect:operation:fraction):
	Remove a special case which called -compositeToPoint:..., which would
	cause an infinite loop when combined with the above change.

	Also avoid using -drawRepresentation:inRect: because -drawInRect:...
	is supposed to fill the destination rect regardless of the setting
	of -scalesWhenResized. This is a change borrowed from
	-nativeDrawInRect:...

2011-04-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-_organizeMenu): Move some code around to avoid
	a compiler warning.

2011-04-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSViewController.m (-loadView): Retain the topLevelObjects.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-setWindowFrameForAttachingToRect:...):
	This method mixed user space and window base coordinates in some
	places, which I fixed.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSView.m (-_rebuildCoordinates): Remove assumption that
	the window content view's superview's transformation matrix is
	the identity matrix.
	* Source/NSView.m (-convertPoint..., convertRect..., convertSize...):
	Rewrite these methods to remove the same assumption as above, and
	also call -_matrixToWindow/-_matrixFromWindow rather than accessing
	ivars directly.

2011-04-18  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSStandardWindowDecorationView.m: Use bounds rect instead
	of frame rect when laying out the window parts (title bar, etc).

2011-04-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Rewrote the handling of the data
	element. This no longer gets treated as the "root" element of the
	XIB file. Correct reference handling. A reference may now be
	decoded before the actual object.

2011-04-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* configure.ac: Copy the -Wdeclaration-after-statement test from
	base. Also adds -Wall.

2011-04-14  Adam Fedor  <fedor@gnu.org>

	* Version: Bump version.

2011-04-14  Adam Fedor  <fedor@gnu.org>

	* Version 0.20.0

2011-04-10 04:45-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: added method - (BOOL) menuShouldShowIcon
	* Source/NSMenu.m: Call menuShouldShowIcon so that the theme
	can determine if it should show the app icon.
	* Headers/Additions/GNUstepGUI/GSTheme.m: add declaration for
	menuShouldShowIcon.

2011-04-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/tiff.m,
	* Source/NSLayoutManager.m: Replace objc_free and objc_realloc
	with free and realloc.
	* Source/NSToolbar.m [-_build]: Correct type cast.
	* Source/GSTextFinder.m [-performFindPanelAction:withTextView:]:
	Use correct format for NSInteger.
	Fixes warnings reported by clang.

2011-04-08  Nicola Pero  <nicola.pero@meta-innovation.com>

	* GNUmakefile (SUBPROJECTS): Added Tests, so that 'make check'
	top-level does run the tests.
	* Tests/GNUmakefile: Use rules.make instead of test-tool.make.
	(TEST_TOOL_NAMES): Variable removed.

2011-03-31 Riccardo Mottola <rm@gnu.org>

	* Source/NSWorkspace.m
	Redefine statfs only for netbsd >= 3

2011-03-30 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTableView.h,
	* Headers/AppKit/NSOutlineView.h,
	* Source/NSOutlineView.m
	(-namesOfPromisedFilesDroppedAtDestination:): Correct declaration
	of data source methods and the implementation in NSOutlineView.

2011-03-29 Riccardo Mottola <rm@gnu.org>

	* Source/NSParagraphStyle.m
	* Source/NSMatrix.m
	Added missing import.

2011-03-29 German Arias <german@xelalug.org>

	* Source/NSApplication.m (-hide:): Minimize all windows if
	the AppIcon is suppressed.

2011-03-29  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTextStorage.m:
	Use pointer sized integers in union for 64bit safety.

2011-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Tests/gui/NSSavePanel/setDelegate_reload.m: Switch the save
	panel to show hidden files as this is no longer the default.
	* Tests/gui/NSCell/basic.m: Basic create, coding and copy tests
	copied from base.

2011-03-28 Riccardo Mottola <rm@gnu.org>

	* Source/NSSearchFieldCell.m,
	* Source/NSTextView.m:
	Remove c99-ism

	* Source/NSSpeechSynthesizer.m:
	Add missing import

2011-03-25 German Arias <german@xelalug.org>

	* Panels/Spanish.lproj/GSDataLinkPanel.gorm:
	* Panels/Spanish.lproj/GSPageLayout.gorm:
	* Panels/Spanish.lproj/GSToolbarCustomizationPalette.gorm:
	* Panels/Spanish.lproj/GSPrintPanel.gorm:
	* Panels/Spanish.lproj/GSFindPanel.gorm: Tweak size of some
	elements for improve the presentation.

2011-03-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	* Panels/Spanish.lproj/GSPrintPanel.gorm:
	* Panels/English.lproj/GSPrintPanel.gorm: Tweak the print panel to
	allow the user to choose the printer

2011-03-18  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Documentation/GNUmakefile (DOCUMENT_TEXT_NAME, TOP_DOC_FILES):
	Fixed names of files to generate; for example, INSTALL instead of
	install.

2011-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-_trackWithEvent:): Use _trackWithEvent:
	instead of trackWithEvent: to have just one mouse capture call.

2011-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-namesOfPromisedFilesDroppedAtDestination:),
	* Source/NSTableView.m
	(-namesOfPromisedFilesDroppedAtDestination:): Implement this drag
	and drop support method.

2011-03-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSComboBoxCell.m: Correct imports.

2011-03-16  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-_didChangeSortDescriptors:),
	* Source/NSTableView.m (-_didChangeSortDescriptors:): Send the
	message to the data source not the delegate.

2011-03-16 06:30-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Use copy in setMenu:forWindow: instead of
	NSArchiver.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* ColorPickers/GSNamedColorPicker.m
	* Source/NSBrowser.m
	* Source/NSPanel.m
	* Source/NSOpenPanel.m
	* Source/GSDisplayServer.m
	* Source/NSFormCell.m
	* Source/NSBitmapImageRep.m
	* Source/NSForm.m
	* Source/GSVbox.m
	* Source/NSSavePanel.m
	* Source/GSMemoryPanel.m
	* Source/NSScroller.m
	* Source/NSMenuView.m
	* Source/NSSecureTextField.m
	* Source/NSHelpPanel.m
	* Source/NSSegmentedCell.m
	* Source/NSStepperCell.m
	* Source/NSColorPanel.m
	* Source/NSDataLinkPanel.m
	* Source/GSTable.m
	* Source/NSBrowserCell.m
	* Source/GSHbox.m: Correct issues with missing or incorrect self
	tests in initXXX methods pointed out by static analyser.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Printing/GSCUPS/GSCUPSPrinter.m (+printerWithName:) Autorelease
	the dummy printer.
	* Source/NSWorkspace.m (-iconForFile:): Remove unused code.
	* Source/NSComboBoxCell.m: Remove the old browser based
	implementation after testing the new one for seven years.

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSMenuItemCell.m: Add missing -retain for key
	equivalent modifier strings

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Headers/AppKit/NSSavePanel.h: Add OS 10.6 #ifdef around
	new showsHiddenFiles methods

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Add a message in the context menu
	if there are no spelling suggestions

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuItemCell.m: Make key equivalent modifier string
	user adjustable by getting them from the defaults.
	* Documentation/GuiUser/DefaultsSummary.gsdoc: Document the new
	equivalent modifier strings and remove the now obsolete
	documentation for GSFileBrowserHideDotFiles.

2011-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m (-_initWithoutGModel): Use an image view
	instead of a button to display the application icon. That way
	icons get scaled correctly.
	Patch by Philippe Roussel <p.o.roussel@free.fr>.

2011-03-14  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Resources/GNUmakefile
	(gui-resources_RESOURCE_FILES_INSTALL_DIR): Removed.
	* Source/GNUmakefile
	(libgui-resources_RESOURCE_FILES_INSTALL_DIR): Removed.

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Don't draw spelling underlines
	when printing

2011-03-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Attempt to add pagination support
	so lines aren't cut in half when printing

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSTextView.m: Tweaks to last commit

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Clear temporary attributes
	on the modified range when informed of a change in the text
	storage
	* Source/NSTextView.m: Add a context menu with spelling
	suggestions and cut/copy/paste

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSSavePanel.m:
	* Headers/AppKit/NSSavePanel.h: Implement -showsHiddenFiles
	and -setShowsHiddenFiles:. Add a context menu to the browser
	to allow toggling this setting.

	NOTE: It defaults to not showing hidden files, and no longer
	uses the GSFileBrowserHideDotFiles user default.

2011-03-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSPrintPanel.m:
	* Printing/GSCUPS/GSCUPSPrintOperation.m:
	* Printing/GSLPR/GSLPRPrintOperation.m: Allow saving a print
	job as a PDF.

2011-03-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (-_findNext:, -_learn:, -_forget:,
	-_ignore:, -_guess:, -_correct:, -_switchDictionary:,
	-_highlightGuess:): Change action methods to return no result.

2011-03-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (-init, -dealloc): Fix nasty
	retain/release error, which could crash applications after
	changing the spell checker language in the spelling panel.

2011-03-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWorkspace.m (-iconForFile:): Remove unused local variable.
	* Source/GSGormLoading.m (gmodel_class): Remove useless assignment.
	* Source/NSTextBlock.m
	(-drawBackgroundWithFrame:...layoutManager:): Use the correct variables.
	* Source/NSRulerMarker.m (-trackMouse:adding:): Remove unused variable.
	* ColorPickers/GSNamedColorPicker.m (-setColor:): Add missing
	implementation.
	* ColorPickers/GSStandardColorPicker.m (-_showNewPicker:),
	* Source/GSToolbarCustomizationPalette.m (-layout),
	* Source/NSTableView.m (-sizeToFit),
	* Source/NSApplication.m (-finishLaunching),
	* Source/GSGormLoading.m (GSNibContainer-awakeWithContext:),
	* Source/NSMenu.m (-sizeToFit),
	* Source/NSSplitView.m (-mouseDown:),
	* Source/NSBrowser.m (-setLastColumn:),
	* Source/NSPrintOperation.m (-deliverResult):
	Removed dead assignments found by static code analyser.

2011-03-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (_shiftModifier:): Use correct column index
	for old cell.
	* Headers/AppKit/NSCursor.h
	* gui/Source/NSCursor.m: Add Mac 10.6 methods and implement keyed
	coding/decoding properly.
	* Images/nsmapping.strings: Add mappings for some new cursors.

2011-03-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Source/externs.m:
	* Source/NSTextView.m:
	* Headers/AppKit/NSAttributedString.h:
	* Headers/AppKit/NSTextView.h: Implement continuous spell checking

2011-03-11 Fred Kiefer <FredKiefer@gmx.de>

	* ColorPickers/GSStandardColorPicker.m
	* Source/GSToolbarCustomizationPalette.m
	* Source/GSServicesManager.m
	* Source/NSSpellChecker.m: Fix dead initialisation found by static
	analyser.

2011-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m
	* Source/GSNibLoading.m
	* Source/NSInputManager.m
	* Source/NSEPSImageRep.m
	* Model/GMArchiver.m
	* Tools/set_show_service.m
	* Tools/GSspell.m: Fix memory leaks found by static analyser.

2011-03-10 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTitleView.h,
	* Headers/AppKit/NSProgressIndicator.h: Remove unused ivars found
	by static analyser.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSPopUpButtonCell.m (-dealloc): Stop observing
	notifications from the button's menu to prevent obscure crashes
	later.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (_altModifier:): Fix swapped macro arguments,
	which could lead to a wrong selection and potentially a crash when
	extending the selection with the alt modifier key.

2011-03-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTableHeaderCell.m (-initTextCell:): Don't wrap text in
	table view headers by default. This partially fixes #30020.

2011-03-08  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m: Implement temporary attributes
	* Header/AppKit/NSLayoutManager.h: Add a _temporaryAttributes ivar

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGraphicsContext.m (+saveGraphicsState): Release the
	stack, as it is retained in the thread dictionary.
	Leak found by static code analyser.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* gui/Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* gui/Source/GSDisplayServer.m
	* gui/Source/NSCursor.m: Change the way the image for the cursor
	gets passed on to the backend. The old way could only work for 8
	bit data.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSKeyValueBinding.h
	* Source/externs.m: Add a few more binding names.
	* Source/NSPopUpButton.m: Implement NSSelectedTagBinding.

2011-03-07 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m
	* Source/NSObjectController.m
	* Source/NSControl.m
	* Source/NSMenuItem.m
	* Source/NSKeyValueBinding.m
	* Source/NSTextField.m
	* Source/NSView.m: Release the key value binding as it will be
	retained in the binding table.
	Leak found by static code analyser.

2011-03-06 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (-_privateFrame:...numberOfColumns): Change
	the init helper method to conform with the Objective-C conventions,
	* Source/GSGormLoading.m (GSNibItem-initWithCoder:): Retain the
	shared application before returning it.
	* Source/NSDataLink.m: Correct the init methods to return a
	retained object.
	* Source/NSAnimation.m: Implement the copy and coding methods.
	* Source/NSImageView.m (-cut:): Use the correct copy method.
	Fixed issues spotted by the static code analysis.

2011-03-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSHelpManager.m:
	* Source/GSServicesManager.m:
	* Source/NSBundleAdditions.m:
	* Source/NSSpellChecker.m:
	Avoid calls to non-standard method.

2011-03-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m (NSCustomView): Correct implementation of
	-initWithCoder: and remove -awakeAfterUsingCoder:.
	* Source/NSSound.m: Remove method -awakeAfterUsingCoder:.
	* Source/NSWindow.m (-_captureMouse:, -_releaseMouse:) Add some
	debug log code here to simplify debugging these methods.

2011-03-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/PSOperators.h
	* Source/NSFontPanel.m
	* Source/NSSound.m
	* Source/NSTextAttachment.m
	* Source/NSOpenGLPixelFormat.m
	* Source/GSThemeOpenSavePanels.m
	* Source/NSTableHeaderCell.m
	* Source/GSTypesetter.m
	* Source/NSAlert.m
	* Source/NSOpenPanel.m
	* Source/NSImageCell.m
	* Source/NSManagedObjectContext.h
	* Source/GSGormLoader.m
	* Source/NSText.m
	* Source/NSTokenField.m
	* Source/NSParagraphStyle.m
	* Source/NSManagedObjectContext.m
	* Source/GNUmakefile
	* Source/NSTableHeaderView.m
	* Source/NSTextTable.m
	* Source/NSTextBlock.m
	* Source/NSFontManager.m
	* Source/NSFormCell.m
	* Source/NSLevelIndicator.m
	* Source/NSMatrix.m
	* Source/NSTextTableBlock.m
	* Source/NSObjectController.m
	* Source/NSOpenGLView.m
	* Source/NSDataLinkManager.m
	* Source/GSThemeInspector.m
	* Source/GSStandardWindowDecorationView.m
	* Source/NSInputServer.m
	* Source/NSSplitView.m
	* Source/NSImageRep.m
	* Source/NSBezierPath.m
	* Source/GSTextStorage.h
	* Source/GSNibLoading.m
	* Source/NSResponder.m
	* Source/NSColorWell.m
	* Source/GSTextStorage.m
	* Source/NSForm.m
	* Source/NSApplication.m
	* Source/GSGuiPrivate.h
	* Source/NSComboBox.m
	* Source/NSMovieView.m
	* Source/NSSavePanel.m
	* Source/NSMovie.m
	* Source/GSThemeMenu.m
	* Source/NSMenuItemCell.m
	* Source/NSPrinter.m
	* Source/NSPasteboard.m
	* Source/NSTextContainer.m
	* Source/NSButtonImageSource.h
	* Source/GSToolbarCustomizationPalette.h
	* Source/NSFontDescriptor.m
	* Source/GSTrackingRect.m
	* Source/NSCursor.m
	* Source/NSPrintOperation.m
	* Source/GSSlideView.h
	* Source/NSControl.m
	* Source/NSInterfaceStyle.m
	* Source/NSDocumentFrameworkPrivate.h
	* Source/NSTokenFieldCell.m
	* Source/GSSlideView.m
	* Source/NSOpenGLContext.m
	* Source/NSInputManager.m
	* Source/NSRulerMarker.m
	* Source/NSToolbarItemGroup.m
	* Source/NSProgressIndicator.m
	* Source/NSLevelIndicatorCell.m
	* Source/NSTextStorage.m
	* Source/NSFileWrapper.m
	* Source/NSDocumentController.m
	* Source/NSDrawer.m
	* Source/NSCustomImageRep.m
	* Source/NSMenuView.m
	* Source/NSHelpPanel.m
	* Source/NSComboBoxCell.m
	* Source/NSSegmentedCell.m
	* Source/NSStepperCell.m
	* Source/NSDataLink.m
	* Source/tiff.m
	* Source/NSScrollView.m
	* Source/NSEPSImageRep.m
	* Source/NSUserDefaultsController.m
	* Source/NSSegmentedControl.m
	* Source/GSTable.m
	* Source/NSKeyValueBinding.m
	* Source/NSTextList.m
	* Source/NSEvent.m
	* Source/NSController.m
	* Source/NSSelection.m
	* Source/NSTextField.m
	* Source/GSToolTips.h
	* Source/NSToolbarFrameworkPrivate.h
	* Source/NSAnimation.m
	* Source/NSSpeechSynthesizer.m: Replace #include -> #import
	* Source/NSParagraphStyle.m: Use GSClassSwizzle.

2011-03-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m: Remove the -awakeAfterUsingCoder: method as
	this method was incorrectly implemented and
	* Source/NSTextAttachment.m (NSTextAttachmentCell-setAttachment:):
	Release the created icon after setting it as image.

2011-02-28  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBitmapImageRep.m:
	* Source/NSBitmapImageRep+GIF.m:
	* Source/NSBitmapImageRep+JPEG.m:
	* Source/tiff.m:
	Avoid obsolete OBJC_... macros

2011-02-28 Riccardo Mottola <rm@gnu.org>

	* Source/GSLayoutManager.m
	* Source/GSKeyBindingTable.m
	Replace objc_malloc with malloc for structures.

2011-02-24 13:15  David Chisnall <theraven@gna.org>

	* libs/gui/trunk/Source/NSDocumentController.m: Comment out unused
	  function.
	* libs/gui/trunk/Source/NSFontManager.m: Change unsigned int ->
	  int, so that loops terminate with termination condition, rather
	  than SegV
	* libs/gui/trunk/Source/NSLayoutManager.m: Remove some tests that
	  are always true (NSRange.length > 0 - NSUIntegers are always >
	  0).
	* libs/gui/trunk/Source/NSTextBlock.m: Remove some more comparisons
	  testing unsigned values are < 0.
	* libs/gui/trunk/Source/GSServicesManager.m: get_imp() ->
	  class_getMethodImplementation() (GCC runtime function -> standard
	  runtime function)
	* libs/gui/trunk/Source/GSTheme.m: More unsigned < 0 tests.
	* libs/gui/trunk/Source/NSTextView.m: Rename HUGE -> GSHUGE to
	  remove conflict with standard library #define.
	* libs/gui/trunk/Model/IMLoading.m: Add __attribute__((unused)) on
	  __dummyFunctionForLinking().

2011-02-22  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-_trackWithEvent:): Quick fix for recent
	menu tracking changes: release the mouse before invoking
	the menu's action.

2011-02-22  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/externs.m:
	* Headers/AppKit/NSAttributedString.h: Add
	NSStrikethroughStyleAttributeName
	* TextConverters/RTF: Add support for reading and writing
	underline and strikethrough.

2011-02-22  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSLayoutManager.m:
	* Headers/AppKit/NSLayoutManager.h: Preliminary implementation of
	underlining

2011-02-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-trackWithEvent:): Rewrite that uses mouse
	capture to ensure we get mouse events outside our windows.
	Patch by Christopher Armstrong <carmstrong@fastmail.com.au>

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m,
	* Source/NSControl.m,
	* ColorPickers/GSStandardColorPicker.m,
	* ColorPickers/GSWheelColorPicker.m,
	* Source/GSXibLoader.m: Fix memory leaks found by analyser.

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSFusedSilica.h,
	* Source/GSFusedSilicaContext.h,
	* Source/GSFusedSilicaContext.m,
	* Source/GSFusedSilica.m: Remove these files as they are obsolete
	now. The Opal library is a more complete replacement for CoreGraphics.
	* Source/GNUmakefile,
	* Source/DocMakefile,
	* Source/NSFont.m: Remove references to GSFusedSilica.

2011-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScreen.m,
	* Source/NSWindow.m,
	* Source/NSToolbar.m,
	* Source/NSScroller.m,
	* Source/NSTextView.m: Remove direct usage of isa.
	* Source/GSBindingHelpers.h: Replace #include with #import.

2011-02-19  Richard Frith-Macdonald <rfm@gnu.org>

	* Tests/GNUmakefile: Run/clean tests
	* Tests/gui: Imported from testsuite

2011-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h,
	* Source/GSDisplayServer.m (-recolorcursor:::, -recolorcursor:::)
	(-setcursor:, -freecursor:): New backend methods replacing
	-setcursorcolor:::.
	* Source/NSCursor.m,
	* Source/GSDragView.m: Use new cursor methods.

2011-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-setContentView:): Revert Wolfgangs change
	and add a different solution as explained in his mail.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_initDefaults):
	* Source/NSWindow.m (-_initDefaults):
	Add user default to allow placing app icons and mini windows at
	normal window level. This is particularly convenient with some
	window managers (*cough*, kwin) where application and pop up menus
	are obscured by dock level windows.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setContentView:): Fix bug where a stray view
	could leak when changing the content view of a window. This view
	then could make the title bar buttons inaccessible when -gui
	handles window decorations.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTabViewItem.m (-init, -initWithItemIdentifier:):
	Create a default content view for new tab view items. Compatible
	with Apple.

2011-02-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSOutlineView.m (-editColumn:...select:): Bring closer to
	the new code in [-drawRow:clipRect:].
	* Source/GSInfoPanel.m (-initWithDictionary:): Protect against
	icon being nil.

2011-02-14 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCursor.m,
	* Source/GSDragView.m,
	* Source/GSMemoryPanel.m: Fix Use-after-release found by static analyser.

2011-02-10 German Arias <german@xelalug.org>

	* Source/GSGormLoader.m (+initialize): Load the app icon here, at launch
	time, since GSGormLoader is initialized before call -finishLaunching
	in NSApp (In non document-based apps that load a gorm file at launch).
	So the windows and panels at initial gorm file don't show the app
	icon (bug #31039).

2011-02-10 German Arias <german@xelalug.org>

	* Source/GSGormLoading.m (-awakeWithContext:): Call directly the method
	-orderFront: on visible windows, since this works fine here, instead
	put these windows into _inactive list. This solve the problem of menu
	in window in non document-based apps and the problem with the outlet
	"initialFirstResponder" on gorm files.

2011-02-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSInfoPanel.m,
	* Source/GSTextStorage.m,
	* Source/GSThemeInspector.m,
	* Source/NSBrowser.m,
	* Source/NSImage.m,
	* Source/NSMenuView.m,
	* Source/NSPageLayout.m,
	* Source/NSSpellChecker.m,
	* Source/NSStringDrawing.m,
	* Source/NSTableHeaderView.m,
	* Source/NSTableView.m,
	* Source/NSWindow.m,
	* Tools/gclose.m,
	* Tools/make_services.m: Remove dead assignments found by static code analysis.

2011-02-09  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSEvent.m: Avoid unneccessary creation/destruction of NSDate
	instances during periodic events.

2011-02-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+PNG.m:
	Tweak png.h header order to avoid problems on some systems.

2011-02-08 Riccardo Mottola <rm@gnu.org>

	* Source/NSBitmapImageRep+PNG.m:
	Cleaned up includes so that compilation without PNG works again.

	* configure.ac:
	Use libpng-config to determine the correct includes and libraries.

	* configure: regenerated.

2011-02-07 Fred Kiefer <FredKiefer@gmx.de>

	* Printing/*: Clean up all the header includes.

2011-01-31 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBrowser.h,
	* Source/NSBrowser.m: Add method -scrollRowToVisible:inColumn:

2011-01-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+PNG.m (_initBitmapFromPNG:): Use
	function to check whether gamma is valid.
	Patch by Thomas Klausner.

2011-01-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-terminate:): Send message to the
	document controller to let the user review any unsaved changes in
	its managed documents before asking the application delegate
	whether its okay to terminate the application. This matches
	Cocoa's documented and implemented behavior.

	* Source/NSApplication.m (-terminate): Move call to GSRemoveIcon
	from here ...
	* Source/NSApplication.m (-replyToApplicationShouldTerminate:):
	... to here to ensure that the app icon is removed from the icon
	manager even when the delegate delays application termination.

2011-01-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSWindow.h: Add missing declaration of the
	-isZoomed method.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindowController.m (-_windowDidLoad): Move code to set
	the autosave name of the window's frame from here ...

	* Source/NSWindowController.m (-setWindow:): ... to here to match
	Cocoa behavior (cf. Apple's AppKit release notes for OS X 10.5).

2011-01-24  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m (-trackMouse:inRect:ofView:untilMouseUp:):
	Pass mouseDown event to the field editor when click is in the field, to
	select at the correct point in the text.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setFrameFromString:, -stringWithSavedFrame):
	Do not include an in-window menu in a window's saved frame either.

2011-01-24 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSViewController.h,
	* Source/NSViewController.m: Add loading of NIB.
	* Headers/AppKit/NSObjectController.h: Use version constant names.

2011-01-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-setFrameFromString:, -stringWithSavedFrame):
	Merge change from the testplant_1 branch:
	Do not include the toolbar in a window's saved frame. Makes saving
	and restoring window frame sizes independent of whether the
	toolbar is present at the time when the frame is saved or restored.
	Patch by Doug Simons <doug.simons@@testplant.com>

2011-01-24 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-trackWithEvent:): Fixed problems with
	transient menus and PopUp (pulls-down) with Windows95 interface
	style.

2011-01-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSColorList.m (+availableColorLists): Make sure the
	system colors are set up properly before computing the available
	color lists. Fixes an issue where the returned list would either
	be empty or contain two instances of the system color list.

2011-01-20  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: check on-disk cache at regular intervals ...
	somehow that got lost at some point.  Also tidy up a few coding
	standards violations which crept in.

2011-01-19  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m
	(-_openPopup:): Switch to use an actual NSPopUpButtonCell when
	popping up the menu. Handle selected item in search menu properly.
	(-_searchForRecent:): Display and select search text after user
	selects a recent search term.
	(-drawWithFrame:inView:, -textDidChange:, -clearSearch:): Only show
	cancel button when field is not empty.

2011-01-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-sendEvent:):
	* Source/NSMenu.m (-performKeyEquivalent:):
	Look up key equivalents in the Services menu only after traversing
	the rest of the main menu to avoid accidentally shadowing key
	equivalents in the application's own menus.

2011-01-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* ColorPickers/GSWheelColorPicker.m (-regenerateImage):
	Fix to correctly display color wheel image on big endian
	machines.

2011-01-16 00:32-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSApplication.m: Added overide for orderWindow:relativeTo:
	in NSIconWindow.  Check for GSSuppressAppIcon and order the window
	ONLY if the app icon window is supposed to be displayed, otherwise
	do not do anything with it.   I observed issues with this
	functionality while testing the GNOME theme the app icon would
	periodically show even when the default mentioned above was set to
	YES.

2011-01-15 23:50-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuView.m: Fix to previous change to
	[NSMenuView trackWithEvent:].
	Assign attachedMenu to local variable and test for nil
	prior to entering the code to close the menu when tracking
	the mouse for normal menus.  Previous version of this code
	was causing menu items owned by pull downs (NSPopUpButton) to
	close prior to mouse up event.

2011-01-15 German Arias <german@xelalug.org>

	* Source/NSWindow.m:
	* Source/NSSavePanel.m:	Reverted latest changes.
	* Source/NSMenuView.m: Added the appropriate code to close
	the menu after select an option, but before do the
	instructions of the selected option.
	* Headers/AppKit/NSApplication.h:
	* Source/NSApplication.m: Save the main window when the
	app is hidden or when is deactivated.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSColorWell.m (-activate:): Deactivate an active color
	well when the user closes the color panel.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSColorList.h:
	* Headers/AppKit/NSColorPanel.h:
	* Source/NSColorList.m (-insertColor:key:atIndex:,
	-removeColorWithKey:, -setColorForKey:):
	* Source/NSColorPanel.m (-setColor:):
	* Source/NSColorWell.m (-activate:):
	* Source/NSWindow.m (-initWithContentRect:styleMask:backing:defer:):
	* Source/externs.m(NSColorListDidChangeNotification,
	NSColorPanelColorDidChangeNotification):
	Rename notifications to match Cocoa (and OpenStep).

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-rightMouseDown:):
	* Source/NSApplication.m (-_dockMenu):
	Provide a default context menu for application icons when using
	Macintosh or Windows 95 style menus. Inspired by OS X, the menu
	contains items to hide or show the application, to terminate the
	application, an item for each window present in the application's
	window menu, and the items of the dock menu returned by the
	application delegate.

	* Headers/AppKit/NSApplication.h:
	Update documentation to note that the -applicationDockMenu:
	delegate method now may be called on GNUstep.

	* Resources/English.lproj/Localizable.strings:
	* Resources/German.lproj/Localizable.strings:
	Update. Also add a few more German translations.

2011-01-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-changeWindowsItem:title:filename):
	Insert window menu items strictly at the bottom of the menu,
	keeping only items with actions -performMiniaturize: and
	-performClose: beneath them. This allows having additional items
	at the top of the menu and works better for window menus that
	follow the Mac OS X UI guidelines and have miniaturize and zoom
	commands at the top and arrange in front below them.

2011-01-09 21:58-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSSavePanel.m: (-_initWithoutGModel): added
	code near the and to close the current menu when in Win95
	mode.  If this doesn't happen the menu remains open
	and allows the user to drag the window around while the
	menu remains in it's old position.

2011-01-09 German Arias <german@xelalug.org>

	* Source/NSApplication.m (-activateIgnoringOtherApps:):
	If we have menu in window, set a main window when unhide.
	* Source/NSWindow.m (-resignMainWindow): Close the menu
	in window if resign main window.

2011-01-08 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-trackWithEvent:):
	Close the menu in window if user press a modifier key.
	And improvements for don't lose the mouse tracking
	in a menu in window.

2011-01-06 German Arias <german@xelalug.org>

	* Source/NSMenuView.m (-locationForSubmenu:, -trackWithEvent:):
	Fixed the tracking of mouse at horizontal menu.

2011-01-04  Doug Simons  <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m:
	Fix cancel button to correctly clear the field and send action.
	Fix -textDidChange: to correctly send action rather than popping up
	the menu on each keystroke (when sendsWholeSearchString is false).


2011-01-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/tiff.m (NSTiffWrite):
	Fix long standing bug where incorrect data was written out for RGB
	images if bits per sample != 8.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GNUmakefile:
	* Headers/Additions/GNUstepGUI/GSHelpAttachment.h:
	* Source/GSHelpAttachment.m:
	Introduce new classes GSHelpLinkAttachment and
	GSHelpMarkerAttachment to implement help links and markers in RTF
	documents.

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/RTFConsumerFunctions.h:
	* TextConverters/RTF/RTFConsumer.m (-addHelpLink:marker:,
	-addHelpMarker:, GSRTFNeXTHelpLink, GSRTFNeXTHelpMarker):
	Create attachments for help links and markers in RTF documents.

	* TextConverters/RTF/RTFProducer.m (-_addAttributesString:):
	Properly write out help links and markers to RTF documents.

	* TextConverters/RTF/rtfGrammar.tab.h:
	* TextConverters/RTF/rtfGrammar.tab.c: Regenerated.

	* Images/GNUmakefile:
	* Images/common_HelpLink.tiff:
	New icon for help link attachments.

	* Source/NSFileWrapper.m (-icon): Bug fix: Don't return a default
	icon for a wrapper without a file name.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/rtfScanner.c (RTFCommands):
	Extend and modify grammar to handle \NeXTHelpLink and
	\NeXTHelpMarker commands possibly used in old RTF documents
	generated on NeXTstep/OpenStep.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/RTFConsumerFunctions.h:
	* TextConverters/RTF/RTFConsumer.m (GSRTFerror):
	Upgrade to compile with more recent bison versions.

	* TextConverters/RTF/GNUmakefile:
	* TextConverters/RTF/GNUmakefile.postamble:
	* TextConverters/RTF/rtfGrammar.y:
	* TextConverters/RTF/rtfScanner.c:
	Correct spelling (rtfGrammer->rtfGrammar).

	* TextConverters/RTF/GNUmakefile.postamble:
	Update rationale why bison rule is (still) not enabled.

	* TextConverters/RTF/rtfGrammar.tab.h:
	* TextConverters/RTF/rtfGrammar.tab.c:
	Regenerated.

2011-01-03  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (-setEnabled:): Implement method. It enables
	or disables all cells as in Cocoa.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextAttachment.m (-trackMouse:inRect:ofView:...): Call
	the deprecated OpenStep delegate methods if the delegate does not
	implement the new Mac OS X methods.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-mouseDown:): Add missing conversion from
	character indexes to glyph indexes when computing an attachment
	cell's frame.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (attachmentSize): Prevent potential
	null pointer dereference.

2011-01-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextStorage.m (-removeLayoutManager:): Avoid potential
	crash when text network is owned by a text view.

2010-12-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSToolbarView.m (initSystemExtensionsColors): Remove this
	function and the NSColor extensions as these no longer get
	used. The colours for NSToolbar are handled by GSTheme.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-locationForSubmenu:):
	Fix submenu placement for WindowMaker interface style (it was off
	by 1 pixel).

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-trackWithEvent:):
	Make pop up menus in Macintosh menu style behave more similar to
	OS X. In particular, when the user clicks the button, the menu
	stays open until the next click.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-update):
	Don't use a title bar for menus in Macintosh interface style.

	* Source/NSMenuView.m (_executeItemAtIndex:removeSubmenu:):
	End menu tracking in Macintosh and Windows95 interface styles when
	the user clicks on a submenu item.

	* Source/NSMenu.m (-displayTransient):
	Place the top left edge of a menu at the mouse position when
	displaying a context menu in Macintosh and Windows95 interface
	styles to prevent a user from accidentally selecting the first
	menu item.

	* Source/NSMenu.m (-shiftOnScreen):
	Don't move the main menu bar in Macintosh interface style.

2010-12-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSToolbar.m (-runCustomizationPalette:):
	* Source/NSWindow.m (-validateUserInterfaceItem:):
	Don't show the customization palette if user customization is
	disabled.

2010-12-30 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSLayoutManager.m: Add code to handle temporary
	attributes. This code is taken from NSAttributedString and the two
	core methods are still missing.

2010-12-29 12:31-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenuItemCell.m: Implement drawing a line in the menu
	separator item for the Windows95 and Mac modes.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-_updateDragTargetLocation:operation:,
	-draggingEntered:, -draggingUpdated:, -draggingExited:,
	-prepareForDragOperation:):
	Rewrite implementation so that the target view is scrolled even
	when it does not accept the drag operation. This is useful, e.g.,
	when a subclass considers parts of the text read only and does not
	accept a drop in those regions.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* configure.ac:
	* Headers/Additions/GNUstepGUI/config.h.in:
	Add test for getmntinfo(3).

	* Source/NSWorkspace.m (-mountedLocalVolumePaths):
	Provide more portable implementation based on getmntinfo(3), which
	is available on many systems. Also a Solaris compatibility fix.

	* Source/NSWorkspace.m (-getFileSystemInfoForPath:...):
	Tentative implementation for system with a statfs system call.

	* configure: Regenerated.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWorkspace.m(GSWorkspacePreferencesChanged, -init,
	-findApplications, -setBestApp:inRole:forExtension:,
	-setBestIcon:forExtension:, -setBestApp:inRole:forScheme:,
	_workspacePreferencesChanged:):
	Introduce (private) workspace notification to propagate changes of
	the application or icon associated with a file type and URL
	scheme, respectively.

2010-12-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-runModalSavePanel:withAccessoryView:):
	Make sure the file name displayed in the panel has a valid
	extension.

2010-12-27 16:51-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Changes for compiling with older compilers.
	* Source/GSWindowDecorationView.m: Move the view up a little.
	* Source/NSMenuItemCell.m: Experimental changes for drawing
	separator items.

2010-12-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSearchField.m,
	* Source/NSSearchFieldCell.m: Some coding standard changes.

2010-12-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSDragView.m: Check whether the drag source supports
	methods before calling them.

2010-12-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/NSGraphicsContext.m ([-subclassResponsibility:]): Use
	sel_getName instead of sel_get_name.

2010-12-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/NSBezierPath.m ([-encodeWithCoder:], [-initWithCoder:]):
	Explicitly encode/decode NSBezierPathElement as 'int' to work
	across compiler versions.
	* Source/NSBox.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSBorderType and NSTitlePosition.
	* Source/NSEvent.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSEventType.
	* Source/NSFileWrapper.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for GSFileWrapperType.
	* Source/NSImageCell.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSImageAlignment, NSImageFrameStyle, NSImageScaling,
	* Source/NSParagraphStyle.m ([-initWithCoder:],
	[-encodeWithCoder:]): Same for NSTextAlignment, NSLineBreakMode
	and NSTextTabType.
	* Source/NSResponder.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSInterfaceStyle.
	* Source/NSScrollView.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSBorderType.
	* Source/NSTabView.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSTabViewType.
	* Source/NSTabViewItem.m ([-encodeWithCoder:], [-initWithCoder:]):
	Same for NSTabState.
	* Source/NSWindow.m ([-encodeWithCoder:], [-initWithCoder:]): Same
	for NSBackingStoreType.

2010-12-27 02:12-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSThemeMenu.m: Added implementation for
	updateAllWindowsWithMenu:, updateMenu:forWindow:, altered
	implementation for setMenu:forWindow:, added private method
	_setMenu: to set the current menu on the window.
	* Source/GSWindowDecorationView.m: Changes to layout
	* Source/NSMenu.m: Only call the method updateAllWindowsWithMenu:
	when NSMenuInterfaceStyle = NSWindows95InterfaceStyle.
	* Source/NSMenuView.m: Change to -update so that it does not
	render the top bar of the menu if NSMenuInterfaceStyle =
	NSWindows95InterfaceStyle.

2010-12-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSEvent.m (-deltaX, -deltaY, -deltaZ): Don't raise an
	exception when called on the wrong type of event.

2010-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSView.h,
	* Source/NSView.m: Add the 10.5 coordinate transformation methods.

2010-12-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSDragging.h,
	* Headers/AppKit/NSTableView.h,
	* Headers/Additions/GNUstepGUI/GSDragView.h,
	* Source/NSImageView.m,
	* Source/NSColorWell.m,
	* Source/NSSavePanel.m,
	* Source/NSTextView.m,
	* Source/NSToolbarItem.m,
	* Source/NSTableView.m,
	* Source/GSDragView.m: Correct the definition of NSDragOperation
	and all its usages.

2010-12-17 Doug Simons <doug.simons@testplant.com>

	* Source/NSSearchFieldCell.m:
	Set search menu 'ownedByPopup' to make it work on Windows.

2010-12-14 Riccardo Mottola

	* Source/NSWorkspace.m
	* Images/GNUmakefile
	* Images/common_MusicFolder.tiff
	Added icon for the Music folder.

2010-12-13 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h,
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h,
	* Source/GSLayoutManager.m (-intAttribute:forGlyphAtIndex:)
	(-setIntAttribute:value:forGlyphAtIndex:): Implement glyph
	attribute handling.

2010-12-13 Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSMenuView.m:
	Prevent trying to retrieve a menuCell that is out of range.

2010-12-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMatrix.m (-setState:atRow:column:): Fix bug where the
	old selected cell wasn't properly deselected when the matrix's
	mode is NSRadioMatrixMode.

2010-12-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-rectArrayForGlyphRange:...): Clip the
	rectangle computed for the last line to the line fragment's used
	rectangle if the line doesn't end with a newline (or other
	invisible character). This better matches Apple's implementation.

2010-12-07  Riccardo Mottola

	* Images/common_SwitchOff.tiff
	* Images/common_SwitchOn.tiff
	Match NeXT 15x15 dimension and tweak the check alpha.

2010-12-07  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Don't make an
	invisible window main window when the application has no main
	window.

2010-12-07  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-sendEvent:): Allow any window that responds
	YES to -worksWhenModal to become key in a modal session.

2010-12-06  Riccardo Mottola

	* Source/NSWorkspace.m
	* Images/common_Desktop.tiff
	* Images/GNUmakefile
	Added handling of a Desktop icon (and added the icon itself).

2010-11-27  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableView
	header and view.
	* Source/NSTableView.m: Added call in to drawing methods in
	GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-27  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableHeaderView
	drawTableHeaderRect:inView:.
	* Source/NSTableHeaderView.m: Added call in to drawing methods in
	GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-27 Riccardo Mottola

       * Source/GSThemeDrawing.m:
       Revert color well thickness. If desired, this should go in a theme.

2010-11-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-setPrintInfo:): Record old print info with
	the document's undo manager (if there is one) as in Cocoa.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSTableHeaderCell view.
	* Source/NSTableHeaderCell.m: Added call in
	tableHeaderCellDrawingRectForBounds: to drawing methods in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added methods to draw NSSliderCell view.
	* Source/NSSliderCell.m: Added call in drawKnobInCell:... and
	drawBarInside:.. to drawing methods in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSScrollView view.
	* Source/NSScrollView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSBrowser view.
	* Source/NSMenuView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSBrowser view.
	* Source/NSBrowser.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw NSScroller view.
	* Source/NSScroller.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Gregory John Casamento  <greg.casamento@gmail.com>

	* Source/GSThemeDrawing.m: Added method to draw tab view.
	* Source/NSTabView.m: Added call in drawRect: to new drawing method
	in GSTheme.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added declaration for new method.

2010-11-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-performClose:): Do not discard close
	requests for a window in a modal session when the window has
	-worksWhenModal==YES.

2010-11-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (-deleteBackward:): Add missing
	assignment to update the typing attributes.

2010-11-16 Doug Simons <doug.simons@testplant.com>

	* Source/GSThemeDrawing.m:
	Make border of NSColorWell smaller to more closely match Cocoa
	metrics. This makes a big difference in small color wells.

2010-11-16 Doug Simons <doug.simons@testplant.com>

	* Source/NSDrawer.m:
	Ensure drawer is visible if parent window became visible since the
	drawer was opened.

2010-11-13 Riccardo Mottola

	* Images/common_DownloadFolder.tiff
	* Images/GNUmakefile
	Added new icon

	* Source/NSWorkspace.m
	Cache folders and their assdociation with icon names in dictionaries.

2010-11-11 Riccardo Mottola

	* Images/common_ImageFolder.tif
	* Images/common_DocsFolder.tif
	* Images/GNUmakefile
	Added new icons

	* Source/NSWorkspace.m
	Handling of icons for folders of type document, image, system and
	library.

2010-11-11 Riccardo Mottola

	* Images/common_LibraryFolder.tif
	* Images/common_GSFolder.tif
	* Images/GNUmakefile
	Added new icons

2010-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add method
	doesProcessEventsForPopUpMenu to avoid compiler warnings.
	* Headers/AppKit/NSLayoutManager.h,
	* Source/NSLayoutManager.m: Change a few "unsigned int" into
	NSUInteger to avoid compiler warnings.
	* Source/NSTextView.m (firstRectForCharacterRange:): Adopt to
	these changes.

2010-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-validRequestorForSendType:returnType:):
	Don't forward this method if the delegate is a NSResponder.
	Patch by Georg Fleischmann <G.Fleischmann@vhf.de>.

2010-11-03  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSPopUpButtonCell.m (-initWithCoder:): Fixed broken selection
	with keyed unarchiver. -selectMenuItem: was given a nil item because
	the menu was not yet unarchived.
	Removed setAutoenableItems: and -setEnabled: use to match Cocoa doc
	and IB behavior. By default, -autoenableItems is YES and is archived
	by the menu. A popup can be disabled and archived as such.

2010-11-02  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSView.m: Added some basic santity checkts that the views
	are in windows when converting rectangles.

2010-10-31  Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSOpenPanel.m (-runModal): Added. NSOpenPanel overrides
	NSSavePanel version to take in account -allowedFileTypes as documented
	in Cocoa.

2010-10-30 German Arias <german@xelalug.org>

	* Documentation/GNUmakefile: Changes in some files names to
	correspond with the files provided in the Documentation directory.

2010-10-29 Doug Simons <doug.simons@testplant.com>

	* Source/GSThemeMenu.m
	* Source/NSPopUpButtonCell.m
	Added theme method to identify themes that handle event processing
	for PopUp (and PullDown) menus. Use that to prevent duplicate event
	handling in NSPopUpButtonCell. This fixes a problem with actions
	getting sent twice on Windows with the WinUXTheme.

2010-10-25 Doug Simons <doug.simons@testplant.com>

	* Source/GSToolbarCustomizationPalette.m:
	GSToolbarCustomizationView needs to retain its list of palette items.

2010-10-24 Riccardo Mottola

	* Source/NSTextView.m
	Fixed some c99-isms

2010-10-22 David Chisnall <theraven@gna.org>

	* Source/NSTextView.m
	* Source/GSToolTips.h
	* Source/GSToolTips.m

	Fixed the point argument to -view:stringForToolTip:point:userData: (should
	be relative to the tracking rectangle, was relative to the window).  Added
	support for displaying tooltips from NSToolTipAttributeName attributes in
	NSTextView.

2010-10-20 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Added translation
	for string "Separator".

2010-10-19 Doug Simons <doug.simons@testplant.com>

	* Source/NSPasteboard.m:
	Changed lock to recursive to prevent deadlock issue (at least on
	Windows). Also added missing lock on one access to the dictionary.
	Improved +generalPasteboard to retain instance as long as possible
	(previously it would get released with each autorelease pool, which
	happened multiple times on each call to [NSMenu update] for just
	one example).

2010-10-18  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSWorkspace.h:
	* Source/NSWorkspace.m (urlPrefsPath, urlPreferences,
	+initialize, -openURL:, -findApplications, -infoForScheme:,
	-getBestAppInRole:forScheme:, -setBestApp:inRole:forScheme:,
	-_scheme:role:app:):
	Add methods to manage the user's preferred applications for URL
	schemes to NSWorkspace.

2010-10-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m: Revert the WinUX theme specific patch Doug
	put in some time ago.

2010-10-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWorkspace.m (-_iconForExtension:): Fix bug where the
	user's preferred applications were ignored because the code did
	attempt to look them up in the wrong place.

2010-10-13 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Cocoa/Cocoa.h: Add one more protection around definition
	of BOOL.

2010-10-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Open a new document
	in a document based application when the delegate responds YES to
	applicationShouldOpenUntitledFile: but does not implement
	applicationOpenUntitledFile:.

2010-10-08  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindowController.m (-window): Send
	windowControllerWillLoadNib: and windowControllerDidLoadNib: to
	the owner of the nib, since this is what Apple seems to do and
	since this behavior is more useful when a non-document class uses
	a window controller.

2010-09-27  Quentin Mathe <quentin.mathe@gmail.com>

	Fixed NSOutlineView to use incremental loading as Mac OS X does.
	You can now use an outline view to browse a big tree structure e.g. a
	filesystem. Previously in such a case, NSOutlineView was attempting to
	traverse the entire directory structure on -reloadData.
	* Source/NSOutlineView.m
	(-reloadData:): Removed a redundant _loadDictionaryStartingWith:atLevel:
	call, _openItem: now does it.
	(-_loadDictionaryStartingWith:atLevel:): Modified to load the children only
	if the item is expanded.
	(_openItem:): Modified to call _loadDictionaryStartingWith:atLevel: when
	the item children are not loaded.

2010-09-25  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSFontManager.m (-orderFrontFontPanel:): Add method to
	NSApplication in a new category to make the standard font panel
	toolbar item work.

2010-09-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButton.m (-keyDown:): Remove unused code found by
	static analyser.
	* Source/NSColor.m (-colorUsingColorSpace:): Add missing break
	statements.
	* Source/NSColor.m (initSystemColors): Remove unused variable.

2010-09-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-_viewWillMoveToWindow:): When calling
	[-releaseGState] make sure to keep the value of _allocate_gstate.

2010-09-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-resizeWithOldSuperviewSize): Remove unneeded
	local varibales.
	* Source/NSView.m (-bitmapImageRepForCachingDisplayInRect:):
	Create the image rep with [-initWithFocusedViewRect:], that way it
	will better map to the following -cacheDisplayInRect:... call.
	Also don't leak the image.
	* Source/NSView.m (-cacheDisplayInRect:...): Don't leak the image
	rep.
	* Source/NSView.m (-_subtreeDescriptionWithPrefix:): Don't leak
	the returned string.

2010-09-15 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSPrintPanel.gorm: Changed the width
	of a label.

2010-09-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/NSParagraphStyle.m:
	* Source/NSPopUpButton.m:
	* Source/NSMenuItemCell.m:
	* Source/NSFont.m: Fix more unsigned int / ints that should
	be NSUInteger/NSInteger

2010-09-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTextStorage.m: Fix an unisgned->NSUInteger

2010-09-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-releaseGState): Check if the window and it's
	gstate exist before undefining the gstate.
	Patch by Georg Fleischmann <G.Fleischmann@vhf.de>.
	* Source/NSView.m (-_viewWillMoveToWindow:): Call [-releaseGState].

2010-09-13 Riccardo Mottola

	* Source/NSBitmapImageRep+JPEG.m: remove useless double statement
	* Source/tiff.m: remove unused variable and assignment

2010-09-12 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm: Fixed a misspelling.
	* Source/NSFontPanel:  Changed the width of size's column to
	permit a correct internationalization (in other languages "size"
	is written with more than 4 characters).

2010-09-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (+detachDrawingThread:...): Correct the
	creation of the NSInvocation.
	* Source/NSTableView.m (-mouseDown:): Free the auto release pool
	and the create object when returning out of the method.
	* Source/NSButtonCell.m (-encodeWithCoder:): Free the temporary
	NSButtonImageSource.
	* Source/NSCachedImageRep.m (-draw): Free the temporary
	NSBitmapImageRep.
	* Source/NSComboBoxCell.m (-initWithContentRect:...): Free the
	NSScrollView, the NSTableColumn and the NSCell.
	* Source/NSComboBoxCell.m (-textDidChange:): Free the temporary string.
	* Source/NSDataLinkPanel.m (+sharedDataLinkPanel): Free the
	controller but keep the panel.
	* Source/NSImage.m (-initWithIconHandle:, -initWithBitmapHandle:):
	Restructure initialisation order.
	* Source/NSLayoutManager.m (-rulerMarkersForTextView:...): Don't
	leak the created marker.
	* Source/NSMenu.m (-copyWithZone:): Don't leak the copied menu
	items.
	* Source/GSThemeInspector.m (-update:): Release the views
	after adding them to the hierarchy.
	* Source/GSToolbarView.m (initSystemExtensionsColors): Don't leak
	the colors dictionary.
	* Source/GSToolbarCustomizationPalette.m
	(-paletteItemsWithToolbarItems:): Release the copied toolbar items.

2010-09-09  Eric Wasylishen  <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/NSMenu.m:
	* Source/NSWindow.m:
	* Source/NSObjectController.m:
	* Source/NSImageView.m:
	* Source/NSResponder.m:
	* Source/NSApplication.m:
	* Source/NSComboBox.m:
	* Source/NSTextView.m:
	* Source/NSDocumentController.m:
	* Source/NSDocument.m:
	Replace sel_eq with sel_isEqual

2010-09-06 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm:
	Fixed a misspelling.

2010-09-06 German Arias <german@xelalug.org>
	* Panels/Spanish.lproj/GSFindPanel.gorm:
	* Resources/Spanish.lproj/Localizable.strings:
	Added find panel in spanish.

2010-09-03  Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSView.h:
	* Source/NSView.m:
	* Source/NSClipView.m:
	* Source/NSScrollView.m:
	* Source/NSSplitView.m:
	Replaced _rFlags.flipped_view use with -isFlipped and deprecated
	_rFlagsType.flipped_view.
	Still needs some work to automatically invalidate coordinates when the
	flipping changes e.g. between two drawing sessions.

2010-09-02 Doug Simons <doug.simons@testplant.com>

	* Source/NSPopUpButtonCell.m:
	Fix problem with pull-down menu not allowing same item to be selected
	twice in a row. Also correct setAltersStateOfSelectedItem: to work as
	described in the Cocoa docs (states were reversed).

2010-08-30 Doug Simons <doug.simons@testplant.com>

	* Source/NSPopUpButtonCell.m:
	Fix problem of pulldown action not being called with correct cell
	selected (possibly only a problem for Mac nib files?).
	* Source/NSMenuView.m:
	Fix problem of pulldown action getting invoked twice on Windows.

2010-08-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTableView.m (computeNewSelection): Fix bug where the
	_selectedRow attribute could be updated incorrectly.

2010-08-29 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSLayoutManager.h,
	* Source/NSLayoutManager.m: Correction of the declarations for the methods
	to handle temporary attributes.

2010-08-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGModelLoader.m: Add hack to get GModel loading working again.
	* Source/GSGormLoader.m: Remove an astray semicolon.

2010-08-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOutlineView.m (-collapseItem:collapseChildren:,
	-expandItem:expandChildren:, -reloadItem:reloadChildren:,
	-_closeItem:, -_openItem:, -removeChildren:):
	Update the selected row indexes after collapsing or expanding
	an item. This fixes bug #29892.

	* Source/NSOutlineView.m (-_noteNumberOfRowsChangedBelowItem:by:):
	New helper method.

	* Source/NSOutlineView.m (-collapseItem:collapseChildren:):
	Collapse children before their parent item. Necessary to ensure
	that the selected row indexes are valid when a notification is
	posted.

2010-08-25  Eric Wasylishen  <ewasylishen@gmail.com>

	* KeyBindings/DefaultKeyBindings.dict: Uncomment some key bindings which
	are now implemented. (e.g. Shift-Home, Shift-End)

2010-08-23  Eric Wasylishen  <ewasylishen@gmail.com>

	* ColorPickers/GSWheelColorPicker.m: Rewrite to draw the HSV
	wheel in a bitmap. This gives a pretty large performance improvement.
	* Source/NSColorPanel.m: Set a sensible min and max size for the
	color panel.

2010-08-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOutlineView.m (-mouseDown): If the alt modifier is
	pressed when the user expands or collapses an item expand or
	collapse all children of the item as well.

2010-08-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-svaveToFile:saveOperation:delegate:...,
	-saveToURLofType:forSaveOperation:...): Update the document
	controller's recent document list. This means that the user will
	find her fresh documents in that list after saving them.

2010-08-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSDocument.h:
	* Source/NSDocument.m: Change result type of method
	-saveToURL:ofType:forSaveOperation:delegate:didSaveSelector:contextInfo:
	from BOOL to void. This fixes an incompatibility with Cocoa where
	this method has no result (as any other method receiving a
	callback selector).

2010-08-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextField.m (-selectText:): Add special case to
	preserve the current X selection when editing is started with a
	mouse click.

	* Source/NSSpellChecker.m (-awakeFromNib): Make the spell panel a
	utility window like the font and color panels.

	* Source/NSPopUpButtonCell.m (-selectItem): Fix bug caused by the
	fix for #30025, which made it impossible to programmatically
	change the selected item of some pop up buttons.

	* Source/NSComboBoxCell.m (-runLoopWithComboBoxCell:): Dismiss
	the combo box's list without changing the selection when the user
	presses Escape.

2010-08-13 Riccardo Mottola

	* Source/NSMatrix.m
	cleaned up code

2010-08-11  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSComboBox.m (-textView:doCommandBySelector:): New
	override to pop up the combo box's list when the user presses
	the down arrow key.
	* Source/NSComboBoxCell.m (_performClickWithFrame:inView:):
	Remember the cell's control view.

2010-08-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-setPullsDown:): Call
	synchronizeTitleAndSelectedItem to display the correct item.
	* Source/NSPopUpButtonCell.m (-setMenu:): Listen to notifications
	from the menu to call synchronizeTitleAndSelectedItem, when the
	menu items change.

2010-08-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTextStorage.m: Follow Richard's changes to
	GSAttributedString in base.

2010-08-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-arrangeInFront:): Only order
	non-miniaturized windows front.

2010-08-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-draggingEntered:, -draggingUpdated): Fix
	an incorrect range check which prevented the user from copying or
	moving the current selection immediately before itself with a DnD
	operation.

2010-08-03  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColorPanel.m:
	* Source/NSFontPanel.m:
	Make the NSColorPanel and NSFontPanel use NSUtilityWindowMask.
	Also remove the NSMiniaturizableWindowMask from NSFontPanel.
	This makes the panels behave as they do on Mac OS.
	Feel free to revert/discuss if you disagree with this.. :-)

2010-08-03  Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSPanel.m: Override
	-initWithContentRect:styleMask:backing:defer: so that if
	NSUtilityWindowMask is part of the style mask, we can
	set the panel to be a floating panel (which is the definition
	of NSUtilityWindowMask, in addition to making the panel
	have a thin title bar.)

2010-08-03 Riccardo Mottola

	* Source/NSScrollView.m :
	added documentation for scroller hiding.

2010-08-03 17:21-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: remove forward declaration for _setArchiveByName
	from NSImage category.
	* Source/NSImage.m: Added code in _setImage:forName: to archive
	by name instead.

2010-08-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-validateUserInterfaceItem:,
	-performFindPanelAction:): Implement find panel support.

	* Source/GNUmakefile:
	* Source/GSTextFinder.h:
	* Source/GSTextFinder.m:
	* Panels/GNUmakefile:
	* Panels/English.lproj/GSFindPanel.gorm:
	New text finder and associated find panel.

	* Source/NSTextView.m(currentVersion, -initWithTextView:,
	-encodeWithCoder:, -initWithCoder:): Archive the uses find panel
	attribute. This required updating the NSTextView version to 3.

2010-08-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButton.m,
	* Source/NSMenu.m: Add missing #import.

2010-07-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-setWindowFrameForAttachingToRect:...):
	Better placement of pull down menus. If there is not enough room
	at the preferred edge display the menu at the opposite edge.

2010-07-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-trackWithEvent:):
	* Source/NSMenu.m (-shiftOnScreen): Correctly handle the cases
	where a menu is partially off screen on the top and the left side
	of the screen, respectively. This fixes bug #30439.

2010-07-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSInputManager.m: Use NSDeleteCharacter for the backspace key.

2010-07-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-keyDown:): Correction of last change.

2010-07-25 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSplitView.m (-adjustSubviews):
	Call setFrame: on subviews rather than setFrameSize: followed
	by setFrameOrigin:, so that the subviews never have an inconsistent
	frame (old origin + new size).

	This was messing up cases with NSOpenGLView's inside split views,
	(e.g. usr-apps/examples/gui/MyGL)	because the NSOpenGLView,
	when notified of its size changing, was using the invalid origin.

2010-07-25 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m,
	* Source/NSInputManager.m,
	* Source/NSMatrix.m,
	* Source/NSWindow.m: Add support for backtab character.

2010-07-22 19:35-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSTheme.m: Call method _setArchiveByName: with YES so that
	images loaded by a theme will not be persisted as image data, but
	rather as references.  This will avoid an issue with saving theme
	images when saving files in Gorm while a theme is loaded.
	* Source/NSImage.m: Added method _setArchiveByName:.

2010-07-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenuView.m (-setWindowFrameForAttachingToRect...):
	Resize the menu view if needed. This should correct part of bug #30025.

2010-07-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSPopUpButtonCell.m (-setMenuView:): Override super class
	method so that the button's appearance is not inadvertently
	changed when the menu view is set.

2010-06-23  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-sizeToFit): Correctly take into account
	that the first item of a pull down menu is not visible.

	* Source/NSMenuView.m (-setHorizontal:): Ensure that the layout is
	recomputed after changing the view from vertical to horizontal and
	vice versa.

2010-06-22 Doug Simons <doug.simons@testplant.com>

	* Source/NSButton.m:
	* Source/NSMatrix.m:
	* Source/NSMenu.m:
	Further change to performKeyEquivalent: methods to take Shift key
	into account for control keys (such as Return and Tab) as well as
	function keys, and to honor keyEquivalentModifierMask for cells in
	a matrix that implement that method. Also, ignore key events with
	zero length (such as the Windows key) which was previously triggering
	actions on objects with no keyEquivalent.

2010-06-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSPopUpButtonCell.m (-initTextCell:pullsDown:, -initWithCoder:,
	-_currentArrowImage:, -attachPopUpWithFrame:inView:): Swap meaning
	of NSMinYEdge and NSMaxYEdge to match their use in Cocoa. Recall
	that pop up buttons use flipped geometry.

2010-06-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenuView.m (-rectOfItemAtIndex:,
	-setWindowFrameForAttachingToRect:onScreen:preferredEdge:...):
	* Source/NSPopUpButtonCell.m (-attachPopUpWithFrame:inView:):
	Don't display the first item of a pull down menu, which holds its
	title, and fix the attachment of pull down menus to their button.

	* Source/NSPopUpButtonCell.m (-title:): Implement to return the
	title of the menu.
	* Source/NSPopUpButtonCell.m (-setTitle): Fix implementation to
	actually change the title of a pull down menu.

	* Source/NSPopUpButtonCell.m (-selectItem:): Prevent exception
	when a horizontal menu does not have a selected item.

2010-06-21  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSliderCell.m (-closestTickMarkValueToValue:,
	-rectOfTickMarkAtIndex:, -tickMarkValueAtIndex:): Fix tick mark
	related calculations to correctly take into account that the first
	and last tick marks conincide with the minimum and maximum values.

2010-06-18  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAttributedString.m
	(-initWithData:options:documentAttributes:error:): Attempt to auto
	detect the document type if it wasn't specified by the caller.
	Currently works for RTF and HTML documents.

	* Source/NSAttributedString.m (-initWithURL:documentAttributes:,
	-initWithURL:options:documentAttributes:error:): Add base URL to
	the document importing options only if it is not nil.

2010-06-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSMenu.m (-performKeyEquivalent:): Fix Doug's previous
	change to ignore the shift key except when a function key is
	pressed, as documented by Apple.
	* Source/NSButton.m (-performKeyEquivalent): Fix to trigger only
	when command, alternate, and control keys match the modifier mask
	exactly, as documented by Apple.

2010-06-08 Doug Simons <doug.simons@testplant.com>

	* Source/NSMenu.m:
	Fix menu key equivalents to only trigger when the exact modifiers
	are held down. Previously, an item would activate even when additional
	modifiers were held down (e.g. typing Ctrl-Alt-x would activate a
	menu item whose key equivalent was Ctrl-x).

2010-06-07 Doug Simons <doug.simons@testplant.com>

	* Source/NSMenuItem.m:
	Implement NSUserKeyEquivalents default for providing custom key
	equivalents for menu items based on their title.

2010-06-05  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/GSWindowDecorationView.m ([-removeSubview:]): Uncommented
	the method, fixing moving the content view from one window to
	another one.

2010-06-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Do not attempt to
	open an	untitled document in a document based application that
	does not define an editor type.

2010-06-01  Quentin Mathe <quentin.mathe@gmail.com>

	Fixed many drawing issues (many ones being related to the flipping).
	In particular, fixed -[NSImage drawXXX] methods to work exactly as
	Cocoa and improve the drawing performance in some cases (the last two
	points only holds with Cairo backend).
	Eliminated as many flipping checks as possible.
	Warning: Untested with the winlib backend.
	* Headers/AppKit/NSGraphicsContext.h:
	* Source/NSGraphicsContext.m:
	(-supportsDrawGState, -GSdraw:toPoint:fromRect:operation:fraction:):
	Added (see also the Backend Changelog).
	* Source/NSImage.m
	(-drawInRect:fromRect:operation:fraction:): Moved the previous
	implementation to -guiDrawInRect:fromRect:operation:fraction: and
	rewritten as a switch that checks -supportsDrawState.
	(-guiDrawInRect:fromRect:operation:fraction:): New method identical to
	the old -drawInRect:fromRect:operation:fraction:.
	(-nativeDrawInRect:fromRect:operation:fraction:): Added.
	New method that leverages the backend as much possible and implement
	semantic that exactly matches Cocoa.
	(-drawRepresentation:inRect:): Removed flipping
	check.
	* Source/NSImageRep.m (-drawInPoint:, -drawInRect:): Removed the
	flipping checks.
	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Fixed
	-drawInRect:fromRect:operation:fraction use as Apple doc suggests it
	rather than using a negative height trick which doesn't work anymore
	(at least with Cairo) and has never worked on Mac OS X.
	* Source/NSView.m (-scrollRect:by:): Ajusted to do the copy bits on
	the window gstate rather than the view gstate.
	Required now that Cairo NSCopyBits/compositeGState won't compensate the
	flipping when copyOnSelf is YES. Moreover -scrollRect:by: was broken
	previously when the view wass not flipped (at least for Cairo).
	Finally NSCopyBits() behaves in another way on Mac OS X when the view
	gstate is used instead of the window gstate. By using the window gstate,
	we can more easily change how NSCopyBits() handles the view gstate to
	match Cocoa.
	* Source/NSClipView.m (-setBoundsOrigin:): Turned off dubious code that
	should probably be removed.

2010-06-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m (-_setupOpenPanel): Disable
	directory selection in open panels, which is useless since
	document file packages are shown as plain files in the panel.

2010-06-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAlert.m: Fix NSAlert implementation so that buttons are
	assigned tags starting with NSAlertFirstButtonReturn, except if the
	panel was created with the backward compatibility method
	+alertWithMessageText:defaultButton:... Also assign appropriate
	key equivalents to buttons in panels created with the old OpenStep
	alert panel functions.

2010-06-01 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSOutlineView.h,
	* Source/NSOutlineView.m: Add -parentForItem: and
	-frameOfOutlineCellAtRow:. Use the later in -drawRow:clipRect:.
	Change methods to use NSInteger and CGFloat.

2010-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-dealloc): Avoid a race with some lame window
	managers, which could lead to a crash when a window is closed and
	deallocated while a tool tip is visible.

2010-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m (-_openableFileExtensions,
	-typeFromFileExtension:):
	* Source/NSDocument.m (-_runSavePanelForSaveOperation:,
	-changeSaveType:, -fileNameExtensionForType:saveOperation:):
	Implement support for document types with a wild card extension.

2010-05-31  David Wetzel <dave@turbocat.de>

	* Source/NSViewController.m
	* Headers/AppKit/NSViewController.h
	New files fixes #29822

2010-05-31  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindowController.m (-setDocumentEdited:, -setWindow:):
	Avoid loading the controller's nib prematurely if the document
	edited status is changed.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSFont.m (-initWithCoder:): Fixed keyed decoding to fall
	back to a standard font only if the named font was not found.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (NSTextViewUndoObject, -performUndo:,
	-shouldChangeTextInRange:replacementString:): Select text
	restored by an undo operation and set insertion point to the end
	of the changed text after a redo operation.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-initWithFrame:, -initWithFrame:textContainer:):
	Ensure a more consistent initial setup of a new text view and its
	text container.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-initWithCoder:, -initWithTextView:,
	-encodeWithCoder:): Fix decoding and encoding of a few text view
	flags, which did not match Cocoa.
	* Source/NSTextView.m (-initWithCoder:): Replace a completely
	bogus workaround to set up the text network of a text view loaded
	from a .nib file with a clean solution.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextContainer.m (-init:, -initWithCoder:): Use
	more reasonable initial container size.
	* Source/NSTextContainer.m (-initWithCoder:): Better decoding of
	text container flags.

2010-05-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSLayoutManager.m (-encodeWithCoder:, -initWithCoder:):
	Make layout manager attributes and flags persistent when using a
	keyed archiver, i.e., saving or loading a .nib file.

2010-05-29 12:00-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSSplitView.m: In mouseDown: initialize p and op to
	NSZeroPoint to prevent compiler warning.

2010-05-29 11:35-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSBitmapImageRep+PNG.m: Reverting change which removed
	check for setjmp.  This was causing a compilation error.

2010-05-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/Additions/GNUstepGUI/GSNibLoading.h:
	* Source/NSButtonCell.m:
	* Source/NSMatrix.m:
	* Source/NSScrollView.m:
	* Source/NSTableView.m: Correct serious nib loading bug on big
	endian machines by testing GS_WORDS_BIGENDIAN instead of
	WORDS_BIGENDIAN.

2010-05-29 01:34-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSXibLoader.m: Took out interface definitions and moved them.
	* Headers/Additions/GNUstepGUI/GSXibLoading.h: New file
	which contains the definitions for the new classes defined in
	GSXibLoader.m.  This change will allow those classes to be used by
	applications such as Gorm.

2010-05-25 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSBitmapImageRep+PNG.m
	Skip libpng's check for setjmp. I hope we are indeed correct.

2010-05-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-_characterIndexForPoint:respectFraction:):
	Move and declare this method to keep gcc 2.95 quite.

2010-05-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSSimpleLayoutManager.m: Remove obsolete file.
	* Source/NSBitmapImageRep+PNG.m,
	* Source/NSBitmapImageRep+JPEG.m,
	* Source/NSColorPicker.m,
	* Source/NSMenu.m,
	* Source/NSScreen.m: Remove gcc 2.95 warnings reported by
	Riccardo Mottola <rmottola@users.sf.net>.

	* Source/externs.m
	* Source/Functions.m
	* Source/GSAnimator.m
	* Source/GSHelpManagerPanel.m
	* Source/GSEPSPrintOperation.m
	* Source/GSFusedSilica.m
	* Source/GSFusedSilicaContext.h
	* Source/GSFusedSilicaContext.m
	* Source/GSLayoutManager.m
	* Source/GSPrinting.m
	* Source/GSPrintOperation.m
	* Source/GSInfoPanel.m
	* Source/GSKeyBindingAction.h
	* Source/GSKeyBindingAction.m
	* Source/GSKeyBindingTable.h
	* Source/GSKeyBindingTable.m
	* Source/GSServicesManager.m
	* Source/NSColorList.m
	* Source/NSBox.m
	* Source/NSAttributedString.m
	* Source/NSWorkspace.m
	* Source/NSBitmapImageRep+PNG.h
	* Source/NSWindow.m
	* Source/NSClipView.m
	* Source/NSBitmapImageRep.m
	* Source/NSApplication.m
	* Source/NSCachedImageRep.m
	* Source/NSButtonImageSource.h
	* Source/NSButtonImageSource.m
	* Source/NSBitmapImageRep+GIF.h
	* Source/NSBitmapImageRep+GIF.m
	* Source/NSTabViewItem.m
	* Source/NSBitmapImageRep+JPEG.h
	* Source/NSBitmapImageRep+PNM.h
	* Source/NSBitmapImageRep+PNM.m
	* Source/NSTabView.m
	* Source/NSArrayController.m
	* Source/NSBrowserCell.m
	* Source/NSBitmapImageRep+ICNS.h
	* Source/NSBitmapImageRep+ICNS.m
	* Source/NSView.m: Replace #include -> #import

2010-05-21 Doug Simons <doug.simons@testplant.com>

	* Source/GSToolbarView.m:
	* Source/NSToolbarItem.m:
	Make toolbar resizing behavior match the Cocoa behavior for dividing
	extra space between flexible spaces and other flexible items. Ensure
	custom view items are resized properly, taking minSize into account.

2010-05-20 04:14-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Added method
	displayPopUpMenu:... to handle the display of the popup menus for
	themes.
	* Source/GSThemeMenu.m: Added default implementation.
	* Source/NSPopUpButtonCell.m: Call the displayPopUpMenu:... method
	in the method attachPopUpWithFrame:inView:.

2010-05-19 Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSColorPicking.h: Removed Protocol.h import to
	eliminate potential return type conflicts, between -(unsigned int)hash
	from Object and -(NSUInteger)hash from NSObject, when the receiver is
	of type (id).

2010-05-19 Riccardo Mottola <rmottola@users.sf.net>

	* Source/GSVbox.m,
	* Source/GSHbox.m:
	Changed header include to import

2010-05-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSToolbarItem.m (-setView:): Only set the min/max size of
	the toolbar item when it was zero.

2010-05-17 04:36-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSApplication.m: Attempt to open files from the command
	line, if possible in -finishLaunching.  This matches the behavior
	seen on OpenStep and on Mac OS X/Cocoa.

2010-05-16 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/Functions.m:
	* Source/NSApplication.m (-finishLaunching):
	Moved the main Nib file loading from -finishLaunching to
	NSApplicationMain() to match Cocoa behavior/documentation.
	This makes easier to implement a custom AppKit main that works with both
	Cocoa and GNUstep.

2010-05-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSNibLoading.m (-nibInstantiate): Fix bug where a window
	was ignoring its autosaved frame when loaded from a .nib file.

2010-05-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSFontManager.m (-fontMenu): Remove key equivalents that
	conflict with standard key equivalents.

2010-05-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAlert.m:
	* Source/NSDrawer.m:
	* Source/NSHelpPanel.m:
	* Source/NSPrintPanel.m: Propagate the change of NSWindow's
	designated initializer to all affected subclasses.

2010-05-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSGormLoading.m (-awakeWithContext): Add support for a
	recent documents menu.

2010-05-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m (-_openRecentDocument:): Give the
	application delegate a chance to open the document. This makes the
	recent documents menu available to non-document based applications
	as documented and implemented by Apple.

2010-05-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSToolbarItem.m (-_isFlexibleSpace): Simplify this method.
	* Source/GSToolbarView.m: Clean up toolbar item resizing, this now
	allows for resizable item other than flexible space. If there are
	flexible items and flexible space the items will be expanded first.

2010-05-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSNibLoading.m (-nibInstantiateWithOwner:topLeveObjects:,
	-initWithCoder:, -dealloc): Don't send -awakeFromNib to an
	NSApplication proxy (nor any other proxy) and do not record it in
	the top level array either. Identification of proxy objects is
	based on their object IDs.

2010-05-13  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSNibLoading.m (-nibInstantiateWithOwner:topLeveObjects:):
	Make sure all objects are instantiated before establishing any
	connections. This fixes an issue where, e.g., a generic shared
	document controller instance is created before a custom instance
	defined in the nib file.

2010-05-12 18:48-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Added method
	rightMouseMenu:forEvent: to allow theming of transient and
	context menus.
	* Source/GSThemeMenu.m: Implementation of method
	rightMouseMenu:forEvent: to allow theming of transient and
	context menus.
	* Source/NSMenu.m: use the theming code implemented above instead
	of rendering the menu directly.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m: Fix a rather long standing incompatibility
	and make -initWithContentRect:styleMask:backing:defer: the
	designated initializer of NSWindow.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSNibLoading.m (-nibInstantiateWithOwner:topLevelObjects:):
	Next attempt at getting .nib file loading right. Make sure that
	-nibInstantiate is sent to all loaded objects and also make sure
	that -awakeFromNib is sent to the nib's owner.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m (-init, -maximumRecentDocumentCount,
	-noteNewRecentDocumentURL:): Make number of remembered recent
	documents configurable with a user preference and fix a bug where
	one extra document was remembered.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSXibLoader.m (-awakeData:withContext:): Fix bug where
	some objects from the xib file were not sent an -awakeFromNib
	message.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSMenu.h:
	* Source/NSMenu.m (-_initWithCoder:, -dealloc, -_name,
	-_setName:, -awakeFromNib): Add a private name attribute to menus
	to identify special purpose menus. Fixes a bug where the services,
	windows, and recent documents menu were defunct when loading the
	menu from a .nib file.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSDocumentController.h:
	* Source/NSDocumentFrameworkPrivate.h:
	* Source/NSDocumentController.m (-_recentDocumentsMenu,
	-_setRecentDocumentsMenu:, -_updateRecentDocumentsMenu):
	Add an attribute to NSDocumentController to maintain the recent
	documents menu. Make the methods to access that menu available to
	other classes in -gui.

2010-05-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSNibLoading.m	(-nibInstantiateWithOwner:topLevelObjects:):
	Fix bug where some objects from the nib file were not sent an
	-awakeFromNib message.

2010-05-11 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m: Remove compiler warning for NSBrowser
	header cell drawing.

2010-05-10  Adam Fedor  <fedor@gnu.org>

	* Clarify unstable release documentation

2010-05-09  Adam Fedor  <fedor@gnu.org>

	* Version 0.19.0 Unstable Release

2010-05-09  Adam Fedor  <fedor@gnu.org>

	* Version 0.18.0

2010-05-09  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: ([-deactivate]) unload current theme images before
	restoring previous theme images to avoid conflict with image names.
	* Source/NSImage.m: Add some comments.

2010-05-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-dealloc): Use DESTROY instead of RELEASE.

2010-05-07  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSWindowDecorationView.m (-layout): Fix a regression
	where a window's content view was improperly resized when
	toggleToolbarShown: makes its toolbar visible again.

2010-05-02 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSavePanel.h,
	* Source/NSSavePanel.m: Add method directoryURL. Fixes bug #29735.

2010-05-02 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFProducer.m (-_stringWithRTFCharacters:):
	Remove extra space after \'xx characters accidentially introduced
	with last change.

2010-05-01 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFProducer.m
	(-_runStringForString:attributes:): Only add a delimiter when needed.
	* TextConverters/RTF/RTFProducer.m (-_stringWithRTFCharacters:):
	Only add the \uc0 flag when needed. Use \'AC as attachment character.

2010-05-01  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/rtfGrammer.y: Ignore the string parameter of
	a \NeXTGraphic command like OS X does. Fixes bug #29633.
	* TextConverters/RTF/rtfGrammer.tab.c: Regenerated.

2010-04-28  Adam Fedor  <fedor@gnu.org>

	* configure, configure.ac, Headers/Additions/GNUstepGUI/config.h.in,
	Source/NSSliderCell.m: Check for atan2f function (not present on
	old Solaris systems for instance).

2010-04-24 Doug Simons <doug.simons@testplant.com>

	* Source/NSOutlineView.m:
	Fix occasional exception while dragging.

2010-04-24 Doug Simons <doug.simons@testplant.com>

	* Source/NSWindow.m:
	Handle nil view passed to _checkTrackingRectangles:forEvent: (this
	prevents a crash in Windows, e.g. when clicking the toolbar overflow
	widget).

2010-04-24 Doug Simons <doug.simons@testplant.com>

	* Headers/AppKit/NSMenu.h:
	* Source/NSMenu.m:
	* Source/NSMenuItem.m:
	Rebuild in-window menus only when needed on Windows. Also fixed
	notifying a menu item's menu only when a property value actually
	changes.

2010-04-23 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenuItem.m: Fix for bug 29635
	(NSMenuItem -initWithCoder: should set modifier mask to 0 if
	NSKeyEquivModMask not defined)

2010-04-23  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/NSWindowController.m: Fixed a problem where controller marks
	the window as loaded even when the nib failed to load.

2010-04-23  Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Headers/AppKit/NSGraphics.h: NSBeep() - Don't crash when a
	graphics context isn't available (eg - from a subthread).

2010-04-23  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAlert.m (NSRunAlertPanel): Fix incorrect return code
	when called in a non-gui application.

2010-04-20 Doug Simons <doug.simons@testplant.com>

	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h:
	Update header to eliminate warning.

2010-04-20 Doug Simons <doug.simons@testplant.com>

	* Source/NSWindow.m:
	* Source/GSWindowDecorationView.m:
	Fix problems with in-window menus sometimes overlapping toolbars or
	toolbars overlapping window contents.

2010-04-19 Doug Simons <doug.simons@testplant.com>

	* Source/NSMatrix.m:
	Honor sendsActionOnEndEditing setting when editing ended by
	something other than return.

2010-04-18 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBrowser.m:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Factor out browser
	header drawing to GSTheme.

2010-04-18 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSScrollView.m:
	Add a new default, GSScrollViewNoInnerBorder, which can be set to
	YES so themes can disable drawing of the inner border lines in
	NSScrollView. These only look good with a NeXT style theme,
	so most non-NeXT-like themes (WinUX, etc.) will want to set
	GSScrollViewNoInnerBorder to YES.

2010-04-16 Riccardo Mottola <rmottola@users.sf.net>

	* Source/GSToolbarCustomizationPalette.m
	* Source/GSToolbarView.m
	removed c99isms

2010-04-15 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSegmentedCell.m:
	Fix some situations in initWithCoder: where the _selected_segment
	ivar and the selected state of items in the _items array could be
	out of sync leading to weirdly behaving segmented controls
	loaded from nibs.

2010-04-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextField.m (-textDidEndEditing:): When editing of a
	text field ends	after pressing the Return key and no (other) view
	has become first responder make the text field itself first
	responder by selecting its text just like this is done after
	pressing Tab and Shift-Tab.

2010-04-14 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSWindow.m : removed c99-isms

2010-04-13 Doug Simons <doug.simons@testplant.com>

	* Headers/Additions/GNUstepGUI/GSToolbarView.h:
	* Source/GSToolbarView.m:
	* Source/GSToolbarCustomizationPalette.m:
	* Source/NSToolbar.m:
	* Source/NSToolbarItem.m:
	Fix numerous issues with toolbar customization, including: fix
	crash when customization palette closed; make customization palette
	a floating panel centered below toolbar; rewrote dragging code
	to work well; layout toolbar items when added to toolbar; resize
	customization palette to fit items; etc.

2010-04-13 Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/GSToolTips.m: Use a single retained window for tooltips instead of
	a newly created one each time.  This significantly reduces interaction
	with MS-Windows callbacks.

2010-04-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+JPEG.m
	(-_JPEGRepresentationWithProperties:errorMessage:): Use the
	correct size for the structure in memset.
	Patch by Philippe Roussel <p.o.roussel@free.fr>.

2010-04-10 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/AppKit/NSWindow.h
	* Source/NSWindow.m: Fix delivery of rightMouseDragged: and otherMouseDragged:
	messages. These weren't working because right/otherMouseDragged: would be
	called on the _lastView ivar, which was only set on mouse down.

	I replace the _lastView ivar with _lastLeftMouseDownView, _lastRightMouseDownView,
	and _lastOtherMouseDownView. Behaviour now matches OS X as far as I can tell.

2010-04-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/linking.m
	* Source/GSDisplayServer.m
	* Source/NSWorkspace.m
	* Source/NSButtonCell.m
	* Source/NSSplitView.m
	* Source/GSNibLoading.m
	* Source/NSCursor.m
	* Source/NSScroller.m
	* Source/NSOutlineView.m
	* Source/GSToolbarView.m
	* Source/GSPDFPrintOperation.m
	* Source/GSThemePanel.m
	* Source/NSImage.m
	* Source/NSTableView.m
	* Source/GSDragView.m: Remove compiler warnings detected by clang
	and reported by David Chisnall <theraven@gna.org>.

2010-04-09  David Ayers  <ayers@fsfe.org>

	* Headers/AppKit/NSSound.h: Import NSBundle.h for category declaration.

2010-04-08 Jonathan Gillaspie <jonathan.gillaspie@testplant.com>

	* Source/GSToolTips.m: Prevent Windows API callback from crashing when displaying tooltips.

2010-04-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Cocoa/Cocoa.h: One more forgotten header file changed
	from #include into #import.

2010-04-07 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSHbox.h
	* Headers/Additions/GNUstepGUI/GSHelpManagerPanel.h
	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h
	* Headers/Additions/GNUstepGUI/GSTypesetter.h
	* Headers/Additions/GNUstepGUI/GSAnimator.h
	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h
	* Headers/Additions/GNUstepGUI/GSTextConverter.h
	* Headers/Additions/GNUstepGUI/GSPrintOperation.h
	* Headers/Additions/GNUstepGUI/GSServicesManager.h
	* Headers/Additions/GNUstepGUI/GSVbox.h
	* Headers/Additions/GNUstepGUI/GSHorizontalTypesetter.h
	* Headers/Additions/GNUstepGUI/GMAppKit.h
	* Headers/Additions/GNUstepGUI/GSTable.h
	* Headers/Additions/GNUstepGUI/GSMemoryPanel.h
	* Headers/Additions/GNUstepGUI/GSMethodTable.h
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h
	* Headers/Additions/GNUstepGUI/GSToolbarView.h
	* Headers/Additions/GNUstepGUI/GSTheme.h
	* Headers/Additions/GNUstepGUI/GSPDFPrintOperation.h
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h
	* Headers/Additions/GNUstepGUI/GSDragView.h
	* Headers/Additions/GNUstepGUI/IMLoading.h
	* Headers/Additions/GNUstepGUI/IMConnectors.h
	* Headers/Additions/GNUstepGUI/GSPasteboardServer.h
	* Headers/Additions/GNUstepGUI/GSInfoPanel.h
	* Headers/Additions/GNUstepGUI/GSTitleView.h
	* Headers/Additions/GNUstepGUI/GSTrackingRect.h
	* Headers/Additions/GNUstepGUI/GSEPSPrintOperation.h
	* Headers/Additions/GNUstepGUI/GSPrinting.h
	* Headers/Additions/GNUstepGUI/GMArchiver.h
	* Headers/Additions/GNUstepGUI/IMCustomObject.h
	* Printing/GSCUPS/GSCUPSPrinter.m
	* Model/GMArchiver.m
	* Model/GMAppKit.m
	* Source/NSAlert.m
	* Source/GSMemoryPanel.m: Final set of #include -> #import
	replacement in additional headers.

2010-04-06 Fred Kiefer <FredKiefer@gmx.de>

	* ColorPickers/GSWheelColorPicker.m,
	* Source/NSTableHeaderView.m,
	* Source/NSStringDrawing.m,
	* Source/NSWorkspace.m:	Remove some stupid compiler warnings.

2010-04-05 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGModelLoader.m,
	* Source/GSXibLoader.m: Avoid compiler warnings from old compilers.

2010-04-05 Doug Simons <doug.simons@testplant.com>

	* Source/NSView.m: Fix the worst problems with key view
	chain. There should only be a single next key view, ever,
	although possibly multiple previous key views.

2010-04-05 Doug Simons <doug.simons@testplant.com>

	* Source/NSWindow.m: Fix crash caused by close being called
	recursively.

2010-04-05 Doug Simons <doug.simons@testplant.com>

	* Source/NSDrawer.m: Fix problem with drawer window being shown
	prematurely.

2010-04-04 German Arias <german@xelalug.org>

	* Panels/Spanish.lproj/GSPageLayout.gorm: Translations
	of some strings.

2010-03-31 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSStringDrawing.m
	* Headers/AppKit/NSWindowController.h
	* Headers/AppKit/NSTokenField.h
	* Headers/AppKit/NSWorkspace.h
	* Headers/AppKit/NSWindow.h
	* Headers/AppKit/NSTextFieldCell.h
	* Headers/AppKit/NSTextContainer.h
	* Headers/AppKit/NSToolbar.h
	* Headers/AppKit/NSTokenFieldCell.h
	* Headers/AppKit/NSToolbarItemGroup.h
	* Headers/AppKit/NSTextStorage.h
	* Headers/AppKit/NSTextView.h
	* Headers/AppKit/NSToolbarItem.h
	* Headers/AppKit/NSUserDefaultsController.h
	* Headers/AppKit/NSUserInterfaceValidation.h
	* Headers/AppKit/NSTextField.h
	* Headers/AppKit/NSView.h: Final part of #include -> #import
	replacement in official headers.

2010-03-31 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSound.h
	* Headers/AppKit/NSTextAttachment.h
	* Headers/AppKit/NSTableHeaderCell.h
	* Headers/AppKit/NSScreen.h
	* Headers/AppKit/NSSliderCell.h
	* Headers/AppKit/NSText.h
	* Headers/AppKit/NSTableHeaderView.h
	* Headers/AppKit/NSSplitView.h
	* Headers/AppKit/NSResponder.h
	* Headers/AppKit/NSTableColumn.h
	* Headers/AppKit/NSSavePanel.h
	* Headers/AppKit/NSSearchFieldCell.h
	* Headers/AppKit/NSScroller.h
	* Headers/AppKit/NSRulerMarker.h
	* Headers/AppKit/NSSearchField.h
	* Headers/AppKit/NSTabViewItem.h
	* Headers/AppKit/NSRulerView.h
	* Headers/AppKit/NSSecureTextField.h
	* Headers/AppKit/NSSegmentedCell.h
	* Headers/AppKit/NSSlider.h
	* Headers/AppKit/NSStringDrawing.h
	* Headers/AppKit/NSScrollView.h
	* Headers/AppKit/NSSpellProtocol.h
	* Headers/AppKit/NSTabView.h
	* Headers/AppKit/NSSegmentedControl.h
	* Headers/AppKit/NSTableView.h
	* Headers/AppKit/NSSelection.h
	* Headers/AppKit/NSSpellChecker.h
	* Headers/AppKit/NSSpeechSynthesizer.h
	* Headers/Additions/GNUstepGUI/GSSoundSource.h
	* Headers/Additions/GNUstepGUI/GSSoundSink.h
	* Source/NSButtonCell.m
	* Source/NSTextFieldCell.m
	* Source/NSTableColumn.m
	* Source/GSTitleView.m
	* Source/NSOutlineView.m
	* Source/NSPageLayout.m
	* Source/NSTabViewItem.m
	* Source/NSRulerView.m
	* Source/NSMenuView.m
	* Source/NSSecureTextField.m
	* Source/GSThemeDrawing.m
	* Source/NSToolbarItem.m
	* Source/NSPrintInfo.m
	* Source/NSCell.m
	* Source/NSTableView.m
	* Source/GSDragView.m
	* Source/GSToolTips.m: Yet another set of #include -> #import
	replacement.

2010-03-31 00:02-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSTableView.m: Add nil check to make sure that the
	nil values set for certain keys don't get set since they are
	normally set by connections later in the nib loading process.
	I'm not sure why IB includes these when they're set to nil.

2010-03-30 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSNib.h: Make NSNibOwner and NSNibTopLevelObjects
	available only for version > 10.3.
	* Source/NSWindowController.m,
	* Source/NSPageLayout.m,
	* Source/GSGModelLoader.m,
	* Source/NSDataLinkPanel.m,
	* Source/NSPrintPanel.m,
	* Source/NSSpellChecker.m: Use NSNibOwner instead of
	@"NSOwner". Remove the hard coded "gorm" extension. Try to use
	higher level NIB loading methods where possible.

2010-03-30  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-sendEvent:): Remove a stray semicolon, which
	made NSWindow ignore all GSAppKitWindowLeave events. This was the
	cause for, e.g., somewhat too sticky tooltips.

	* Source/GSGormLoading.m:
	* Source/GSNibLoading.m: Attempt to improve a possibly misleading
	comment about releasing top level objects of a gorm/nib file.

2010-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSPopUpButtonCell.h
	* Headers/AppKit/NSPanel.h
	* Headers/AppKit/NSOpenPanel.h
	* Headers/AppKit/NSParagraphStyle.h
	* Headers/AppKit/NSObjectController.h
	* Headers/AppKit/NSOpenGLView.h
	* Headers/AppKit/NSPrinter.h
	* Headers/AppKit/NSPrintOperation.h
	* Headers/AppKit/NSPageLayout.h
	* Headers/AppKit/NSOutlineView.h
	* Headers/AppKit/NSOpenGL.h
	* Headers/AppKit/NSPrintInfo.h
	* Headers/AppKit/NSPrintPanel.h
	* Headers/AppKit/NSPasteboard.h: Some more #include -> #import
	replacement.

2010-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSNib.h,
	* Source/externs.m: Define new string constants NSNibOwner and NSNibTopLevelObjects.
	* Source/NSBundleAdditions.m,
	* Source/NSNib.m: Use these constants.
	* Source/GSNibLoading.m,
	* Source/GSGormLoading.m,
	* Source/GSXibLoader.m: Rewrite of top level objects handling to
	fit documentations as cited by Wolfgang Lux  <wolfgang.lux@gmail.com>.

2010-03-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPasteboard.m (-writeObjects:): Add a return statement
	to avoid a compiler warning.

2010-03-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Headers/AppKit/NSResponder.h (-scrollToBeginningOfDocument:,
	-scrollToEndOfDocument:):
	* Source/NSScrollView.m (-scrollToBeginningOfDocument:,
	-scrollToEndOfDocument:):
	* Source/NSTextView_actions.m (-scrollToBeginningOfDocument:,
	-scrollToEndOfDocument:):
	Implement additional NSResponder action methods.

	* Source/NSAttributedString.m (-nextWordFromIndex:forward:):
	Move to the next end of a word rather than the beginning of the
	next word so users can quickly navigate to either end of words.

	* Source/NSTextView.m (-setSelectedRange:affinity:stillSelecting:):
	* Source/NSTextView_actions.m (-deleteForward:, -deleteBackward:,
	-deleteToEndOfLine:): Usability improvements: When setting the
	cursor to the beginning of a line, set the typing attributes to
	the attributes of the first character of that line rather than the
	preceding newline. When deleting text, set the typing attributes
	to those of the first deleted character rather than those of the
	character preceding the deleted range.

	* Source/NSTextView.m (-mouseDown:): Allow shift-clicking to
	shrink the current selection. Comes handy when you accidentally
	select a few characters too much.

	* Source/NSTextView.m (-performDragOperation:): Select pasted text
	after a DnD operation.

	* Source/NSWindowController.m (-synchronizeWindowTitleWithDocumentName):
	Show a document's represented file name also when its display name
	is equal to the last path component of the file	name, since that
	is what NSDocument uses by default for compatibility with OS X.

	* Source/NSWindowController.m (-_windowWillClose:): Extend
	lifetime of the window controller to the end of the current event
	cycle to prevent crashes due to a premature release after the
	latest nib loading changes.

2010-03-27 David Chisnall <theraven@gna.org>

	* Source/NSWindow.m
	* Source/GSNibLoading.m
	* Source/NSSavePanel.m
	* Source/NSPasteboard.m
	* Source/NSInterfaceStyle.m
	* Source/NSGraphicsContext.m
	* Source/GSToolTips.m
	* Source/NSView.m
	* Headers/AppKit/AppKitDefines.h
	* Headers/AppKit/NSWindow.h
	* Headers/AppKit/NSResponder.h
	* Headers/AppKit/NSView.h
	Removed all uses of @defs() from -gui, so it now compiles cleanly with the
	non-fragile ABI.  All ivars that must be accessed from other classes are
	now wrapped in PACKAGE_SCOPE.  With clang, this expands to @package, with
	GCC it expands to @public.

2010-03-25 Riccardo Mottola <rmottola@users.sf.net>

	* Source/GSXibLoader.m,
	* Source/NSView.m : removed c99-isms

2010-03-25 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSImageCell.h
	* Headers/AppKit/NSLevelIndicator.h
	* Headers/AppKit/NSMatrix.h
	* Headers/AppKit/NSMenu.h
	* Headers/AppKit/NSLayoutManager.h
	* Headers/AppKit/NSInputServer.h
	* Headers/AppKit/NSImageRep.h
	* Headers/AppKit/NSMovieView.h
	* Headers/AppKit/NSMovie.h
	* Headers/AppKit/NSHelpManager.h
	* Headers/AppKit/NSMenuItemCell.h
	* Headers/AppKit/NSInterfaceStyle.h
	* Headers/AppKit/NSMenuItem.h
	* Headers/AppKit/NSInputManager.h
	* Headers/AppKit/NSLevelIndicatorCell.h
	* Headers/AppKit/NSMenuView.h
	* Headers/AppKit/NSHelpPanel.h
	* Headers/AppKit/NSImage.h
	* Headers/AppKit/NSKeyValueBinding.h
	* Source/NSPopUpButtonCell.m
	* Source/GSWindowDecorationView.m
	* Source/NSPopUpButton.m
	* Source/NSHelpManager.m
	* Source/NSToolbar.m
	* Source/GSToolbarCustomizationPalette.m
	* Source/GSTitleView.m
	* Source/NSMenuView.m
	* Source/NSCell.m: Some more #include -> #import replacement.

2010-03-25 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSNibLoading.m
	(NSIBObjectData-nibInstantiateWithOwner:topLevelObjects:): Loop
	over _names instead of _objects.

2010-03-25 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSController.h
	* Headers/AppKit/NSGlyphGenerator.h
	* Headers/AppKit/NSGradient.h
	* Headers/AppKit/NSGraphicsContext.h
	* Headers/AppKit/NSPopUpButton.h
	* Headers/AppKit/NSShadow.h
	* Source/NSPopUpButtonCell.m
	* Source/NSGlyphGenerator.m
	* Source/NSPopUpButton.m
	* Source/NSMenu.m
	* Source/NSGradient.m
	* Source/GSHorizontalTypesetter.m
	* Source/NSTextView.m
	* Source/NSShadow.m
	* Source/NSPrintPanel.m
	* Source/NSSpellChecker.m
	* Source/NSDocument.m: Yet another bit of #include -> #import
	replacement. Replace includes of Foundation.h.

2010-03-24 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSColorList.h
	* Headers/AppKit/NSBox.h
	* Headers/AppKit/NSFontManager.h
	* Headers/AppKit/NSFormCell.h
	* Headers/AppKit/NSButtonCell.h
	* Headers/AppKit/NSColorPicker.h
	* Headers/AppKit/NSClipView.h
	* Headers/AppKit/NSDataLinkManager.h
	* Headers/AppKit/NSBitmapImageRep.h
	* Headers/AppKit/NSBezierPath.h
	* Headers/AppKit/NSGraphics.h
	* Headers/AppKit/NSColorWell.h
	* Headers/AppKit/NSApplication.h
	* Headers/AppKit/NSForm.h
	* Headers/AppKit/NSComboBox.h
	* Headers/AppKit/NSButton.h
	* Headers/AppKit/NSColor.h
	* Headers/AppKit/NSCachedImageRep.h
	* Headers/AppKit/NSColorSpace.h
	* Headers/AppKit/NSFontDescriptor.h
	* Headers/AppKit/NSCursor.h
	* Headers/AppKit/NSControl.h
	* Headers/AppKit/NSFont.h
	* Headers/AppKit/NSFileWrapper.h
	* Headers/AppKit/NSDragging.h
	* Headers/AppKit/NSDocumentController.h
	* Headers/AppKit/NSColorPicking.h
	* Headers/AppKit/NSDrawer.h
	* Headers/AppKit/NSCustomImageRep.h
	* Headers/AppKit/NSComboBoxCell.h
	* Headers/AppKit/NSDataLink.h
	* Headers/AppKit/NSColorPanel.h
	* Headers/AppKit/NSEPSImageRep.h
	* Headers/AppKit/NSDataLinkPanel.h
	* Headers/AppKit/NSEvent.h
	* Headers/AppKit/NSBrowserCell.h
	* Headers/AppKit/NSDocument.h
	* Headers/AppKit/NSBrowser.h
	* Headers/AppKit/NSFontPanel.h
	* Source/NSPanel.m
	* Source/NSColor.m
	* Source/NSColorSpace.m
	* Source/NSColorPanel.m: Another bit of #include -> #import replacement.

2010-03-24 Doug Simons <doug.simons@testplant.com>

	* Source/GSToolTips.m: Use NSPanel instead of NSWindow for
	the tooltip (helps resolve an occasional crash on Windows).

2010-03-24 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKitExceptions.h,
	* Headers/AppKit/NSAttributedString.h,
	* Headers/AppKit/NSBezierPath.h,
	* Headers/AppKit/DPSOperators.h,
	* Headers/AppKit/NSArrayController.h,
	* Headers/AppKit/NSAnimation.h,
	* Source/NSBrowser.m,
	* Source/NSAffineTransform.m,
	* Source/GSTheme.m,
	* Source/NSBezierPath.m,
	* Source/GSThemeTools.m,
	* Source/NSGraphicsContext.m: Next bit of #include -> #import replacement.

2010-03-23 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSUserInterfaceValidation.h
	* Headers/AppKit/NSControl.h
	* Headers/AppKit/NSMenuItem.h
	* Headers/AppKit/NSCell.h
	* Headers/AppKit/NSView.h
	* Source/NSActionCell.m
	* Source/NSControl.m
	* Source/NSMenuItem.m
	* Source/NSSegmentedCell.m
	* Source/NSCell.m
	* Source/NSView.m: Change tag to NSInteger.
	Patch by Anibal Rindisbacher <anibal784@gmail.com>.

2010-03-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextContainer.m (-replaceLayoutManager:): Retain the
	text storage while replacing the layout manager. See last patch.

2010-03-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Try to be a bit closer to the current NIB
	loading code.
	* Source/NSTextView.m (-replaceTextContainer:): Retain the text
	storage, the last change in buildUpTextNetwork: made this more volatile.

2010-03-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGormLoading.m (-awakeWithContext:): Add old NIB loading
	keys to context. Bug pointed out by Wolfgang Lux  <wolfgang.lux@gmail.com>.
	* Source/GSNibLoading.m: Retain the NSApp and fix other memory issues.

2010-03-22 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h,
	* Source/GSModelLoaderFactory.m,
	* Source/GSGormLoader.m,
	* Source/GSXibLoader.m,
	* Source/GSNibLoader.m: New method dataForFile: on GSModelLoader
	and its subclasses.
	* Source/NSNib.m: Use this new method to load NIB files.
	* Source/NSBundleAdditions.m: Use NSNib for NIB loading.
	* Source/GSNibLoading.m: Correctly handle top level objects and
	clean up dealloc for most classes here.

2010-03-22 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocument.m (-close): Retain and autorelease self before
	removing from the document controller. This will keep the document
	valid until the window is completely closed.

2010-03-20 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSearchFieldCell.m:
	Move subscription to NSTextDidChangeNotification from
	-editWithFrame:... to -selectWithFrame:...

	The reason for this is -editWithFrame:... is not always called
	when the field starts being edited. (This seems odd but matches
	OS X behaviour). -selectWithFrame: is always called, however.

	This fixes the bug where NSSearchField doesn't send action
	messages while the user is typing, when it is supposed to.

2010-03-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-buildUpTextNetwork:): Prevent retain cycle
	by storing reference to retained text storage in ivar.
	* gui/Source/GSNibLoader.m
	(-loadModelData:externalNameTable:withZone:): Use an auto release
	pool while loading a NIB file.
	* gui/Source/GSNibLoading.m
	(NSKeyedUnarchiver-replacementClassForClassName:): Check for class
	level replacement as well.

2010-03-20 Fred Kiefer <FredKiefer@gmx.de>

	* gui/Headers/AppKit/NSNib.h,
	* gui/Headers/AppKit/NSNibConnector.h,
	* gui/Headers/AppKit/NSNibLoading.h,
	* gui/Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h,
	* gui/Headers/Additions/GNUstepGUI/GSInstantiator.h,
	* gui/Headers/Additions/GNUstepGUI/GSNibLoading.h,
	* gui/Source/GSXibLoader.m,
	* gui/Source/GSNibLoader.m,
	* gui/Source/GSNibLoading.m,
	* gui/Source/GSModelLoaderFactory.m,
	* gui/Source/NSBundleAdditions.m: Clean up includes.
	* gui/Source/NSNib.m: Add loading of NIB files via URL.

2010-03-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m,
	* Source/NSMenuItem.m: Remove include of GSCategories.h, as this
	file no longer exists.

2010-03-18 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBitmapImageRep+JPEG.m: Put cinfo into a defined state
	before using it.
	Patch by Vincent Richomme <forumer@smartmobili.com>.

2010-03-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-readSelectionFromPasteboard:type:): Fix
	potential memory leak for colour pasting.

2010-03-16 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSliderCell.m:
	* Headers/AppKit/NSSliderCell.h:
	Initial implementation of circular sliders.
	I need to refactor NSSliderCell drawing code out to GSTheme
	some time soon.

2010-03-16 German Arias <german@xelalug.org>

	* Resources/French.lproj/Localizable.strings: Added patch
        by Philippe Roussel.

2010-03-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSEvent.m: Handle type flagsChanged correctly.

2010-03-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: Correct the decoding of the <bytes>
	element. Use the GSNibLoaging method to set the main menu.

2010-03-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCursor.m (-initWithCoder:): Retain self, when using a
	predefined cursor.
	* Source/NSClipView.m (-initWithCoder:): Undo Greg's hack to
	retain the cursor.
	* Source/NSView.m (-initWithCoder:),
	* Source/NSTextView.m (-initWithCoder:): Small improvements for
	keyed decoding.

2010-03-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-replaceTextContainer:): Retain self not
	the layout manager during container replacement.

2010-03-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-description): Add some useful output to the
	decription method.
	* Source/NSView.m (-initWithCoder:): Decode the NSBounds value.
	* Source/NSView.m (-beginPageInRect:atPlacement:): Avoid compiler warning.

2010-03-14 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSOpenGLView.m:
	Add an -initWithCoder: implementation which subscribes to
	the frame change notifications like -init.
	Without this addition, NSOpenGLViews loaded from nibs
	weren't resizing properly.

	Note: it should also probably set a pixel format, but I
	didn't add that because it was causing an error.

2010-03-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSXibLoader.m: New file with basic XIB format
	loading.
	* Source/GNUmakefile: Add new file.

2010-03-13 German Arias <german@xelalug.org>

	* Source/NSSpellChecker.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: Spanish translation
 	to string "Guess".

2010-03-13 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Spanish translation
 	to title "Print Panel".

2010-03-13 German Arias <german@xelalug.org>

	* Source/NSPrintPanel.m: Set the title of the panel (Print Panel),
        because the panel show the title "window" even when gorm file have
	other title.

2010-03-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-_borderView),
	* Source/NSView.m (-_subtreeDescription): Add two Cocoa debug
	helper methods.

2010-03-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBundleAdditions.m (NSNibOutletConnector
	-establishConnection): Undo the last change to this method, as
	it should not retain the assign value.

2010-03-12  Doug Simons <doug.simons@testplant.com>

	* Source/NSTextView.m: (-readSelectionFromPasteboard:type:):
	Set insertion point _after_ pasted text, don't select it.

2010-03-12  Doug Simons <doug.simons@testplant.com>

	* Source/NSTextView.m: (-mouseDown:): Only try to drag text
	if the user starts by dragging the mouse. A simple click within
	the selection will now set the insertion point.
	* Source/NSView.m: (-setNeedsDisplayInRect:): Avoid unnecessary
	work when invalid rectangle is empty.

2010-03-11  Doug Simons <doug.simons@testplant.com>

	* Source/NSClipView.m: Call isFlipped rather than accessing
	flag directly (fixes a problem with view loaded from a nib).

2010-03-11  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSCell.m (-_drawEditorWithFrame:inView:): Fix some
	optimistic coding which expected the controlView argument to
	always be a subclass of NSControl and was causing a crash in
	AddressManager.app.

2010-03-09  Doug Simons <doug.simons@testplant.com>

	* Source/NSMenu.m: Protect changedMessagesEnabled flag against getting
	stuck off if exceptions occur during update.
	* Source/NSApplication.m: Update menu after modal session, and when
	the key or main window has changed.

2010-03-07  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSAlert.m: Cope gracefully with being called from an non-gui
	applications (ie where NSApp is not initialized).
	* Tools/gopen.m: Print same warning as OSX if item to open is not a
	URL and the named fiel does not exist.

2010-03-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: update NSTask header
	* Source/NSPasteboard.m: ditto
	* Source/GSTheme.m: Rewrite method replacement code to use new runtime
	API... turns out to be rather simpler than using the old API.
	Add safety measure for themes which load non-standard images.

2010-03-04 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/AppKit.h,
	* Headers/AppKit/NSAlert.h,
	* Headers/AppKit/NSActionCell.h,
	* Headers/AppKit/NSCell.h,
	* Source/NSAlert.m,
	* Source/NSAffineTransform.m,
	* Source/NSCell.m: Clean up includes.
	* Source/NSActionCell.m: Add method integerValue.

2010-02-27 23:32-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add category to allow
	overriding of classes used for save/open panels.
	* Source/GNUmakefile: Build new category.
	* Source/GSThemeOpenSavePanels.m: Implementation of methods
	-savePanelClass and -openPanelClass.
	* Source/NSOpenPanel.m: Modifications to use class from current
	theme.
	* Source/NSSavePanel.m: Modifications to use class from current
	theme.

2010-02-26  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tools/GSspell.m (-createBundleAtPath:languages:,
	-removeBundleAtPath:, -synchronizeLanguages, main): Maintain a
	small bundle in the user's Services directory to automatically
	vend the supported languages besides AmericanEnglish.

2010-02-26 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m: NSUpdateDynamicServices() ask workspace
	to rebuild cache of application information so the update from cache is
	actually loading the latest data.
	* Source/NSLayoutManager.m: Fix for insertion point of empty document.
	Not sure this is ever needed in normal use.

2010-02-25 22:37-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSClipView.m: Correction for crash.

2010-02-25 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSDrawer.m: removed c99-isms
	* Source/GSTitleView.m: removed c99-isms

2010-02-24 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: remove obsolete code for setting up invocation.

2010-02-24 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButtonCell.m (-setObjectValue:): Synchronise the title.

2010-02-24 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSBrowser.m,
	* Source/NSMatrix.m: use controlColor for the background to match
	Cocoa behaviour.

2010-02-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSButtonCell.m (-setImagePosition): Never call NSCell's
	-setType: to change the cell's type, as this could eventually
	reset the button's image or title. Neither of this is desirable
	as it prevents temporarily hiding the image or title by changing
	the image position.

2010-02-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tools/GSspell.m (-spellServer:findMisspelledWord...): Check
	misspelled words reported by aspell against the user dictionaries
	so that the current document's ignored words are not returned back
	to the spell checker.

2010-02-21 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h:
	Check for "#if !NO_GNUSTEP" instead of "#ifndef NO_GNUSTEP" as
	base has changed this to always being defined.

2010-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSFont.h,
	* Headers/Additions/GNUstepGUI/GSFontInfo.h,
	* Source/GSFontInfo.m,
	* Source/NSAffineTransform.m,
	* Source/externs.m,
	* Source/NSFont.m: Adopt to the fact that NSAffineTransform now
	uses a matrix of CGFloats.

2010-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSAttributedString.h,
	* Source/NSAttributedString.m,
	* Source/GSNibLoading.m,
	* Headers/AppKit/NSScroller.h,
	* Source/NSScroller.m,
	* Headers/Additions/GNUstepGUI/GSGormLoading.h,
	* Source/GSGormLoading.m,
	* Source/NSSearchField.m,
	* Headers/Additions/GNUstepGUI/GSLayoutManager.h,
	* Source/NSColor.m: Make the signatures of methods consistent
	between headers and implementation files.

2010-02-20 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSGuiPrivate.h: Include preface.h from base.
	* Source/NSImageCell.m,
	* Source/NSTableHeaderView.m,
	* Source/NSWorkspace.m,
	* Source/NSTextBlock.m,
	* Source/NSButtonCell.m,
	* Source/NSClipView.m,
	* Source/NSSplitView.m,
	* Source/NSBezierPath.m,
	* Source/NSApplication.m,
	* Source/NSMenuItemCell.m,
	* Source/NSTextContainer.m,
	* Source/NSBitmapImageRep+GIF.m,
	* Source/NSTextView.m,
	* Source/NSBitmapImageRep+JPEG.m,
	* Source/NSComboBoxCell.m,
	* Source/tiff.m,
	* Source/GSServicesManager.m,
	* Source/NSCell.m,
	* Source/NSBrowserCell.m,
	* Source/NSView.m,
	* Source/NSBitmapImageRep+ICNS.m,
	* Source/NSAnimation.m,
	* Tools/set_show_service.m,
	* Tools/make_services.m: Fix up includes to make gui compile again
	with latest base.

2010-02-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Tools/GSspell.m: Rewrite to support multiple languages. The
	spell server at runtime detects aspell's installed dictionaries
	and publishes each supported language.
	* Source/NSSpellChecker.m (-_popuplateDictionaryPulldown:): Sort
	dictionaries in the pop up menu.

	Note: At present, users or an administrator must manually update
	the Info.plist file of GSspell.service to really be able to use
	languages besides American English.

2010-02-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (-awakeFromNib): Set
	becomesKeyOnlyIfNeeded panel attribute to YES.
	* Panels/English.lproj/GSSpellPanel.gorm:
	* Panels/Spanish.lproj/GSSpellPanel.gorm: Fix attribute settings
	for the guess list browser: There is just one column, the browser
	therefore needs no horizontal scroller, and it makes no sense to
	enable multiple selection (which in addition would prevent the
	browser from working when the spell panel is not key).

2010-02-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSColorPanel.m (-_initWithoutGModel):
	* Source/NSFontPanel.m (-_initWithoutGModel): Set
	becomesKeyOnlyIfNeeded panel attribute to YES.

	* ColorPickers/GSWheelColorPicker.m (-acceptsFirstMouse:,
	acceptsFirstResponder): Accept first mouse, so that the color
	wheel can be used when the Color panel is not key window.

	* Source/NSTextField.m (-needsPanelToBecomeKey):
	* Source/NSTextView.m (-needsPanelToBecomeKey): Return YES also if
	a text field or view is selectable but not editable. Primarily
	makes the combo box in the color list picker usable if the Color
	panel is not first responder. In addition, this change ensures
	that the standard key equivalents Cmd-C and Cmd-A (Copy and Select
	All) will work as expected after clicking selectable text in a
	window that is not key.

2010-02-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* TextConverters/RTF/RTFConsumer.h: Add encoding attribute to
	RTFConsumer.
	* TextConverters/RTF/RTFConsumer.m (initStringContext, readString,
	-init, -parseRTF:documentAttributes:class:, GSRTFmangleText):
	Convert characters to Unicode only after all hex-escapes, which
	use the document's code page, have been expanded. Fixes an issue
	where some non-ASCII characters in RTF documents created on Mac OS
	(X) got mixed up.
	* TextConverters/RTF/RTFProducer.m (-_headerString): Fix RTF
	header to use code page 1252 instead of 10000. Fixes an issue
	where some RTF readers would assume our encoding is Mac OS Roman
	and hence mix up some non-ASCII characters in our documents.

2010-02-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-writeSelectionToPasteboard:types:): Add
	forgotten test to apply smart insert and delete during drag and
	drop only when selection granularity is select by word.

2010-02-18 17:21-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Remove private menu - (void) _menuUpdate, since
	it was causing performance issue on windows as the menu was updating
	each time through the runloop.

2010-02-17 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (gnustep_backend_framework): Replace base
	extension method with standard one.
	* Source/NSCell.m (-setTitleWithMnemonic:): Replace base
	extension method with standard one.
	* Headers/AppKit/NSCell.h:
	* Source/NSCell.m (-takeIntegerValueFrom:, -setIntegerValue:)
	(-integerValue): Add OSX 10.5 methods.

2010-02-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-replaceTextContainer:): Implement this
	missing method.
	* Source/NSTextContainer.m (-setTextView:): Adjust the container
	size to the new view.
	* Source/GSHorizontalTypesetter.m (-layoutLineNewParagraph:):
	Better break condition for loop.

2010-02-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSpellChecker.m (_findNext:, _ignore:, _correct:): Send
	messages down to the responder chain of the main window only, to
	avoid spell checking the Spelling panel's own text field.

	* Tools/GSspell.m (uniLength, -spellServer:findMisspelledWord...):
	Fix up the returned range when the checked string contains
	non-ASCII characters.

2010-02-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-setSelectedRange:affinity:stillSelecting:):
	Update the typing attributes of a rich text view also if the
	selected range has a non-zero length. Fixes a problem where, e.g.,
	corrections from the spell panel could use wrong attributes.

2010-02-14 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/GSDragView.m (-_handleDrag:slidePoint:): Fixed to create a
	GSAppKitDraggingDrop event with a valid location.

2010-02-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenu.m: Make the background color of NSMenuPanel clear
	* Source/GSThemeDrawing.m:
	in drawBackgroundForMenuView:withFrame:dirtyRect:horizontal:,
	when not using tiles, fill the background of the menu with
	the window background color.
	Now themes can draw semitransparent menus, and they work properly.

2010-02-12 19:44-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSBrowser.m: Make sure that the matrix used in the
	browser draws its cell backgrounds properly.

2010-02-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenuView.m (-isOpaque): Return NO from isOpaque,
	so -[GSThemeDrawing
	drawBackgroundForMenuView:withFrame:dirtyRect:horizontal:]
	can draw semitransparent menus if the theme author wishes.

2010-02-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Make the window border color customizable

2010-02-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m: Allow themeing NSColorWell. The part names
	is GSColorWell

2010-02-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Allow customization of window title text
	color for key/normal/main windows. New color names are:

	keyWindowFrameTextColor
	normalWindowFrameTextColor
	mainWindowFrameTextColor

2010-02-12 German Arias <german@xelalug.org>

	* Source/GSTitleView.m: Search in theme colors: GSMenuBar and
	GSMenuBarTitle (both GSThemeNormalState). If not present, set
	black and white respectively.

2010-02-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView_actions.m (killBuffer, -deleteToEndOfLine:,
	-yank:): Implement the NSText kill buffer; -deleteToEndOfLine:
	saves the deleted text to the kill buffer, -yank: inserts the
	contents of the kill buffer.
	* KeyBindings/DefaultKeyBindings.dict: Enable the keybinding for
	the yank: command.

2010-02-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-_characterIndexForPoint:respectFraction:):
	Fix issue where the insertion point was put at the end of the last
	but one line when the user clicks in or	below the last line with
	the mouse and the last line is empty.
	* Source/NSLayoutManager.m (-characterIndexMoving:...): Add extra
	test to allow moving downward into an empty last line. Fixes #15893.
	* Source/NSLayoutManager.m (-_insertionPointRect...:textContainer:):
	Add special case for end of text. Fixes an issue where the
	insertion point is not set correctly when the last line ends with
	an invisible character (e.g., a tab).

2010-02-12  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAttributedString.m:
	* Source/NSDocument.m: Fix a whole bunch of potential crashers
	where the error return parameter was written to without a null
	pointer check.

2010-02-11 Eric Wasylishen <ewasylishen@gmail.com>

	* NSTableHeaderView.m:
	* GSThemeDrawing.m: Move code in NSTableHeaderView which leaves a
	1pt gap underneath table headers to GSThemeDrawing, since it only
	looks decent with a NeXT-like theme. This fixes the
	misalignment between the table corner and the table headers visible
	in the Narcissus theme.

2010-02-11  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/GNUmakefile.postamble: Removed obsolete manual dependency
	rule.  Dependencies of object files on header files are
	automatically computed by gnustep-make, so this rule was
	superfluous.

2010-02-11  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/GNUmakefile: Do not try including the non-existing
	GNUmakefile.local file.
	* ColorPickers/GNUmakefile: Same change.
	* Documentation/GNUmakefile: Same change.
	* Model/GNUmakefile: Same change.
	* Panels/GNUmakefile: Same change.
	* PrinterTypes/GNUmakefile: Same change.
	* Tools/GNUmakefile: Same change, plus do not try including the
	non-existing GNUmakefile.local.service file either.

	* Model/GNUmakefile.postamble (after-distclean): Do not remove the
	non-existing GNUmakefile.local file.
	* Source/GNUmakefile.postamble (after-distclean): Same change.
	* Tools/GNUmakefile.postamble (after-distclean): Do not remove the
	non-existing GNUmakefile.local and GNUmakefile.local.service
	files.

	* Documentation/GNUmakefile: Do not include aggregate.make twice.
	* KeyBindings/GNUmakefile (after-uninstall): Remove the
	$(GNUSTEP_LIBRARY)/KeyBindings directory if empty.
	* Model/GNUmakefile: Do not include library.make when GUI_LIB =
	gnu.

2010-02-11 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSWindow.m: revert accidental commit

2010-02-10 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSSavePanel.m: Do not draw Form background.
	* Source/NSMatrix.m: drawsBackground and drawsCellBackground default
	to NO, to match Cocoa behaviour (and improve theming)

2010-02-10 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSScrollView.m (-scrollWheel:): Respond to horizontal
	scrolling.

2010-01-14  Doug Simons  <doug.simons@testplant.com>

	* Source/NSDrawer.m: Make drawers work, including:
	- implement drawer sliding (by resizing, since window ordering
		can't be controlled cleanly)
	- properly handle top and bottom drawers as well as left and right
	- keep track of _latestParentFrame for efficiency, and speed up
		timer for better responsiveness
	- bring parent window to front when drawer is clicked
	- keep drawer positioned properly when window is miniaturized
		and deminiaturized

2010-01-14  Doug Simons  <doug.simons@testplant.com>

	* Source/NSView.m (-dealloc): Remove subviews AFTER
	next/previous key views have been cleaned up, in case
	any subviews were in the view chain.

2010-02-09 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTextStorage.m: Restore return of proxy to user code.
	Add comments so we know we should be doing that.
	* Headers/AppKit/NSTextStorage.h: Document the behavior of the
	-string method.

2010-02-07 Eric Wasylishen <ewasylishen@gmail.com>

	* ColorPickers/GSWheelColorPicker.m: Make the brightness slider
	for the wheel picker continuous.

2010-02-07 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m
	(-drawTitleBarRect:forStyleMask:state:andTitle:):
	Draw window title bar with image tiles, if available

2010-02-07 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSThemePrivate.h:
	* Source/GSThemeDrawing.m (-drawBorderType:frame:view:):
	Draw borders using image tiles, if available.

2010-02-07 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSPopUpButtonCell.m (-selectItem:): Mark the previously
	selected item as needing display. This fixes the 'popup' indicators
	not being erased.

2010-02-07 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSToolbarItem.m (_isFlexibleSpace): use proper class check
	instead of quick and dirty size check for flexible space property.
	Otherwise items are not allowed to have differing minimum and maximum
	sizes.

2010-02-06 Quentin Mathe <quentin.mathe@gmail.com>

	Fixed table header/content random disappearance with unarchived table
	views.
	* Source/NSTableView.m (-initWithCoder:): Fixed _columnsOrigin to be
	always initialized by calling -tile with non-keyed unarchiving. Until
	now, in case no method that invokes -tile was called before the
	display, the table header view was not drawing the table header cells
	but just an empty black stroked rect, since -columnAtPoint: was
	returning invalid values. This was rarely visible since you usually
	set a data source with an outlet and -setDataSource: calls -tile.
	Also fixed a _columnOrigins memory with keyed unarchiving.
	(-initWithCoder:, -encodeWithCoder:): Added double action keyed
	archiving.
	* Source/NSScrollView.m (-initWithCoder:): Fixed to only decode the
	flags we really encode, otherwise we read random memory and the
	flags are then incorrect. This can prevent the table header/content to
	be drawn in a table view enclosed in a scroll view, and also result
	in keyed archiving exceptions complaning about some NaN rect values.

2010-02-05 16:26-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h: Added
	declarations for hasMenu/hasToolbar methods.
	* Source/GSWindowDecorationView.m: Added methods to check if a menu/
	toolbar are present.

2010-02-03 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSWindow.m (-sendEvent:): Fixed button action which were sent
	to the button itself when the target is the first responder. We don't
	give anymore the first responder status to a button on a click.

2010-02-01 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSStepperCell.m: Correct clamping behaviour as I did to
	NSSliderCell earlier.

2010-02-01 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Preliminary support for themeing the window
	resize bar with tiles.

2010-02-01 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Source/NSButtonCell.m
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Add a new theme state, GSThemeDisabledState.

2010-01-31 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Use theme tiles (if available)
	to draw progress bars. New tile name: GSProgressIndicatorBarDeterminate

2010-01-31 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Use theme tiles (if available)
	to draw segmented controls, chosen based on the segment style constant,
	and falling back to drawing buttons if the segment tiles are not
	available.

2010-01-29 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Use theme tiles (if available)
	to draw menu backgrounds and items. New tile names:
	GSMenuHorizontalBackground
	GSMenuVerticalBackground
	GSMenuHorizontalItem
	GSMenuVerticalItem

2010-01-29 22:14-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Added new method
	declaration for updateAllWindowsWithMenu:
	* Source/GSThemeMenu.m: Added default implementation of
	updateAllWindowsWithMenu:
	* Source/NSMenu.m: Added call to updateAllWindowsWithMenu: on
	current theme.

2010-01-29 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSTableHeaderCell.m:
	* Source/GSTheme.m:
	* Source/NSTableHeaderView.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h: Use theme tiles (if available)
	to draw table headers. New tile names are GSTableHeader and
	GSTableCorner.

2010-01-29 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-cellForScrollerKnobSlot:): If there are
	tiles available, set the button cell as bordered so the tiles are
	used in drawing the scroller slot.

2010-01-29 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSTheme.m:
	* Source/GSThemeDrawing.m:
	* Source/GSThemePrivate.h: Add GSStringFromBezelStyle and
	GSStringFromSegmentStyle functions which return the string name of
	the style constant for buttons and segmented controls.
	In -[GSThemeDrawing drawButton:view:style:state], use
	GSStringFromBezelStyle to try to get tiles for the specified bezel
	style, falling back to the normal NSButton tiles if the fancy tiles
	aren't present.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/AppKit/NSPanel.h: Added panel style constants
	NSNonactivatingPanelMask and NSHUDWindowMask

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSegmentedCell.m: NSSegmentItem should be enabled by default

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m:
	* Source/NSSegmentedCell.m:
	* Source/NSSegmentedControl.m:
	* Headers/AppKit/NSSegmentedCell.h:
	* Headers/AppKit/NSSegmentedControl.h:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Add GSTheme method for NSSegmentedCell drawing.
	Implemented segmentStyle and setSegmentStyle: methods.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSButtonCell.m -isOpaque: Return NO if the button cell has a
	bezel style set. This is consistent with OS X, and fixes drawing
	glitches seen in the GSTest NSButton test.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/AppKit/NSButtonCell.h: Correct a typo:
	NSTexturedRoundBezelStyle should be
	NSTexturedRoundedBezelStyle

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/NSTableHeaderCell.m:
	* Source/GSThemeDrawing.m: Factor out table header cell drawing into
	a new GSTheme method,
	-drawTableHeaderCell:withFrame:inView:state:

2010-01-27 Eric Wasylishen <ewasylishen@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/NSMenuView.m:
	* Source/GSThemeDrawing.m:
	Create a new GSTheme method for drawing the background of NSMenuView,
	-drawBackgroundForMenuView:withFrame:dirtyRect:horizontal:

10-01-27 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m: Undo an accidental commit of some testing
	code in r29416

2010-01-28  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_windowWillClose:, -_lastWindowClosed:):
	Send -applicationShouldTerminateAfterLastWindowClosed: to the
	delegate only after a short delay so that all observers can
	process the NSWindowWillCloseNotification. This ensures that a
	modified document associated with the closed window has been
	closed before -terminate: is called and therefore the user isn't
	asked twice whether she wants to save the unsaved changes.

2010-01-28  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSIconManager.m (GSGetIconFrame): Don't touch icon
	positions when the icon manager is not used, so that any icon
	placement performed by the user does not get lost when a
	miniwindow is deminiaturized.

2010-01-27  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (smartLeftChars, smartRightChars, +initialize,
	-copy:, -smartDeleteRangeForPropsoedRange:, -smartInsertAfterString...,
	-smartInsertBeforeString..., -readSelectionFromPasteboard:type:,
	-writablePasteboardTypes, -writeSelectionToPasteboard:types:,
	-performDragOperation:, -dragSelectionWithEvent:offset:slideBack:)
	* Source/NSTextView_actions.m (-deleteForward:, -deleteBackward:):
	Implement smart insert and delete and use it when cutting,
	copying, pasting, and deleting full words.

	Note: I have changed NSTextView initialization to enable smart
	insert and delete by default, since this is the default on OS X.
	(It is even documented, though in a maybe obscure place, cf. "Text
	Editing Programming Guide for Cocoa: Subclassing NSTextView".)
	However, this means that support for this feature will be somewhat
	inconsistent. Smart insert and delete is enabled for text views
	created programmatically (including the field editor), but not for
	text views loaded from existing nib files.

	* Source/NSTextView.m (-toggleSmartInsertDelete:):
	Implement missing method introduced in Mac OS X 10.5.

2010-01-27 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeDrawing.m (-buttonBorderForCell:style:state:):
	Use the new contentRect when calculating the border for tiles

2010-01-27 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeTools.m: Correct implementation of contentRectForRect:

2010-01-27 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeTools.m:
	* Source/GSThemePrivate.m: Added a contentRect feature to
	GSDrawTiles. Previously, GSDrawTiles assumed that the rect the user
	would draw in was exactly the center middle rect; i.e. the
	return value of the xxStlyeFillRect: methods was the center middle
	rect scaled to fit inside the drawing rect.

	Now this can be customized in Nine Patch tiles; see the diagrams at:
	http://developer.android.com/guide/topics/graphics/2d-graphics.html#nine-patch

2010-01-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: (-hash): Don't use a dynamic union, as clang
	doesn't support this.
	Patch by Niels Grewe <niels.grewe@halbordnung.de>.

2010-01-27 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAttributedString.m (-rangeOfTextTable:atIndex:): Add
	implementation for this method, done during LindauSTEP.

2010-01-27 Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/GNUstepGUI/GSTheme.h:
	* Source/GSThemeDrawing.m:
	(-titleViewClassForMenuView:): Added the possibility to customize the
	title view with this new method.
	* Source/NSMenuView.m (-update): Modified to loop uk the title view
	class through the active theme rather than just using GSTitleView.

2010-01-27 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSApplication.m (-_postAndSendEvent:): Added.
	* Source/GSDragView
	(-_sendLocalEvent:action:position:timestamp:toWindow:): Dispatch drag
	events -[NSApp _postAndSendEvent:] to match Mac OS X behavior.

2010-01-26 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSView.m (-setHidden:): When hiding a view, we need to
	call -setNeedsDisplay:YES on the superview, rather than self

2010-01-26 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSView.m (-setHidden:): Fix un-hiding of hidden views, loaded
	from nib's, with subviews. The subview coordinates just need to be
	invalidated when the view is unhidden.

2010-01-24 03:07-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Uncomment updateMenu:.. method call in
	-[NSWindow update] method.

2010-01-23 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColorWell.m: Add a minimum distance which you need to
	drag the color from a well before it is treated as a drag.
	TODO: Unify this with the dragging threshold in other parts of
	gui and make a user default called GSDragThreshold, maybe?

2010-01-23 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSWindowDecorationView.m: In drawRect:, clear the window
	background before getting the theme to draw its background.
	This makes windows with semitransparent background colors work
	properly.
	NOTE: While the clear operation is very fast, we may want to only do
	it if the window background colour has an alpha value of < 1.

2010-01-23 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSMenuView.m: For horizontal menus, treat clicking in the
	8 pixels of padding to the left of the first menu item as activating
	the first menu item.
	This lets you open the application menu with a Macintosh-syle
	menu bar when the mouse is on the top-left pixel of the screen.

2010-01-23 18:41-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Add updateMenu:forWindow:
	* Source/GSThemeMenu.m: Add default implementation of new method.
	* Source/GSWindowDecorationView.m: Add code to use value
	returned from menuHeightForWindow:.
	* Source/NSWindow.m: initWithContentRect:.. call setMenu: here so that
	the menu is added immediately when the window is created.  Also
	add code to update menus.

2010-01-20 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Added translation
	to "Opacity".
	* ColorPickers/Spanish.lproj/StandardPicker.strings: Corrected the
	file path in the commentary.

2010-01-20 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSWindow: do not process GSAppKitWindowLeave events for
	closed windows

2010-01-19 13:49-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenu.m: Allow menus attached to popups to come up
	in Windows95 mode.

2010-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-initWithCoder:): Use YES as default value for
	AutoenablesItems.

2010-01-18 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSImage.m: _useFromFile: make extension checking case
	insensitive

2010-01-17 01:04-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Temporarily revert previous change for debugging.

2010-01-16 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-_selectColumn:modifiers:): Rewrote to be
	simpler, support selection by range as Cocoa does and to remove the
	toggle selection behavior when a column is clicked twice. This toggle
	behavior was in conflict with the ability to change the sort direction
	by clicking in an already selected column header.

2010-01-16 14:55-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSWindow.m: Don't use the flags for key/main window tracking.
	These flags are getting out of sync due to different behavior on
	different backends.  Also, it's better to keep the state in one place
	instead of keeping them in sync.  I changed all of the instances of
	_f.is_key to [self isKeyWindow] and all of the instances of _f.is_main
	to [self isMainWindow] and those methods now check with NSApp to
	determine if the current window is main.   I realize this is slower
	than the previous method of using flags, but it is also more resilient
	and reliable when the backend sends extra events.  This corrects the
	issue on Windows where we were losing the main window and had two
	windows marked as "main".

2010-01-16 Quentin Mathe <quentin.mathe@gmail.com>

	Finished to implement the NSTable/OutlineView sort descriptor support.
	More changes are needed to get proper sorting support (e.g. visual
	feedback).
	* Headers/NSTableView.h:
	Added _sortDescriptors ivar.
	(-tableView:sortDescriptorsDidChange:): Declared.
	* Source/NSTableView.m
	(-_clickTableColumn:, -_didChangeSortDescriptors:): Added.
	(-_initDefaults, -dealloc): Modified to initialize/release
	_sortDescriptors ivar.
	(-initWithCoder:, -encodeWithCoder:): Modified to support archiving
	the sort descriptors.
	(-setSortSelectors:, -sortSelectors): Implemented.
	* Source/NSTableHeaderView.m (-mouseDown:): Modified to now call
	-_clickTableColumn which prepares the sort descriptors among other
	things. -_didClickTableColumn: will be called by -_clickTableColumn:.
	* Headers/NSOutlineView.h (-outlineView:sortDescriptorsDidChange:,
	-outlineView:didClickTableColumn:): Declared.
	* Source/NSOutlineView.m (-_didClickTableColumn:,
	-_didChangeSortDescriptors:): Added overriden NSTableView methods.

2010-01-15 German Arias <german@xelalug.org>

	* Source/NSImage.m: Changes to fix bug #28580.

2010-01-15 13:08-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Added method to call
	back menuHeightForWindow:
	* Source/GSThemeMenu.m: Added default implementation of
	menuHeightForWindow:.  Default implementation returns NSMenuView
	menuBarHeight.
	* Source/GSWindowDecorationView.m: Use menuHeightForWindow: instead
	of getting it directly from the menu view.

2010-01-14  Doug Simons  <doug.simons@testplant.com>

	* Source/NSWindow.m (-_initBackendWindow): Raise an
	exception instead of crashing (at least on Windows) when we
	fail to obtain a window from the back end.

2010-01-14 07:08-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSApplication.m: For hide: perform miniaturizeAll:
	on Windows, since hiding the app causes it to be inaccessible on
	that platform.

2010-01-14 04:07-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSToolbarFrameworkPrivate.h: Correct include for new
	location of GSWidnowDecorationView.h.

2010-01-14 03:19-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSWindowDecorationView.h: Removed from here since I moved
	it to the GNUstepGUI headers.

2010-01-13 15:49-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Added methods
	to support adding menus and processing commands from windows, if
	appropriate.
	* Headers/Additions/GNUstepGUI/GSWindowDecorationView.h: Added
	new methods for menu and toolbar flags.
	* Headers/AppKit/NSInterfaceStyle.h: Added new interface style.
	* Source/GNUmakefile: Added header.
	* Source/GSStandardWindowDecorationView.m: Change include
	to include header in new location.
	* Source/GSThemeMenu.m: Default theme implementation for
	Menus.
	* Source/GSWindowDecorationView.m: Add the setHasMenu:/setHasToolbar:
	flags.
	* Source/NSWindow.m: Use the theme to set the menu instead of
	setting it directly.

2010-01-11  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocument.m (-writeSafelyToURL:ofType:...): Ensure
	proper working of autosaving for subclasses that override
	-writeWithBackupToFile:ofType:saveOperation.

	* Source/NSProgressIndicator.m (-setDisplayedWhenStopped:): Fix
	incorrect assignment which made this method a no-op.

2010-01-11 Fred Kiefer <FredKiefer@gmx.de>

	* Resources/Italian.lproj/Localizable.strings: Regenerate this
	file and add escaping of non-ASCII characters.

2010-01-11 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSOutlineView.m (-editColumn:row:withEvent:select:): Fixed broken
	cell editability by replicating NSTableView changes r25091.

2010-01-11 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m (RTFDConsumer-appendImage:):
	Flag the attributes as being changed. This prevents the next
	appended string from getting that attachment attribute.
	* TextConverters/RTF/RTFConsumer.m (GSRTFunicode): Don't append
	the attachment character.
	* Source/NSAttributedString.m (-fixAttachmentAttributeInRange:):
	Keep the local copy of string up to date.

2010-01-09  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-performDragOperation:): Fix a bug that
	prevented changing the color of the selected text of a text view
	via drag and drop.

2010-01-08 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSScroller: init scrollerWidth to 0.0, so that GSTheme
	can properly override it.

2010-01-06 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m (RTFDConsumer-appendImage:):
	Set the icon of the file wrapper to the image.

2010-01-05 Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFConsumer.m (-parseRTF:...class:): Try to
	determine the encoding of the RTF data.

2010-01-05 03:39-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSMenu.m: Do not show the menu at the top of the screen in
	NSWindows95InterfaceStyle mode.

2010-01-04 00:25-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/GSWindowDecorationView.[hm]: Addition of ivars to track
	if a toolbar or menu is present in the window decorations.  Modified
	code to set these to YES/NO.

2010-01-04 Riccardo Mottola <rmottola@users.sf.net>

	* Source/GSWindowDecorationView.m: When adding a toolbar take in account
	the possibly existing in-window menu.
	When removing the in-window menu take care of shifitng the toolbar view up.

2010-01-03 German Arias <german@xelalug.org>

	* Source/NSPrintPanel.m,
	* Source/NSPrintOperation.m,
	* Source/GSThemeInspector.m: Added missing internationalisation, now is
        completed (or so I hope).
	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish
        (with this the translation to spanish is finished).

2010-01-03 Fred Kiefer <FredKiefer@gmx.de>

	* Resources/English.lproj/Localizable.strings: Regenerate this file.
	* Resources/German.lproj/Localizable.strings: Regnerate and add
	some translations.

2010-01-03 German Arias <german@xelalug.org>

	* Panels/Spanish.lproj/GSPageLayout.gorm/objects.gorm,
	* Panels/Spanish.lproj/GSPrintPanel.gorm/objects.gorm: Changed some strings.

2010-01-03 German Arias <german@xelalug.org>

	* Source/GSInfoPanel.m: Added missing internationalisation.
	* Source/GSThemePanel.m: Added missing internationalisation.
	* Source/NSHelpPanel.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish.

2010-01-03 German Arias <german@xelalug.org>

	* Source/NSPrintPanel.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish.

2010-01-03 German Arias <german@xelalug.org>

	* Source/NSPageLayout.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish.

2010-01-03 German Arias <german@xelalug.org>

	* Source/NSFontPanel.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish.

2010-01-03 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: More strings in spanish.

2010-01-02 German Arias <german@xelalug.org>

	* Source/NSOpenPanel.m: Reverted some previous changes, added GSGuiPrivate.h.
	* Source/NSColorPanel.m: Added GSGuiPrivate.h.
	* Source/NSDocument.m: Added missing internationalisation.
	* Resources/Spanish.lproj/Localizable.strings: More strings on spanish.

2010-01-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColorPanel.m,
	* Source/NSOpenPanel.m,
	* Source/NSSavePanel.m: Add missing internationalisation.

2009-12-31 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSShadow.m, Headers/AppKit/NSShadow.h:
	Added NSShadow implementation; doesn't actually draw anything yet.

2009-12-31 German Arias <german@xelalug.org>

	* ColorPickers/Spanish.lproj/StandardPicker.strings,
	* Resources/Spanish.lproj/Localizable.strings: Fixed incorrect characters.

2009-12-31 German Arias <german@xelalug.org>

	* Resources/Spanish.lproj/Localizable.strings: Added.
	* Resources/GNUmakefile: Added Spanish language.

2009-12-30 German Arias <german@xelalug.org>

	* Panels/Spanish.lproj/GSDataLinkPanel.gorm,
	* Panels/Spanish.lproj/GSPageLayout.gorm,
	* Panels/Spanish.lproj/GSToolbarCustomizationPalette.gorm,
	* Panels/Spanish.lproj/GSPrintPanel.gorm,
	* Panels/Spanish.lproj/GSSpellPanel.gorm: Added.
	* Panels/GNUmakefile: Added Spanish language.

2009-12-30 German Arias <german@xelalug.org>

	* ColorPickers/Spanish.lproj/StandardPicker.strings: Added.

2009-12-29 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSImageView.h: Clean up.
	* Source/NSImageView.m: Clean up and addition of cut/copy/paste
	methods, based on code by Nikolaus Schaller <hns@computer.org>.

2009-12-27 Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/NSTableView.h
	* Source/NSTableView.m
	(-columnIndexesInRect:): Added new Mac OS 10.5 method.

2009-12-26 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSTextView.m: Corrected multi-line string constant
	* Source/NSCell.m: Corrected c99-ism

2009-12-23  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextView.m (-dealloc, -breakUndoCoalescing,
	-shouldChangeTextInRange:replacementString:): Implement coalescing
	of undo actions for typing events.

	* Source/NSTextView.m (-selectedRange): Prevent crash when the
	receiver has no layout manager.

2009-12-23  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTableView.m (-mouseDown:): A single click into a cell
	of an unselected row can now change the cell's state even when the
	table view allows dragging.

2009-12-22 17:31-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Source/NSCell.m: Corrected documentation in GUI to reflect that
	this does nothing in the default implementation, according to spec.

2009-12-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-validateUserInterfaceItem):
	* Source/NSWindow.m (-validateMenuItem): Generalize user interface
	validation for NSWindow.

	* Source/NSWindow.m (-undo:, -redo:): Use the first responder's
	undo manager if available. Avoids the need for overriding these
	methods in any responder class which supports undo/redo and is
	compatible with OS X.

2009-12-22  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSAlert.m (makeScrollViewWithRect):
	* Source/NSAlert.m (-sizePanelToFit): If the message text is too
	wide to fit into the panel wrap its text to the scroll view's
	width.

	* Source/NSAlert.m (-sizePanelToFit): Limit the width and height
	of an alert panel to 60% of the screen's width and height,
	respectively.

2009-12-21  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSScrollView.m (-isOpaque): Fix bug where an NSScrollView
	incorrectly claimed to be opaque while its clip view is not.

	* Source/NSOpenPanel.m (-setCanChooseDirectories): Reset the
	current selection of an open panel when directory selection is
	disabled. This prevents bogus directories being returned from the
	next modal session of the panel.

	* Source/NSSavePanel.m (-resetDefaults): Also reset the
	allowsOtherFileTypes attribute to its default when a fresh save
	panel is requested.

2009-12-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSIconManager.h,
	* Source/GSIconManager.m: New files. Allows to get icon placement
	from separate process.
	* Source/GNUmakefile: Add new file.
	* Source/NSWindow.m,
	* Source/NSApplication.m: Move icon handling into new file.
	Patch by German Arias <german@xelalug.org>.

2009-12-20 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColorWell.m: Draw a black-and-white pattern behind
	transparent color swatches.

2009-12-20 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColor.m: -[GSRGBColor isEqual:] was ignoring the alpha
	channel when testing equality.

2209-12-20 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSColorWell.m
	* Source/GSThemeDrawing.m
	* Source/NSColorPanel.m
	* Headers/AppKit/NSColorWell.h:
	Finish NSColorWell interaction tweaks:
	- activation of the now happens on mouseUp, not mouseDown
	- non-bordered NSColorWells can't be activated by clicking
	- non-bordered NSColorWells start a drag operation upon mouseDown
	- disabled NSColorWells don't accept colours being dropped on them
	- dropping a colour on the well inside the NSColorPanel now
	  also updates the active NSColorWell
	Also moved the static variable for keeping track of where the mouseDown
	occurred to an instance variable.

2009-12-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableColumn.m (-initWithCoder:, -encodeWithCoder:): Add
	the keyed encoding/decoding code for Quentin's extensions.

2009-12-20 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSliderCell.m: Some more changes to NSSliderCell to get
	BezierPathLab working, and a test suite in
	tests/testsuite/gui/NSSliderCell. Set the doubleValue to 0 in -init,
	unarchive the @"NSValue" key and set the floatValue to it when
	unarchiving, adjust setObjectValue: so that when minValue > maxValue,
	the slider cell takes its value to be minValue.
	Also override setContinuous: and isContinuous to use
	NSLeftMouseDraggedMask rather than NSPeriodicMask, which makes
	the continuous setting of sliders in Nibs work properly in GNUstep.

2009-11-24 David Chisnall <theraven@gna.org>

	* Source/NSApplication.m: Replaced two superfluous NSInvocation
	construction occurrences with direct calls to the IMP in question.

2009-12-19 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBezierPath.m: Change default flatness to 0.6 matching OS X

2009-12-19 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setStringValue:): Remove optimisation for
	simple string case. Now -setObjectValue: is called in most cases.
	* Source/NSButtonCell.m (-attributedTitle, -setAttributedTitle:,
	-title, -setTitle:): Replace calls to super implementation with a
	simple local implementation.
	* Source/NSSliderCell.m: Remove most of the value setter methods,
	as they just duplicated super class behaviour.
	Move the setContinues: call into the init method.

2009-12-19 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTextTable.h,
	* Source/NSTextTable.m,
	* Source/NSTextBlock.m,
	* Source/NSTextTableBlock.m: First attempt at implementing these classes.
	Code mostly by Nikolaus Schaller <hns@computer.org>.

2009-12-11 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSSliderCell.m:
	Rework the handling of maxValue and minValue. The cell's value is now
	clamped to the permisible range when it is set, rather than in
	floatValue, matching OS X behaviour. setMinValue: and setMaxValue:
	also clamp the current value.
	Also make NSSliderCell continuous by default when unarchived (matches
	OS X).

2009-12-17 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-setDropRow:dropOperation:, -draggingUpdated):
	Corrected to support a drop on root with -1 as the drop row as explained
	in Cocoa documentation.

2009-12-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/GSThemeDrawing.m (-drawProgressIndicator:withBounds:...):
	Prevent division by zero exception if no images are available for
	a spinning or indeterminate progress indicator.

	* Source/NSProgressIndicator.m (-setIndeterminate): Ensure that a
	running animation is stopped when an indeterminate indicator is
	changed into a determinate one.

2009-12-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSComboBoxCell.m (-drawInteriorWithFrame:inView:): Fix
	bug where the field editor of an edited combo box cell overlaps
	the cell's ellipsis button.

	* Source/NSComboBoxCell.m (-endEditing): Make sure the pop up
	window is closed when editing ends.

	* Source/NSComboBoxCell.m (-validateSelection): Remove obsolete
	workaround code.

2009-12-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSCell.m (-wraps, -setWraps:, -setLineBreakMode:,
	-initWithCoder:): Phase out the wraps cell attribute since it is
	implied by the lineBreakMode attribute. Note that with this change
	cells now wrap by default, as has always been the case on OS X.

	* Source/NSBrowserCell.m (-initTextCell:, -initImageCell:):
	* Source/NSTableColumn.m (-initWithIdentifier): Set default line
	break mode to NSLineBreakByTruncatingTail as on OS X.

	* Source/NSCell.m (-setUpFieldEditorAttributes:): Set the typing
	attributes of the field editor so that it uses the same paragraph
	style and in particular the same line break mode as the edited
	cell. This fixes an inconsistency where wrapped text would be
	displayed in a single line during editing.

2009-12-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSCell.m (-_setupTextWithFrame:inView:editor:delegate:range):
	* Source/NSCell.m (-endEditing:):
	Properly set up the field editor and its text container to handle
	cells whose text is wrapped, cells which truncate their text, and
	cells with scrollable contents, respectively, and prepare the
	field editor and its enclosing clip view to be resizable. Use a
	clip view only when necessary.
	* Source/NSCell.m (-_drawEditorWithFrame:inView:): Auxiliary
	method to update the frame of a cell's editor when the cell has
	been resized or moved.
	* Source/NSCell.m (-_setInEditing:): Helper method that allows
	control views to flag their edited cell.

	* Source/NSCell.m (-drawInteriorWithFrame:inView):
	* Source/NSTextFieldCell.m (-drawInteriorWithFrame:inView): Do not
	draw the interior of an edited cell.

	* Source/NSTableView.m (-moveColumn:toColumn:): Update the column
	index of the edited cell if necessary.

	* Source/NSControl.m (-drawRect:):
	* Source/NSTableView.m (-drawRow:clipRect:):
	* Source/NSOutlineView.m (-drawRow:clipRect): Remove obsolete
	workarounds to prevent an edited cell from being drawn twice.

	The preceding changes also should fix #22678.

2009-12-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSTextFieldCell.m (-drawInteriorWithFrame:inView:):
	Override method and use drawInRect: to draw the string of the
	text field so that long text can be wrapped.

2009-12-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSOpenPanel.m (-_selectTextInColumn:, _selectCellName:,
	-controlTextDidChange:): Do a better job on validating the OK
	button. This makes it possible again to use the open panel for
	choosing directories. Also replaces the previous fix for bug
	#25471, which did not really work.

	* Source/NSBrowser.m (-doClick:): Fix NSBrowser so that branch
	cells are really deselected when multiple selection is enabled and
	allowsBranchSelection is set to NO. Also replace the workaround
	for bug #18881 by a better fix.

2009-12-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSSavePanel.m (-ok:): Avoid the bogus warning that was
	shown when the panel requires a file type extension and the user
	has entered a file name without an extension.

	* Source/NSSavePanel.m (-filename): Do not replace an existing
	file type extension if allowsOtherFileTypes is set.

	* Source/NSSavePanel.m (-runModalForDirectory:file,
	-runModalForDirectory:file:relativeToWindow:,
	-beginSheetForDirectory:file:modalForWindow:modalDelegate:...):
	Initially enable the panel's OK button if a file name is provided
	to the modal session.

2009-12-15 Riccardo Mottola <rmottola@users.sf.net>

	* Source/NSOutlineView.m: removed c99-isms

2009-12-11 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/GSThemeTools.m: Correct the destination rect coordinates in
	scaleFillRect:, and the image slicing in initWithNinePatchImage:

2009-12-12 Eric Wasylishen <ewasylishen@gmail.com>

	* Source/NSBitmapImageRep.m:
	* Source/GSThemeTools.m:
	Change the colorAtX:y: and related methods in NSBitmapImageRep
	to use flipped coordinates, matching OS X. colorAtX:0 y:0 now
	returns the top-left pixel instead of the bottom left.

2009-12-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication (-setWindowsMenu:): Only add windows that
	are either visible or miniaturized.

2009-12-11 13:09-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibLoader.m: Added logging to help debugging of issues
	with nib loading.
	* Source/NSTextContainer.m: -[NSTextContainer initWithCoder:]
	removed call to unarchive the textview to prevent a leak.  Also
	don't set the textview as the text container.   Currently we
	just get the contents of the text container and rebuild it
	in NSTextView.m.

2009-12-10 Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/AppKit/NSKeyValueBinding.h:
	* Source/externs.m:
	* Source/NSWindow.m (+initialize, -bind:toObject:withKeyPath:options:):
	Added NSWindow 'title' binding.

2009-12-08 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableColumn.m (-dealloc): Fixed missing release for
	_sortDescriptorPrototype ivar.

2009-12-08 Quentin Mathe <quentin.mathe@gmail.com>

	* Headers/NSTableColumn.h:
	* Source/NSTableColumn.m:
	Added all new table column methods and constants up to Mac OS X 10.6.
	These new additions remain to be fully implemented and the archiving code
	to be updated.

2009-12-08 Hans Baier <hansfbaier@googlemail.com>

	* Source/NSColorWell.m (-mouseDragged:, -mouseDown:): Applied
	patch from Eric Wasylishen to activate it on click inside the
	colored rectangle (same behavior as in OS X)

2009-12-06 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSOutlineView.m (-draggingUpdated:):
	Fixed drop above as a child in the previous row (when this row is an
	empty parent).
	(-drawDropAboveIndicatorWithDropItem:atRow:childDropIndex:): Fixed the
	drop above indicator drawing when the level doesn't match the previous
	row. Done by including an extra row parameter which makes possible to
	remove the row computation code that appears to partially duplicate
	-parentRowForRow:atLevel:andReturnChildIndex:.

2009-12-05 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSTableView.m (-_startDragOperationWithEvent:): Modified to call
	-canDragRowsWithIndexes:atPoint: as expected.

2009-12-05 Quentin Mathe <quentin.mathe@gmail.com>

	* Source/NSOutlineView.m (-draggingUpdated): Further simplified.
	Wrote detailed code documentation since the overall behavior is pretty
	complex.
	Fixed to compute the vertical and horizontal positions correctly when
	the view is scrolled.
	Fixed out of bounds exception when the pointer moves into the empty
	area below the rows (was trying to auto-expand the root item).
	Implemented drop on root indicator in addition to drop on row and drop
	drop above (works the same as Mac OS X).
	(-isExpandable:): Modified to always return NO when the item is nil (as
	Mac OS X does).
	(-drawDropAboveIndicatorWithDropItem:childDropIndex:,
	-drawDropOnRootIndicator, -drawDropOnWithDropItem:,
	-parentRowForRow:atLevel:andReturnChildIndex:): New methods extracted
	from -draggingUpdated.

2009-11-30 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSOutlineView.m: Improve DnD allowing drop on items as well
	as inside them. Attempt to mimix OSX behavior.  Simplify code.
	Use triangular images similar to OSX appearance.
	Doubtless needs more polishing.

2009-11-29  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSView.m (-dealloc): Fix bug where -dealloc could break
	the key view chain.

	* Source/NSSavePanel.m (-ok:): Present a warning when the user has
	entered a filename with a wrong extension.

2009-11-29 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSOutlineView.m: Improve display of insertion point for DnD
	Add auto-expand/collapse while dragging over expandable items.

2009-11-28 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSNibLoading.m: Fix/improve handling of main menu to be
	more intelligent about moving the 'quit' item and 'info' submenu.

2009-11-27 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSSplitView.m: Correct the storing of the splitter locations
	in the defaults system (the autosave mechanism) ... was using NSNumber
	keys which was causing this to fail.

2009-11-26 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSTableView.m: ([-noteNumberOfRowsChanged]) fixed to redraw
	the rectangle in the superview if the receiver shrinks.

2009-11-25  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSCell.m (-_updateFieldEditor:): Don't write back
	unchanged strings to the field editor. Should prevent the editor's
	selection from changing when -validateEditing is called.

	* Source/NSCell.m (-setAttributedStringValue:): Consider the
	attributed string a valid object if the cell has no formatter.

	* Source/NSTextField.m (-textDidEndEditing:): Fix bug in
	textDidEndEditing:.
	Patch by Doug Simons <doug.simons@testplant.com>.

2009-11-20 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Added support for overriding methods in any class by implementing
	a corresponding method in your GSTheme subclass.

2009-11-19 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/NSMenuItemCell.m:
	* Source/GSThemeDrawing.m:
	* Source/NSScrollView.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Separate cache control from normal fetching of tiles and colors.

2009-11-19 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Improve documentation of -activate and -deactivate

2009-11-16 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuItemCell.m:
	* Source/GSThemeDrawing.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Removed duplicate theming methods...
	The ([-arrowImageForMenuItemCell]) method seems to have duplicated the
	([-imageNamed:]) method (for the @"NSMenuItem" image) and the
	([-backgroundColorForMenuItemCell:state:]) method seemed to have
	duplicated the ([colorNamed:state:cache]) method.
	We must not introduce extra APIs for getting images and colors or
	things will get unmaintainable.

2009-11-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSlider.m: Clean up.
	* Source/NSSliderCell.m: Remove isFlipped method, correct
	copyWithZone:, clean up.

2009-11-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setObjectValue:, -setStringValue:): Handle a
	value of nil identically in both cases.
	* Source/NSActionCell.m (-setObjectValue:, -setStringValue:):
	Only mark the cell for redraw when there is no editor.

2009-11-16 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-validateUserIntefaceItem:): Move this
	method over from NSTextView_actions.m as the compiler is expecting
	it here. Add a few more actions.

2009-11-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-validateUserIntefaceItem:): Remove the
	dummy implementation of this method as there is now a proper one
	in NSTextView_actions.m.

2009-11-15 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m: Change default value for
	keyEquivalentModifierMask to 0. Add keyed decoding and encoding of
	keyEquivalentModifierMask.
	* Source/NSSearchFieldCell.m,
	* Source/NSSpellChecker.m: Add explicit keyEquivalentModifierMask setting.

	* Source/NSInputManager.m: Add handling of escape character to
	call cancelOperation:
	* Source/NSTextField.m: Fix textDidEndEditing: to send action
	when sendsActionOnEndEditing is set.
	Patch by Douglas Simons <doug.simons@testplant.com>.

2009-11-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSWindow.m (-sendEvent:): Always shift keyboard focus to
	the next and previous key view, respectively, upon receiving
	Ctrl-Tab and Ctrl-Shift-Tab keyboard events.

	* Source/NSTextView_actions.m (-validateMenuItem:,
	-validateUserIntefaceItem:): Implement menu and user interface
	item validation for NSTextView. The list of validated actions is
	incomplete but at least includes all items from a standard Edit
	menu.

	* Source/NSCell.m(-_setupTextWithFrame:inView:editor:delegate:range:,
	-_updateFieldEditor):
	* Source/NSActionCell.m (-setObjectValue:, -setStringValue:):
	Fix NSActionCell implementation so that -setObjectValue: and
	-setStringValue: have an effect while the cell is edited.

2009-11-14 Hans Baier <hansfbaier@googlemail.com>

	* Source/GSThemeDrawing.m: fix bug introduced in last commit
	(progress bar fills the whole area)

2009-11-14 Hans Baier <hansfbaier@googlemail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m: Factor out drawing of progress
	indicator's bezel and bar

2009-11-14 Hans Baier <hansfbaier@googlemail.com>

	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m,
	* Source/NSMenuItemCell.m: Make the menu arrow image themeable

2009-11-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-copyWithZone:): Set the name of the copy to
	nil, not that of the original image.

2009-11-12 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImage.m: fixup copy/dealloc handling of named images

2009-11-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m: Implement isZommed. Move the call to
	windowWillResize:toSize: from setFrame:display into setFrameFromString:.

2009-11-09 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m,
	* Source/NSProgressIndicator.m: Move initialiation and drawing
	into GSTheme.

2009-11-09 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m,
	* Source/NSColorWell.m: Move colour well border drawing into GSTheme.
	This change makes the dragable area of the well a bit smaller.

2009-11-09 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m,
	* Source/NSTableView.m: Move corner view drawing into GSTheme.
	* Source/NSTextFieldCell.m: White space changes.
	* Headers/AppKit/NSTableHeaderCell.h,
	* Source/NSTableHeaderCell.m: Add new 10.3 methods.

2009-11-09 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSControl.m,
	* Headers/AppKit/NSStepper.h,
	* Headers/AppKit/NSStepperCell.h,
	* Source/NSStepper.m: White space changes and cleanup.
	* Source/NSStepperCell.m,
	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m: Move stepper drawing code into GSTheme.

2009-11-09 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSScroller.m: make offset of buttons inside scroller adjustable
	for theming.

2009-11-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSActionCell.m,
	* Source/NSAffineTransform.m
	White space changes and cleanup.
	* Headers/AppKit/NSAnimation.h: Change to new MacOSX type definitions.
	* Source/NSAnimation.m: Remove externs and white space changes.
	* Source/externs.m: Move externs from NSAnimation to here.

2009-11-08 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-finishLaunching): Only activate the
	application if it isn't hidden.
	* Source/Functions.m (NSConvertGlobalToWindowNumber,
	NSConvertWindowNumberToGlobal): Add a slightly better implementation.

2009-11-05  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m (+initialize): Don't ignore types
	without an associated document class.
	* Source/NSDocument.m (+readableTypes, +writableTypes):
	* Source/NSDocumentController.m(-_readableTypesForClass:,
	-_writableTypesForClass:): Add the exportable types to the
	writable types. Rename private NSDocumentController methods.
	* Source/NSDocument.m (-_addItemsToSpaButtonFromArray,
	-changeSaveType, _runSavePanelForSaveOperation): Save panel
	accessory pop up now allows the user to select one of the
	exportable types for NSSaveToOperation.

	* KeyBindings/DefaultKeyBindings.dict: Enable Ctrl-l key binding
	and add Ctrl-o key binding as in Emacs and Cocoa.
	* Source/NSTextView_actions.m (-insertNewlineIgnoringFieldEditor:,
	-insertTabIgnoringFieldEditor): Implement NSResponder methods.

	* Source/NSWindow.m (-dealloc): Release the toolbar without
	updating the window's geometry and thus avoid calling the delegate
	during deallocation.

	* Source/NSAlert.m (NSBeginAlertSheet, NSBeginCriticalAlertSheet,
	NSBeginInformationalAlertSheet): Call the didEndSelector after the
	sheet has been closed.

2009-11-04 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m (GSRGBColor -getComponents:): Correct
	alpha_component passing.

2009-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m (-colorUsingColorSpace): Support more color spaces.
	* Source/NSColorSpace.m (COLORSPACE): Initialize the static variable.

2009-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSThemeDrawing.m: Add more includes to apeace Riccardo's compiler.

2009-11-03 Fred Kiefer <FredKiefer@gmx.de>

	* Source/Functions.m (NSConvertGlobalToWindowNumber,
	NSConvertWindowNumberToGlobal): Add dummy implementation.

2009-11-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-nextEventMatchingMask:...): Only set
	the current event when dequeuing and never return the null_event.

2009-11-02 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTheme.m: Remove some compiler warnings.
	* Source/NSMenuItemCell.m,
	* Source/GSToolbarView.m,
	* Source/GSThemeDrawing.m,
	* Headers/Additions/GNUstepGUI/GSTheme.h: New theme methods for
	toolbar and menu item drawing.

2009-11-01 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m: Switch to the new shared composite and
	dissolve code.

2009-10-29 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSProgressIndicator.m: Correct flipped drawing.

2009-10-28 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSProgressIndicator.m: Fill more methods.

2009-10-27 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSProgressIndicator.h,
	* Source/NSProgressIndicator.m: Add missing OSX 10.5 methods and
	use the pattern colour patch by Uli Kusterer
	<witness.of.teachtext@gmx.net>.
	* Images/common_ProgressSpinning_?.tiff
	* Images/common_ProgressIndeterminate_?.tiff
	New image files by Uli Kusterer <witness.of.teachtext@gmx.net>.
	* Images/GNUmakefile: Add the new images.

2009-10-27 Thomas Gamper <icicle@cg.tuwien.ac.at>

	* Source/GSDisplayServer.m
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h:
	Add cursor position setter (setMouseLocation:onScreen:).

2009-10-25 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGradient.m (-drawInRect:angle:): Correct the math by
	adding a call to abs().

2009-10-23 Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSGraphicsContext.h,
	* Source/NSGraphicsContext.m: Define empty gradient methods.
	* Source/NSGradient.m: Use these methods.
	* Source/NSColor.m (-colorUsingColorSpace): Don't use isEqual: on
	color space.

2009-10-23 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSGradient.m: Add context savig/restore and first attempt
	at geometry maths.

2009-10-23 Riccardo Mottola <rmottola@users.sf.net>

	* Headers/AppKit/NSBezierPath.h: added some documentation

2009-10-22 Riccardo Mottola <rmottola@users.sf.net>

	* Images/common_3DArrowRightH.tiff: Made background transparent,
	allows for better theming

2009-10-22 Nicolas Roard <nicolas@roard.com>

	* Source/GSThemeTools.m: Switched back extracting the individual
	images in GSDrawTiles, fixing the problem with the matrix style
	and allowing the nine patch style to work.

2009-10-21 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m (-colorUsingColorSpace): Add some dummy
	implementation for this method.
	* Source/NSColorSpace.m: Correct indention.
	* Header/AppKit/NSGradient.h,
	* Source/NSGradient.m: New files implementing the gui part of
	colour gradients.
	* Headers/AppKit/AppKit.h: Add include for NSGradient.h
	* Source/GNUmakefile: Add new files.

2009-10-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSDocumentController.m(-openDocumentWithContentsOfURL:display:,
	-openDocumentWithContentsOfURL:display:error:): Call
	-noteNewRecentDocument: instead of -noteNewRecentDocumentURL:.

	* Source/NSDocumentController.m (-_updateOpenRecentMenu): Fix an
	off by one error which would crash programs with an open recent
	menu.

2009-10-19 Riccardo Mottola <rmottola@users.sf.net>

	* Source/GSWindowDecorationView.h: add method declaration
	so that certain compilers pick up the correct signature

2009-10-19 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSThemeTools.m: Fix broken drawing due to error in
	the ([-validateTilesSizeWithImage:]) method.
	Fix broken ([-drawCornersRect:]) too.

2009-10-19 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSThemeTools.m: Fix last changes to compile again (variable
	declarations not at startof block only work on some compilers).
	* Source/GSTheme.m: Functions for working with fill style names.
	* Source/NSApplication.m: Fixup to show suppressed icon when app is
	deactivated.  Fix uninitialisaed variable causing crashes on failing
	to use document controller to open an untitled document.
	Drop non-standard method (which didn't work) for determining whether
	we have a document based app.
	* Source/NSDocumentController.m: Rewrite code for determining
	whether the current app is document based. Cache singleton information
	in static variables rether than ivars.

2009-10-19 Nicolas Roard <nicolas@roard.com>
	* Source/GSTheme.m:
	* Source/GSThemeTools.m:
	* Source/GSThemePrivate.h:
	Added the 'NinePatch' drawing style, and modified GSDrawTiles
	to save the corresponding nine images from an original image,
	instead of only remembering the rects... The other styles need
	to be modified accordingly in a future patch.

2009-10-18 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/GSThemeTools.m:
	* Source/GSThemeDrawing.m:
	* Source/GSThemePrivate.h:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Allow theme to control how interior of tiled rect is filled.

2009-10-18 Nicolas Roard <nicolas@roard.com>

	* Source/GSTheme.m,
	* Source/GSThemeTools.m,
	* Source/GSThemePrivate.h,
	* Headers/Additions/GNUstepGUI/GSTheme.h: Refactoring of
	GSDrawTiles, splitting fillRect:withTiles:background:fillStyle:
	in smaller methods, letting GSDrawTiles be in charge of its own
	drawing. Also added a 'nine patch' init method, to create
	a GSDrawTiles from a specially crafted image (see comments).

2009-10-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-_windowWillClose:): When using MS
	Windows style menus terminate an application by default when its
	last window is closed.
	In addition, fix a bug where the application was not terminated
	when the last window is closed while the application is in the
	background.

2009-10-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Source/NSApplication.m (-finishLaunching): Open a new document
	by default when a document based application is started and there
	is no file to open.

2009-10-17 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m:
	* Source/NSApplication.m:
	* Headers/AppKit/NSEvent.h:
	Changes to unhide app when a suppressed app icon is deminiaturised.
	Code conditional on defining MINI_ICON to 1 in NSApplication.m
	Currently doesn't work because the backend is not notifying the gui
	when a window is deminiaturised :-(

2009-10-17 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: Make GSSuppressAppIconhide the icon window
	(leave it ordered out) rather than making it not exist at all.
	Add new default GSBackgroundApp for an application which should not
	display the window at all.
	* Soure/NSWindow.m: Don't order any windows in if this is a background
	application.
	* Source/NSEvent.m: fix missing comma causing comple fail.

2009-10-17 Sheldon Gill  <sheldon@westnet.net.au>

	* Source/NSApplication.m: centralise GSGuiBundle() routine

2009-10-16 Sheldon Gill  <sheldon@westnet.net.au>

	* Source/NSEvent.m: add default for unknown events
	* Source/NSApplication.m: Move saving defaultExceptionHandler to
	when it is required (in _init) rather than early in +[initialize]

2009-10-13 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTextStorage.m (-initWithCoder:): Display the warning
	only when we load an old .gorm file.

2009-10-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScroller.m (-mouseDown:): In NSWindows95InterfaceStyle
	don't track the knob

2009-10-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-runModalForWindow:, -runModalSession:):
	Use NSModalPanelRunLoopMode instead of NSDefaultRunLoopMode.

2009-10-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScroller.m: Handle NSMacintoshInterfaceStyle the same
	as NSNextStepInterfaceStyle.

2009-10-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m (-hash): Turned Richards specific hash method
	into a generic one.

2009-10-12 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: Remove special proxy handling introduced in
	last change.

2009-10-11 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: Implement -description for proxies.
	* Source/NSColor.m: Fix theme activation to recache catalogue colors.
	Write code to unique catalogue color instances.
	Add locking to make catalogue colors thread-safe.

2009-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSStandardWindowDecorationView.m
	(-resizeWindowStartingWithEvent:): restructure event handling code
	and add periodic event.

2009-10-11 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: ([stopModalWithCode:]) correct the check to
	see if a modal session is running.  This fixes the breakage caused by
	the recent change sending -stopModal to invisible windows (like open
	panels ordered out at the end of their modal loop).

2009-10-11 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSStandardWindowDecorationView.m (-dealloc): Remove from
	the notification centre.

2009-10-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSStandardWindowDecorationView.m,
	* Headers/Additions/GNUstepGUI/GSTheme.h,
	* Source/GSThemeDrawing.m: Move all the window border drawing code
	into GSTheme.

2009-10-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSEvent.m,
	* Source/NSImage.m,
	* Source/GSTextStorage.m: Remove usage of NSDeallocateObject.

2009-10-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-endModalSession:): Bring the window of
	the next modal session to the front.
	* Source/NSApplication.m (-runModalSession:): Better check whether
	the current session window is gone.
	* Source/NSPrintPanel.m (-_pickedButton:): Remove bogus log statement.

2009-09-27 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImage.m: ([-setName:]) fix bug which was removing the
	wrong name when given an image which already had a name.
	Make named images thread-safe using a lock.
	Add private method to update names on theme change.
	* Source/GSTheme.m: Use new method to update theme images.

2009-09-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-setApplicationIconImage:,
	-finishLaunching): Move the set name code to finishLaunching, as
	the image called NSApplicationIcon should stay the same all the time.

2009-09-26 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextContainer.m (init):  Add this method as suggested
	by Derek Fawcus <dfawcus@cisco.com>.

